/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs


/* Copy the first part of user declarations.  */
#line 11 "parser_bison.y" /* yacc.c:339  */


#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static void open_scope(struct parser_state *state, struct scope *scope)
{
	assert(state->scope < array_size(state->scopes) - 1);
	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;
}

static void close_scope(struct parser_state *state)
{
	assert(state->scope > 0);
	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 197 "parser_bison.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_NFT_PARSER_BISON_H_INCLUDED
# define YY_NFT_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    TOKEN_EOF = 0,
    JUNK = 258,
    NEWLINE = 259,
    COLON = 260,
    SEMICOLON = 261,
    COMMA = 262,
    DOT = 263,
    EQ = 264,
    NEQ = 265,
    LT = 266,
    GT = 267,
    GTE = 268,
    LTE = 269,
    LSHIFT = 270,
    RSHIFT = 271,
    AMPERSAND = 272,
    CARET = 273,
    NOT = 274,
    SLASH = 275,
    ASTERISK = 276,
    DASH = 277,
    AT = 278,
    VMAP = 279,
    PLUS = 280,
    INCLUDE = 281,
    DEFINE = 282,
    REDEFINE = 283,
    UNDEFINE = 284,
    FIB = 285,
    SOCKET = 286,
    TRANSPARENT = 287,
    TPROXY = 288,
    OSF = 289,
    SYNPROXY = 290,
    MSS = 291,
    WSCALE = 292,
    HOOK = 293,
    DEVICE = 294,
    DEVICES = 295,
    TABLE = 296,
    TABLES = 297,
    CHAIN = 298,
    CHAINS = 299,
    RULE = 300,
    RULES = 301,
    SETS = 302,
    SET = 303,
    ELEMENT = 304,
    MAP = 305,
    MAPS = 306,
    FLOWTABLE = 307,
    HANDLE = 308,
    RULESET = 309,
    TRACE = 310,
    INET = 311,
    NETDEV = 312,
    ADD = 313,
    UPDATE = 314,
    REPLACE = 315,
    CREATE = 316,
    INSERT = 317,
    DELETE = 318,
    GET = 319,
    LIST = 320,
    RESET = 321,
    FLUSH = 322,
    RENAME = 323,
    DESCRIBE = 324,
    IMPORT = 325,
    EXPORT = 326,
    MONITOR = 327,
    ALL = 328,
    ACCEPT = 329,
    DROP = 330,
    CONTINUE = 331,
    JUMP = 332,
    GOTO = 333,
    RETURN = 334,
    TO = 335,
    CONSTANT = 336,
    INTERVAL = 337,
    DYNAMIC = 338,
    AUTOMERGE = 339,
    TIMEOUT = 340,
    GC_INTERVAL = 341,
    ELEMENTS = 342,
    EXPIRES = 343,
    POLICY = 344,
    MEMORY = 345,
    PERFORMANCE = 346,
    SIZE = 347,
    FLOW = 348,
    OFFLOAD = 349,
    METER = 350,
    METERS = 351,
    FLOWTABLES = 352,
    NUM = 353,
    STRING = 354,
    QUOTED_STRING = 355,
    ASTERISK_STRING = 356,
    LL_HDR = 357,
    NETWORK_HDR = 358,
    TRANSPORT_HDR = 359,
    BRIDGE = 360,
    ETHER = 361,
    SADDR = 362,
    DADDR = 363,
    TYPE = 364,
    VLAN = 365,
    ID = 366,
    CFI = 367,
    PCP = 368,
    ARP = 369,
    HTYPE = 370,
    PTYPE = 371,
    HLEN = 372,
    PLEN = 373,
    OPERATION = 374,
    IP = 375,
    HDRVERSION = 376,
    HDRLENGTH = 377,
    DSCP = 378,
    ECN = 379,
    LENGTH = 380,
    FRAG_OFF = 381,
    TTL = 382,
    PROTOCOL = 383,
    CHECKSUM = 384,
    PTR = 385,
    VALUE = 386,
    LSRR = 387,
    RR = 388,
    SSRR = 389,
    RA = 390,
    ICMP = 391,
    CODE = 392,
    SEQUENCE = 393,
    GATEWAY = 394,
    MTU = 395,
    IGMP = 396,
    MRT = 397,
    OPTIONS = 398,
    IP6 = 399,
    PRIORITY = 400,
    FLOWLABEL = 401,
    NEXTHDR = 402,
    HOPLIMIT = 403,
    ICMP6 = 404,
    PPTR = 405,
    MAXDELAY = 406,
    AH = 407,
    RESERVED = 408,
    SPI = 409,
    ESP = 410,
    COMP = 411,
    FLAGS = 412,
    CPI = 413,
    UDP = 414,
    SPORT = 415,
    DPORT = 416,
    UDPLITE = 417,
    CSUMCOV = 418,
    TCP = 419,
    ACKSEQ = 420,
    DOFF = 421,
    WINDOW = 422,
    URGPTR = 423,
    OPTION = 424,
    ECHO = 425,
    EOL = 426,
    NOP = 427,
    SACK = 428,
    SACK0 = 429,
    SACK1 = 430,
    SACK2 = 431,
    SACK3 = 432,
    SACK_PERM = 433,
    TIMESTAMP = 434,
    KIND = 435,
    COUNT = 436,
    LEFT = 437,
    RIGHT = 438,
    TSVAL = 439,
    TSECR = 440,
    DCCP = 441,
    SCTP = 442,
    CHUNK = 443,
    DATA = 444,
    INIT = 445,
    INIT_ACK = 446,
    HEARTBEAT = 447,
    HEARTBEAT_ACK = 448,
    ABORT = 449,
    SHUTDOWN = 450,
    SHUTDOWN_ACK = 451,
    ERROR = 452,
    COOKIE_ECHO = 453,
    COOKIE_ACK = 454,
    ECNE = 455,
    CWR = 456,
    SHUTDOWN_COMPLETE = 457,
    ASCONF_ACK = 458,
    FORWARD_TSN = 459,
    ASCONF = 460,
    TSN = 461,
    STREAM = 462,
    SSN = 463,
    PPID = 464,
    INIT_TAG = 465,
    A_RWND = 466,
    NUM_OSTREAMS = 467,
    NUM_ISTREAMS = 468,
    INIT_TSN = 469,
    CUM_TSN_ACK = 470,
    NUM_GACK_BLOCKS = 471,
    NUM_DUP_TSNS = 472,
    LOWEST_TSN = 473,
    SEQNO = 474,
    NEW_CUM_TSN = 475,
    VTAG = 476,
    RT = 477,
    RT0 = 478,
    RT2 = 479,
    RT4 = 480,
    SEG_LEFT = 481,
    ADDR = 482,
    LAST_ENT = 483,
    TAG = 484,
    SID = 485,
    HBH = 486,
    FRAG = 487,
    RESERVED2 = 488,
    MORE_FRAGMENTS = 489,
    DST = 490,
    MH = 491,
    META = 492,
    MARK = 493,
    IIF = 494,
    IIFNAME = 495,
    IIFTYPE = 496,
    OIF = 497,
    OIFNAME = 498,
    OIFTYPE = 499,
    SKUID = 500,
    SKGID = 501,
    NFTRACE = 502,
    RTCLASSID = 503,
    IBRIPORT = 504,
    OBRIPORT = 505,
    IBRIDGENAME = 506,
    OBRIDGENAME = 507,
    PKTTYPE = 508,
    CPU = 509,
    IIFGROUP = 510,
    OIFGROUP = 511,
    CGROUP = 512,
    TIME = 513,
    CLASSID = 514,
    NEXTHOP = 515,
    CT = 516,
    L3PROTOCOL = 517,
    PROTO_SRC = 518,
    PROTO_DST = 519,
    ZONE = 520,
    DIRECTION = 521,
    EVENT = 522,
    EXPECTATION = 523,
    EXPIRATION = 524,
    HELPER = 525,
    LABEL = 526,
    STATE = 527,
    STATUS = 528,
    ORIGINAL = 529,
    REPLY = 530,
    COUNTER = 531,
    NAME = 532,
    PACKETS = 533,
    BYTES = 534,
    AVGPKT = 535,
    COUNTERS = 536,
    QUOTAS = 537,
    LIMITS = 538,
    SYNPROXYS = 539,
    HELPERS = 540,
    LOG = 541,
    PREFIX = 542,
    GROUP = 543,
    SNAPLEN = 544,
    QUEUE_THRESHOLD = 545,
    LEVEL = 546,
    LIMIT = 547,
    RATE = 548,
    BURST = 549,
    OVER = 550,
    UNTIL = 551,
    QUOTA = 552,
    USED = 553,
    SECMARK = 554,
    SECMARKS = 555,
    NANOSECOND = 556,
    MICROSECOND = 557,
    MILLISECOND = 558,
    SECOND = 559,
    MINUTE = 560,
    HOUR = 561,
    DAY = 562,
    WEEK = 563,
    _REJECT = 564,
    WITH = 565,
    ICMPX = 566,
    SNAT = 567,
    DNAT = 568,
    MASQUERADE = 569,
    REDIRECT = 570,
    RANDOM = 571,
    FULLY_RANDOM = 572,
    PERSISTENT = 573,
    QUEUE = 574,
    QUEUENUM = 575,
    BYPASS = 576,
    FANOUT = 577,
    DUP = 578,
    FWD = 579,
    NUMGEN = 580,
    INC = 581,
    MOD = 582,
    OFFSET = 583,
    JHASH = 584,
    SYMHASH = 585,
    SEED = 586,
    POSITION = 587,
    INDEX = 588,
    COMMENT = 589,
    XML = 590,
    JSON = 591,
    VM = 592,
    NOTRACK = 593,
    EXISTS = 594,
    MISSING = 595,
    EXTHDR = 596,
    IPSEC = 597,
    MODE = 598,
    REQID = 599,
    SPNUM = 600,
    TRANSPORT = 601,
    TUNNEL = 602,
    IN = 603,
    OUT = 604
  };
#endif
/* Tokens.  */
#define TOKEN_EOF 0
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define TPROXY 288
#define OSF 289
#define SYNPROXY 290
#define MSS 291
#define WSCALE 292
#define HOOK 293
#define DEVICE 294
#define DEVICES 295
#define TABLE 296
#define TABLES 297
#define CHAIN 298
#define CHAINS 299
#define RULE 300
#define RULES 301
#define SETS 302
#define SET 303
#define ELEMENT 304
#define MAP 305
#define MAPS 306
#define FLOWTABLE 307
#define HANDLE 308
#define RULESET 309
#define TRACE 310
#define INET 311
#define NETDEV 312
#define ADD 313
#define UPDATE 314
#define REPLACE 315
#define CREATE 316
#define INSERT 317
#define DELETE 318
#define GET 319
#define LIST 320
#define RESET 321
#define FLUSH 322
#define RENAME 323
#define DESCRIBE 324
#define IMPORT 325
#define EXPORT 326
#define MONITOR 327
#define ALL 328
#define ACCEPT 329
#define DROP 330
#define CONTINUE 331
#define JUMP 332
#define GOTO 333
#define RETURN 334
#define TO 335
#define CONSTANT 336
#define INTERVAL 337
#define DYNAMIC 338
#define AUTOMERGE 339
#define TIMEOUT 340
#define GC_INTERVAL 341
#define ELEMENTS 342
#define EXPIRES 343
#define POLICY 344
#define MEMORY 345
#define PERFORMANCE 346
#define SIZE 347
#define FLOW 348
#define OFFLOAD 349
#define METER 350
#define METERS 351
#define FLOWTABLES 352
#define NUM 353
#define STRING 354
#define QUOTED_STRING 355
#define ASTERISK_STRING 356
#define LL_HDR 357
#define NETWORK_HDR 358
#define TRANSPORT_HDR 359
#define BRIDGE 360
#define ETHER 361
#define SADDR 362
#define DADDR 363
#define TYPE 364
#define VLAN 365
#define ID 366
#define CFI 367
#define PCP 368
#define ARP 369
#define HTYPE 370
#define PTYPE 371
#define HLEN 372
#define PLEN 373
#define OPERATION 374
#define IP 375
#define HDRVERSION 376
#define HDRLENGTH 377
#define DSCP 378
#define ECN 379
#define LENGTH 380
#define FRAG_OFF 381
#define TTL 382
#define PROTOCOL 383
#define CHECKSUM 384
#define PTR 385
#define VALUE 386
#define LSRR 387
#define RR 388
#define SSRR 389
#define RA 390
#define ICMP 391
#define CODE 392
#define SEQUENCE 393
#define GATEWAY 394
#define MTU 395
#define IGMP 396
#define MRT 397
#define OPTIONS 398
#define IP6 399
#define PRIORITY 400
#define FLOWLABEL 401
#define NEXTHDR 402
#define HOPLIMIT 403
#define ICMP6 404
#define PPTR 405
#define MAXDELAY 406
#define AH 407
#define RESERVED 408
#define SPI 409
#define ESP 410
#define COMP 411
#define FLAGS 412
#define CPI 413
#define UDP 414
#define SPORT 415
#define DPORT 416
#define UDPLITE 417
#define CSUMCOV 418
#define TCP 419
#define ACKSEQ 420
#define DOFF 421
#define WINDOW 422
#define URGPTR 423
#define OPTION 424
#define ECHO 425
#define EOL 426
#define NOP 427
#define SACK 428
#define SACK0 429
#define SACK1 430
#define SACK2 431
#define SACK3 432
#define SACK_PERM 433
#define TIMESTAMP 434
#define KIND 435
#define COUNT 436
#define LEFT 437
#define RIGHT 438
#define TSVAL 439
#define TSECR 440
#define DCCP 441
#define SCTP 442
#define CHUNK 443
#define DATA 444
#define INIT 445
#define INIT_ACK 446
#define HEARTBEAT 447
#define HEARTBEAT_ACK 448
#define ABORT 449
#define SHUTDOWN 450
#define SHUTDOWN_ACK 451
#define ERROR 452
#define COOKIE_ECHO 453
#define COOKIE_ACK 454
#define ECNE 455
#define CWR 456
#define SHUTDOWN_COMPLETE 457
#define ASCONF_ACK 458
#define FORWARD_TSN 459
#define ASCONF 460
#define TSN 461
#define STREAM 462
#define SSN 463
#define PPID 464
#define INIT_TAG 465
#define A_RWND 466
#define NUM_OSTREAMS 467
#define NUM_ISTREAMS 468
#define INIT_TSN 469
#define CUM_TSN_ACK 470
#define NUM_GACK_BLOCKS 471
#define NUM_DUP_TSNS 472
#define LOWEST_TSN 473
#define SEQNO 474
#define NEW_CUM_TSN 475
#define VTAG 476
#define RT 477
#define RT0 478
#define RT2 479
#define RT4 480
#define SEG_LEFT 481
#define ADDR 482
#define LAST_ENT 483
#define TAG 484
#define SID 485
#define HBH 486
#define FRAG 487
#define RESERVED2 488
#define MORE_FRAGMENTS 489
#define DST 490
#define MH 491
#define META 492
#define MARK 493
#define IIF 494
#define IIFNAME 495
#define IIFTYPE 496
#define OIF 497
#define OIFNAME 498
#define OIFTYPE 499
#define SKUID 500
#define SKGID 501
#define NFTRACE 502
#define RTCLASSID 503
#define IBRIPORT 504
#define OBRIPORT 505
#define IBRIDGENAME 506
#define OBRIDGENAME 507
#define PKTTYPE 508
#define CPU 509
#define IIFGROUP 510
#define OIFGROUP 511
#define CGROUP 512
#define TIME 513
#define CLASSID 514
#define NEXTHOP 515
#define CT 516
#define L3PROTOCOL 517
#define PROTO_SRC 518
#define PROTO_DST 519
#define ZONE 520
#define DIRECTION 521
#define EVENT 522
#define EXPECTATION 523
#define EXPIRATION 524
#define HELPER 525
#define LABEL 526
#define STATE 527
#define STATUS 528
#define ORIGINAL 529
#define REPLY 530
#define COUNTER 531
#define NAME 532
#define PACKETS 533
#define BYTES 534
#define AVGPKT 535
#define COUNTERS 536
#define QUOTAS 537
#define LIMITS 538
#define SYNPROXYS 539
#define HELPERS 540
#define LOG 541
#define PREFIX 542
#define GROUP 543
#define SNAPLEN 544
#define QUEUE_THRESHOLD 545
#define LEVEL 546
#define LIMIT 547
#define RATE 548
#define BURST 549
#define OVER 550
#define UNTIL 551
#define QUOTA 552
#define USED 553
#define SECMARK 554
#define SECMARKS 555
#define NANOSECOND 556
#define MICROSECOND 557
#define MILLISECOND 558
#define SECOND 559
#define MINUTE 560
#define HOUR 561
#define DAY 562
#define WEEK 563
#define _REJECT 564
#define WITH 565
#define ICMPX 566
#define SNAT 567
#define DNAT 568
#define MASQUERADE 569
#define REDIRECT 570
#define RANDOM 571
#define FULLY_RANDOM 572
#define PERSISTENT 573
#define QUEUE 574
#define QUEUENUM 575
#define BYPASS 576
#define FANOUT 577
#define DUP 578
#define FWD 579
#define NUMGEN 580
#define INC 581
#define MOD 582
#define OFFSET 583
#define JHASH 584
#define SYMHASH 585
#define SEED 586
#define POSITION 587
#define INDEX 588
#define COMMENT 589
#define XML 590
#define JSON 591
#define VM 592
#define NOTRACK 593
#define EXISTS 594
#define MISSING 595
#define EXTHDR 596
#define IPSEC 597
#define MODE 598
#define REQID 599
#define SPNUM 600
#define TRANSPORT 601
#define TUNNEL 602
#define IN 603
#define OUT 604

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 156 "parser_bison.y" /* yacc.c:355  */

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	const struct exthdr_desc *exthdr_desc;

#line 962 "parser_bison.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);

#endif /* !YY_NFT_PARSER_BISON_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 992 "parser_bison.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6624

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  359
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  345
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1116
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1780

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   604

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   354,     2,     2,     2,
     355,   356,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   350,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   357,     2,   358,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   351,   353,   352,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   864,   864,   865,   874,   875,   878,   879,   882,   883,
     884,   885,   887,   895,   909,   916,   927,   935,   936,   937,
     938,   958,   959,   960,   961,   962,   963,   964,   965,   966,
     967,   968,   969,   970,   971,   972,   975,   979,   986,   990,
     998,  1002,  1006,  1013,  1020,  1024,  1031,  1040,  1044,  1048,
    1052,  1056,  1060,  1064,  1068,  1074,  1080,  1084,  1091,  1095,
    1103,  1110,  1117,  1121,  1128,  1137,  1141,  1145,  1149,  1153,
    1157,  1161,  1165,  1171,  1177,  1181,  1185,  1189,  1193,  1197,
    1201,  1205,  1209,  1213,  1217,  1221,  1225,  1229,  1233,  1237,
    1241,  1245,  1249,  1253,  1257,  1261,  1267,  1273,  1277,  1281,
    1285,  1289,  1293,  1297,  1301,  1305,  1309,  1313,  1317,  1321,
    1325,  1329,  1333,  1337,  1341,  1345,  1349,  1353,  1357,  1361,
    1365,  1369,  1373,  1377,  1381,  1385,  1389,  1393,  1397,  1401,
    1405,  1409,  1415,  1419,  1423,  1427,  1431,  1435,  1441,  1445,
    1449,  1453,  1457,  1461,  1465,  1471,  1478,  1484,  1492,  1498,
    1506,  1515,  1516,  1519,  1520,  1521,  1522,  1523,  1524,  1525,
    1526,  1529,  1530,  1533,  1534,  1535,  1538,  1547,  1553,  1567,
    1568,  1569,  1570,  1571,  1582,  1592,  1603,  1613,  1624,  1635,
    1644,  1653,  1662,  1673,  1684,  1698,  1704,  1705,  1706,  1707,
    1708,  1709,  1717,  1722,  1723,  1724,  1725,  1730,  1735,  1740,
    1745,  1750,  1755,  1758,  1759,  1762,  1766,  1769,  1770,  1771,
    1772,  1776,  1781,  1782,  1783,  1784,  1789,  1799,  1808,  1817,
    1826,  1835,  1840,  1845,  1848,  1852,  1858,  1859,  1863,  1868,
    1869,  1870,  1871,  1884,  1890,  1897,  1902,  1907,  1910,  1919,
    1931,  1938,  1939,  1951,  1956,  1957,  1958,  1959,  1965,  1966,
    1967,  1968,  1974,  1975,  1976,  1977,  1983,  1984,  1985,  1986,
    1992,  1993,  1994,  1995,  2001,  2002,  2003,  2004,  2010,  2011,
    2012,  2013,  2019,  2020,  2021,  2022,  2028,  2029,  2030,  2031,
    2032,  2035,  2063,  2070,  2074,  2077,  2087,  2095,  2106,  2119,
    2133,  2134,  2137,  2148,  2152,  2155,  2167,  2172,  2181,  2182,
    2185,  2188,  2189,  2190,  2193,  2208,  2209,  2212,  2213,  2214,
    2215,  2216,  2217,  2220,  2229,  2238,  2246,  2254,  2262,  2270,
    2278,  2286,  2294,  2302,  2310,  2318,  2326,  2334,  2342,  2350,
    2358,  2362,  2367,  2375,  2382,  2389,  2402,  2406,  2413,  2417,
    2423,  2435,  2441,  2448,  2449,  2450,  2451,  2454,  2455,  2456,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2467,  2468,  2469,  2470,  2471,  2472,  2475,  2479,  2485,  2491,
    2496,  2499,  2504,  2509,  2512,  2518,  2523,  2531,  2532,  2534,
    2538,  2546,  2550,  2553,  2557,  2563,  2564,  2567,  2573,  2577,
    2580,  2585,  2590,  2595,  2600,  2605,  2611,  2641,  2645,  2649,
    2653,  2657,  2663,  2667,  2670,  2674,  2680,  2689,  2708,  2716,
    2717,  2718,  2721,  2722,  2725,  2726,  2741,  2757,  2765,  2766,
    2767,  2770,  2771,  2774,  2775,  2776,  2791,  2792,  2793,  2794,
    2795,  2798,  2801,  2808,  2812,  2823,  2834,  2844,  2850,  2853,
    2854,  2857,  2863,  2869,  2875,  2882,  2889,  2897,  2898,  2901,
    2905,  2913,  2917,  2920,  2925,  2930,  2934,  2940,  2956,  2975,
    2981,  2982,  2988,  2989,  2995,  2996,  2997,  2998,  2999,  3000,
    3001,  3002,  3003,  3004,  3005,  3006,  3009,  3010,  3014,  3020,
    3021,  3027,  3028,  3034,  3035,  3041,  3044,  3045,  3056,  3057,
    3060,  3064,  3067,  3073,  3079,  3090,  3091,  3092,  3095,  3096,
    3097,  3100,  3104,  3108,  3113,  3118,  3123,  3129,  3133,  3137,
    3143,  3144,  3147,  3150,  3154,  3159,  3165,  3166,  3169,  3172,
    3176,  3180,  3184,  3189,  3196,  3201,  3209,  3214,  3223,  3224,
    3230,  3231,  3232,  3235,  3236,  3239,  3245,  3249,  3252,  3257,
    3263,  3264,  3270,  3271,  3274,  3275,  3278,  3284,  3291,  3298,
    3308,  3309,  3310,  3313,  3321,  3332,  3339,  3342,  3348,  3352,
    3355,  3361,  3370,  3381,  3387,  3413,  3414,  3423,  3424,  3427,
    3436,  3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,  3455,
    3456,  3457,  3458,  3459,  3460,  3461,  3464,  3487,  3488,  3489,
    3492,  3493,  3494,  3495,  3496,  3499,  3503,  3506,  3510,  3517,
    3520,  3534,  3535,  3539,  3545,  3546,  3552,  3553,  3559,  3560,
    3566,  3569,  3570,  3581,  3587,  3593,  3594,  3597,  3603,  3604,
    3605,  3608,  3615,  3620,  3625,  3628,  3632,  3636,  3642,  3643,
    3650,  3656,  3657,  3660,  3666,  3670,  3673,  3677,  3681,  3687,
    3688,  3691,  3692,  3695,  3696,  3699,  3710,  3716,  3737,  3743,
    3760,  3766,  3767,  3768,  3771,  3772,  3775,  3790,  3796,  3802,
    3809,  3823,  3831,  3839,  3845,  3849,  3853,  3857,  3861,  3868,
    3873,  3884,  3906,  3912,  3916,  3920,  3926,  3932,  3940,  3941,
    3942,  3943,  3946,  3947,  3951,  3957,  3958,  3964,  3965,  3971,
    3972,  3978,  3981,  3982,  3983,  3992,  4003,  4004,  4007,  4015,
    4016,  4017,  4018,  4019,  4020,  4021,  4022,  4023,  4024,  4025,
    4026,  4029,  4030,  4031,  4032,  4033,  4040,  4047,  4054,  4061,
    4068,  4075,  4082,  4089,  4096,  4103,  4110,  4117,  4120,  4121,
    4122,  4123,  4124,  4125,  4128,  4132,  4136,  4140,  4144,  4148,
    4154,  4155,  4165,  4169,  4173,  4189,  4190,  4193,  4194,  4195,
    4196,  4197,  4200,  4201,  4202,  4203,  4204,  4205,  4206,  4207,
    4208,  4209,  4210,  4211,  4212,  4213,  4214,  4215,  4216,  4217,
    4218,  4219,  4220,  4221,  4222,  4223,  4226,  4246,  4250,  4264,
    4268,  4272,  4278,  4284,  4285,  4288,  4289,  4292,  4293,  4296,
    4302,  4303,  4306,  4307,  4310,  4311,  4314,  4315,  4318,  4326,
    4353,  4358,  4363,  4369,  4370,  4373,  4377,  4397,  4398,  4399,
    4400,  4403,  4407,  4411,  4417,  4418,  4421,  4422,  4423,  4424,
    4425,  4426,  4427,  4428,  4429,  4430,  4431,  4432,  4433,  4434,
    4435,  4436,  4439,  4440,  4441,  4442,  4443,  4444,  4445,  4448,
    4449,  4450,  4451,  4454,  4455,  4456,  4457,  4460,  4461,  4464,
    4470,  4478,  4491,  4498,  4504,  4510,  4519,  4520,  4521,  4522,
    4523,  4524,  4525,  4526,  4527,  4528,  4529,  4530,  4531,  4532,
    4533,  4534,  4535,  4536,  4539,  4548,  4549,  4550,  4553,  4559,
    4560,  4561,  4564,  4570,  4571,  4572,  4573,  4576,  4582,  4583,
    4584,  4585,  4586,  4587,  4588,  4589,  4590,  4593,  4597,  4601,
    4608,  4609,  4610,  4611,  4612,  4613,  4614,  4615,  4616,  4617,
    4618,  4619,  4622,  4623,  4624,  4625,  4628,  4629,  4630,  4631,
    4632,  4635,  4641,  4642,  4643,  4644,  4645,  4646,  4647,  4650,
    4656,  4657,  4658,  4659,  4662,  4668,  4669,  4670,  4671,  4672,
    4673,  4674,  4675,  4676,  4678,  4684,  4685,  4686,  4687,  4688,
    4689,  4690,  4691,  4694,  4700,  4701,  4702,  4703,  4704,  4707,
    4713,  4714,  4717,  4723,  4724,  4725,  4728,  4734,  4735,  4736,
    4737,  4740,  4746,  4747,  4748,  4749,  4752,  4756,  4760,  4765,
    4772,  4773,  4774,  4775,  4776,  4777,  4778,  4779,  4780,  4781,
    4784,  4785,  4786,  4787,  4788,  4789,  4790,  4791,  4792,  4793,
    4794,  4795,  4796,  4805,  4806,  4807,  4808,  4809,  4810,  4811,
    4812,  4815,  4821,  4822,  4823,  4826,  4827,  4828,  4829,  4830,
    4831,  4832,  4833,  4834,  4835,  4836,  4837,  4838,  4839,  4840,
    4841,  4842,  4843,  4846,  4847,  4848,  4851,  4852,  4853,  4854,
    4857,  4858,  4859,  4860,  4861,  4864,  4865,  4866,  4867,  4870,
    4875,  4879,  4883,  4887,  4891,  4895,  4900,  4905,  4910,  4915,
    4920,  4927,  4931,  4937,  4938,  4939,  4940,  4943,  4951,  4952,
    4955,  4956,  4957,  4958,  4959,  4960,  4961,  4962,  4965,  4971,
    4972,  4975,  4981,  4982,  4983,  4984,  4987,  4993,  4999,  5005,
    5008,  5014,  5015,  5016,  5017,  5023,  5029,  5030,  5031,  5032,
    5033,  5034,  5037,  5043,  5044,  5047,  5053,  5054,  5055,  5056,
    5057,  5060,  5074,  5075,  5076,  5077,  5078
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "$undefined", "\"junk\"", "\"newline\"",
  "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"", "\"==\"", "\"!=\"",
  "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"", "\">>\"", "\"&\"",
  "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"", "\"vmap\"",
  "\"+\"", "\"include\"", "\"define\"", "\"redefine\"", "\"undefine\"",
  "\"fib\"", "\"socket\"", "\"transparent\"", "\"tproxy\"", "\"osf\"",
  "\"synproxy\"", "\"mss\"", "\"wscale\"", "\"hook\"", "\"device\"",
  "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"", "\"chains\"",
  "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"", "\"element\"", "\"map\"",
  "\"maps\"", "\"flowtable\"", "\"handle\"", "\"ruleset\"", "\"trace\"",
  "\"inet\"", "\"netdev\"", "\"add\"", "\"update\"", "\"replace\"",
  "\"create\"", "\"insert\"", "\"delete\"", "\"get\"", "\"list\"",
  "\"reset\"", "\"flush\"", "\"rename\"", "\"describe\"", "\"import\"",
  "\"export\"", "\"monitor\"", "\"all\"", "\"accept\"", "\"drop\"",
  "\"continue\"", "\"jump\"", "\"goto\"", "\"return\"", "\"to\"",
  "\"constant\"", "\"interval\"", "\"dynamic\"", "\"auto-merge\"",
  "\"timeout\"", "\"gc-interval\"", "\"elements\"", "\"expires\"",
  "\"policy\"", "\"memory\"", "\"performance\"", "\"size\"", "\"flow\"",
  "\"offload\"", "\"meter\"", "\"meters\"", "\"flowtables\"", "\"number\"",
  "\"string\"", "\"quoted string\"", "\"string with a trailing asterisk\"",
  "\"ll\"", "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"",
  "\"daddr\"", "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"pcp\"",
  "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"ah\"", "\"reserved\"",
  "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"", "\"udp\"",
  "\"sport\"", "\"dport\"", "\"udplite\"", "\"csumcov\"", "\"tcp\"",
  "\"ackseq\"", "\"doff\"", "\"window\"", "\"urgptr\"", "\"option\"",
  "\"echo\"", "\"eol\"", "\"nop\"", "\"sack\"", "\"sack0\"", "\"sack1\"",
  "\"sack2\"", "\"sack3\"", "\"sack-permitted\"", "\"timestamp\"",
  "\"kind\"", "\"count\"", "\"left\"", "\"right\"", "\"tsval\"",
  "\"tsecr\"", "\"dccp\"", "\"sctp\"", "\"chunk\"", "\"data\"", "\"init\"",
  "\"init-ack\"", "\"heartbeat\"", "\"heartbeat-ack\"", "\"abort\"",
  "\"shutdown\"", "\"shutdown-ack\"", "\"error\"", "\"cookie-echo\"",
  "\"cookie-ack\"", "\"ecne\"", "\"cwr\"", "\"shutdown-complete\"",
  "\"asconf-ack\"", "\"forward-tsn\"", "\"asconf\"", "\"tsn\"",
  "\"stream\"", "\"ssn\"", "\"ppid\"", "\"init-tag\"", "\"a-rwnd\"",
  "\"num-outbound-streams\"", "\"num-inbound-streams\"", "\"initial-tsn\"",
  "\"cum-tsn-ack\"", "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"",
  "\"lowest-tsn\"", "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"",
  "\"rt0\"", "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"",
  "\"last-entry\"", "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"",
  "\"reserved2\"", "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"",
  "\"mark\"", "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"",
  "\"oifname\"", "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"",
  "\"rtclassid\"", "\"ibriport\"", "\"obriport\"", "\"ibrname\"",
  "\"obrname\"", "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"",
  "\"cgroup\"", "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"",
  "\"l3proto\"", "\"proto-src\"", "\"proto-dst\"", "\"zone\"",
  "\"direction\"", "\"event\"", "\"expectation\"", "\"expiration\"",
  "\"helper\"", "\"label\"", "\"state\"", "\"status\"", "\"original\"",
  "\"reply\"", "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"",
  "\"avgpkt\"", "\"counters\"", "\"quotas\"", "\"limits\"",
  "\"synproxys\"", "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"",
  "\"snaplen\"", "\"queue-threshold\"", "\"level\"", "\"limit\"",
  "\"rate\"", "\"burst\"", "\"over\"", "\"until\"", "\"quota\"",
  "\"used\"", "\"secmark\"", "\"secmarks\"", "\"nanosecond\"",
  "\"microsecond\"", "\"millisecond\"", "\"second\"", "\"minute\"",
  "\"hour\"", "\"day\"", "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"",
  "\"snat\"", "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"mode\"", "\"reqid\"", "\"spnum\"",
  "\"transport\"", "\"tunnel\"", "\"in\"", "\"out\"", "'='", "'{'", "'}'",
  "'|'", "'$'", "'('", "')'", "'['", "']'", "$accept", "input",
  "stmt_separator", "opt_newline", "close_scope_hash",
  "close_scope_numgen", "close_scope_sctp", "close_scope_sctp_chunk",
  "common_block", "line", "base_cmd", "add_cmd", "replace_cmd",
  "create_cmd", "insert_cmd", "delete_cmd", "get_cmd", "list_cmd",
  "reset_cmd", "flush_cmd", "rename_cmd", "import_cmd", "export_cmd",
  "monitor_cmd", "monitor_event", "monitor_object", "monitor_format",
  "markup_format", "describe_cmd", "table_block_alloc", "table_options",
  "table_block", "chain_block_alloc", "chain_block", "set_block_alloc",
  "set_block", "set_block_expr", "set_flag_list", "set_flag",
  "map_block_alloc", "map_block", "set_mechanism", "set_policy_spec",
  "flowtable_block_alloc", "flowtable_block", "flowtable_expr",
  "flowtable_list_expr", "flowtable_expr_member", "data_type_atom_expr",
  "data_type_expr", "obj_block_alloc", "counter_block", "quota_block",
  "ct_helper_block", "ct_timeout_block", "ct_expect_block", "limit_block",
  "secmark_block", "synproxy_block", "type_identifier", "hook_spec",
  "prio_spec", "extended_prio_name", "extended_prio_spec", "int_num",
  "dev_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "family_spec", "family_spec_explicit",
  "table_spec", "tableid_spec", "chain_spec", "chainid_spec",
  "chain_identifier", "set_spec", "setid_spec", "set_identifier",
  "flowtable_spec", "flowtableid_spec", "flowtable_identifier", "obj_spec",
  "objid_spec", "obj_identifier", "handle_spec", "position_spec",
  "index_spec", "rule_position", "ruleid_spec", "comment_spec",
  "ruleset_spec", "rule", "rule_alloc", "stmt_list", "stateful_stmt",
  "stmt", "verdict_stmt", "verdict_map_stmt", "verdict_map_expr",
  "verdict_map_list_expr", "verdict_map_list_member_expr",
  "connlimit_stmt", "counter_stmt", "counter_stmt_alloc", "counter_args",
  "counter_arg", "log_stmt", "log_stmt_alloc", "log_args", "log_arg",
  "level_type", "log_flags", "log_flags_tcp", "log_flag_tcp", "limit_stmt",
  "quota_mode", "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_burst_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_opts", "nat_stmt", "nat_stmt_alloc",
  "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc", "synproxy_args",
  "synproxy_arg", "synproxy_config", "synproxy_obj", "synproxy_ts",
  "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr", "and_stmt_expr",
  "exclusive_or_stmt_expr", "inclusive_or_stmt_expr", "basic_stmt_expr",
  "concat_stmt_expr", "map_stmt_expr_set", "map_stmt_expr",
  "prefix_stmt_expr", "range_stmt_expr", "wildcard_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_alloc", "queue_stmt_args", "queue_stmt_arg",
  "queue_stmt_flags", "queue_stmt_flag", "set_elem_expr_stmt",
  "set_elem_expr_stmt_alloc", "set_stmt", "set_stmt_op", "map_stmt",
  "meter_stmt", "flow_stmt_legacy_alloc", "flow_stmt_opts",
  "flow_stmt_opt", "meter_stmt_alloc", "match_stmt", "variable_expr",
  "symbol_expr", "set_ref_expr", "set_ref_symbol_expr", "integer_expr",
  "primary_expr", "fib_expr", "fib_result", "fib_flag", "fib_tuple",
  "osf_expr", "osf_ttl", "shift_expr", "and_expr", "exclusive_or_expr",
  "inclusive_or_expr", "basic_expr", "concat_expr", "prefix_rhs_expr",
  "range_rhs_expr", "multiton_rhs_expr", "map_expr", "expr", "set_expr",
  "set_list_expr", "set_list_member_expr", "meter_key_expr",
  "meter_key_expr_alloc", "set_elem_expr", "set_elem_expr_alloc",
  "set_elem_options", "set_elem_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_l4protoname", "ct_helper_config", "timeout_states", "timeout_state",
  "ct_timeout_config", "ct_expect_config", "ct_obj_alloc", "limit_config",
  "limit_obj", "relational_expr", "list_rhs_expr", "rhs_expr",
  "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_expr", "payload_base_spec", "eth_hdr_expr",
  "eth_hdr_field", "vlan_hdr_expr", "vlan_hdr_field", "arp_hdr_expr",
  "arp_hdr_field", "ip_hdr_expr", "ip_hdr_field", "ip_option_type",
  "ip_option_field", "icmp_hdr_expr", "icmp_hdr_field", "igmp_hdr_expr",
  "igmp_hdr_field", "ip6_hdr_expr", "ip6_hdr_field", "icmp6_hdr_expr",
  "icmp6_hdr_field", "auth_hdr_expr", "auth_hdr_field", "esp_hdr_expr",
  "esp_hdr_field", "comp_hdr_expr", "comp_hdr_field", "udp_hdr_expr",
  "udp_hdr_field", "udplite_hdr_expr", "udplite_hdr_field", "tcp_hdr_expr",
  "tcp_hdr_field", "tcp_hdr_option_type", "tcp_hdr_option_field",
  "dccp_hdr_expr", "dccp_hdr_field", "sctp_chunk_type",
  "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
      61,   123,   125,   124,    36,    40,    41,    91,    93
};
# endif

#define YYPACT_NINF -1438

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1438)))

#define YYTABLE_NINF -849

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1438,  6213, -1438,   392, -1438, -1438,     8,    35,    35,    35,
    1457,  1457,  1457,  1457,  1457,  1457,  1457,  1457, -1438, -1438,
    2039,    85,  1975,   117,  2171,   161,  3129,   505,   891,   177,
    5657,   149,   218,   142, -1438, -1438, -1438, -1438,    52,  1457,
    1457,  1457,  1457, -1438, -1438, -1438,   656, -1438,    35, -1438,
      35,    31,  5226, -1438,   392, -1438,   -91,   -60,   392,    35,
   -1438,   -51,   -19,  5226,    35, -1438,  -132, -1438,    35, -1438,
   -1438,  1457, -1438,  1457,  1457,  1457,  1457,  1457,  1457,  1457,
      58,  1457,  1457,  1457,  1457, -1438,  1457, -1438,  1457,  1457,
    1457,  1457,  1457,  1457,  1457,  1457,   192,  1457,  1457,  1457,
    1457, -1438,  1457, -1438,  1457,  1457,  1457,  1457,  1457,   741,
    1457,  1457,  1457,  1457,  1457,   540,  1457,  1457,  1457,    33,
    1457,   839,  1421,  1698,  1885,  1457,  1457,  1457,  1927, -1438,
    1457,  1965,  2151,  1457, -1438,  1457,  1457,  1457,  1457,  1457,
     310,  1457, -1438,  1457, -1438,   991,   489,    57,   337, -1438,
   -1438, -1438, -1438,   484,  1124,   816,  1478,  2185,  1639,   437,
    2351,  1501,  1235,   159,   506,   633,   593,  1030,   517,   591,
    1176,   250,   265,    41,    16,   535,   322,   526,  2595, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
    3640, -1438, -1438,  -147,  5485,   175,   880,   391,    35,  5657,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438,   906, -1438, -1438,   183, -1438,
   -1438,   906, -1438, -1438, -1438, -1438,   934,  1457,  1457,  1457,
     257, -1438, -1438, -1438, -1438, -1438, -1438, -1438,   430,   460,
     465, -1438, -1438, -1438,   155,   315,   628, -1438, -1438, -1438,
   -1438, -1438, -1438,    -9,    -9, -1438,   144,    35,  5189,  3409,
     360, -1438,  -118,   311, -1438, -1438, -1438, -1438, -1438, -1438,
     530,   449, -1438,   666, -1438,   341,  5226, -1438, -1438, -1438,
   -1438, -1438, -1438,   527, -1438,   352, -1438, -1438, -1438,   374,
   -1438,  3222, -1438, -1438,   524, -1438,    37, -1438,   260, -1438,
   -1438, -1438,   956, -1438,    21, -1438, -1438,   648, -1438, -1438,
   -1438,   805,   700,   712,   380, -1438,   226, -1438,  4517, -1438,
   -1438, -1438,   702, -1438, -1438, -1438,   709, -1438,  4564,  4564,
   -1438, -1438,   719,   397,   412, -1438, -1438,   416, -1438, -1438,
   -1438,   423, -1438,   426,   736,  5226, -1438,   -51,   -19, -1438,
    -132, -1438, -1438,  1457,  1457,  1457,   257, -1438, -1438, -1438,
    5226,    97, -1438, -1438,   100, -1438, -1438,   128, -1438, -1438,
   -1438,   132, -1438, -1438,  -132, -1438,   141, -1438, -1438, -1438,
   -1438, -1438,  1457, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438,  -132, -1438, -1438, -1438, -1438, -1438, -1438,  1457, -1438,
   -1438, -1438, -1438, -1438, -1438,  1457,  1457, -1438, -1438, -1438,
     755,   758,   767,  1457, -1438,  1457, -1438,  1457, -1438,  1457,
   -1438,  1457, -1438, -1438, -1438, -1438,  1457, -1438, -1438,  1457,
   -1438,  1457, -1438, -1438, -1438, -1438, -1438, -1438, -1438,  1457,
   -1438,    35, -1438, -1438, -1438,   804, -1438, -1438, -1438, -1438,
   -1438,   822,    18, -1438, -1438, -1438,   733,     2, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
     215,   361, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
     926, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438,  2111, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438,  2609, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,   -36,
   -1438, -1438,   477, -1438, -1438, -1438, -1438, -1438, -1438,   480,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438,  1027, -1438, -1438, -1438, -1438,   512,   279,   533,   746,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,   531, -1438,
     501, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438,   906, -1438, -1438, -1438,   608,   601,   553,  1255, -1438,
   -1438, -1438,  3479,   821,  4969,  5657, -1438, -1438, -1438, -1438,
     887,   898,   -13,   860,   876,   890,    -3,   894,  1027,   899,
    4969,  4969,   556,  4969, -1438, -1438,   852,  4969,  4969,   878,
   -1438,  4611,    26, -1438,  1255, -1438, -1438,   879,   892,   527,
   -1438,   502,  1255,   902,   904,   907,  1255,   352, -1438,    -7,
   -1438,  4969, -1438, -1438,  3736,  1124,   816,  1478,  2576, -1438,
    2018,   312, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
     888,   979,  1005,   673,   529,   286, -1438, -1438, -1438, -1438,
   -1438,  1026,  1067,  1022, -1438, -1438, -1438, -1438,  1032, -1438,
   -1438, -1438, -1438,   963, -1438, -1438,  1093,  1096, -1438,  1007,
    1010, -1438, -1438,   524, -1438,  1105, -1438, -1438, -1438, -1438,
    1106, -1438,  3993, -1438,  1106,  4969, -1438, -1438,   956, -1438,
    1107, -1438,    35, -1438,   768, -1438,    35,     1, -1438,  6269,
    6269,  6269,  6269,  6269,  5657,    69,  4564, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
    6269, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,  1125,
   -1438,   920,  1119,  1127,   793,   753,  1141, -1438, -1438, -1438,
    4564,  4969,  4969,   392,  1125, -1438,   392,  1058, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438,   719,   807,   809,   812,
   -1438,   828,   829, -1438, -1438, -1438,   608,   601,   553,  1255,
   -1438,  1069,  1075,  1084,  1087, -1438,  1090, -1438, -1438, -1438,
   -1438, -1438,  1457,  1457,  1457, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438,  1094,   489, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438,   679,  2026, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438,   708,   667,  1004,
     990,   990, -1438, -1438, -1438,   993, -1438, -1438, -1438, -1438,
     976,   988, -1438,   996,   999,  1002,   366, -1438, -1438, -1438,
    1126,  1129, -1438, -1438,   847, -1438,   854, -1438, -1438, -1438,
   -1438, -1438, -1438,  1131,  1137,   897,  1139,    93, -1438, -1438,
   -1438,   903,   908,   910,  1160, -1438,   556, -1438,  1164, -1438,
   -1438, -1438,  4969,  2185,  2351,  1234,  4250, -1438,    21,    12,
    1257,  1255,  1255,  1168,  5657,  4969,  4969,  4969, -1438,  1172,
    4969,  1223,  4969, -1438, -1438, -1438, -1438,  1183, -1438,     3,
    1243, -1438,  4969, -1438,   666,  1044,    12, -1438,   611,  1141,
     666, -1438, -1438, -1438, -1438, -1438, -1438, -1438,  1144,   125,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,  1185,
    1190,  1237,  1195, -1438,  4969,  1316,  5896,  6269,  5896,  5896,
    5896,  1224,  5896,  5896,    75,  4969,  1106,  4969,  2071,  2071,
   -1438, -1438, -1438,  4969,  1067,  4969,  1067, -1438, -1438,   734,
   -1438,  5657, -1438,  5657, -1438, -1438, -1438,   920,  1119,  1127,
   -1438,   666, -1438, -1438, -1438, -1438,   971,  6269,  6269,  6269,
    6269,  6269,  6269,  6269,  1233,  6269,  6269, -1438, -1438, -1438,
   -1438, -1438,   520,   333,  2293,   623,   238,   841, -1438, -1438,
   -1438, -1438, -1438, -1438,   983,   984,   997, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
    1325, -1438, -1438, -1438, -1438, -1438, -1438, -1438,  1337, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438,  1000,  1003, -1438, -1438,
   -1438, -1438,   897,   239,  1251, -1438, -1438, -1438, -1438, -1438,
     967, -1438, -1438, -1438,  1092,  1265,     3, -1438,  4969,  4969,
    1364, -1438,  1278,  1278, -1438,    12, -1438, -1438, -1438,  1029,
    1257,  5226,    12, -1438, -1438, -1438, -1438, -1438,  4969, -1438,
      92, -1438, -1438,  1080,  4969,  1351, -1438,  6222, -1438,    12,
    4611, -1438, -1438, -1438, -1438,  1384, -1438,  1293,  1295, -1438,
    1299, -1438,  4969, -1438, -1438, -1438, -1438,   888,   979,  1005,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438,  1394, -1438, -1438,
   -1438, -1438,  1067, -1438,  1067,  1106, -1438,   251,  5226,  4832,
      55, -1438, -1438, -1438, -1438, -1438,   920,  1119,  1127, -1438,
   -1438, -1438, -1438,   611,  1302,  1366,    35,    35,    35,    35,
      35,  1307,   264,    35,    35,    35,    35, -1438, -1438, -1438,
     392,    86,  1311, -1438, -1438, -1438,   392,   392,   392, -1438,
    1278,  1278,  1061,   973,  1315,   577,   885, -1438, -1438, -1438,
     392,  1278,  1070,   577,   885, -1438, -1438, -1438,   392,  1320,
    1071, -1438, -1438, -1438,   407,  2632,   981,  1810,   871, -1438,
   -1438, -1438,  1326,  1327, -1438, -1438, -1438, -1438,  1331, -1438,
   -1438, -1438, -1438, -1438, -1438,   120,   189,  1018,  1334,   131,
    1080, -1438, -1438,  4969, -1438, -1438, -1438, -1438,  5657,  1082,
      12, -1438,  1373,  1143,  1340, -1438, -1438,  4969,   666,  1141,
   -1438,   125, -1438, -1438, -1438, -1438,  4969,  1106,  1106,  5657,
    1242, -1438,    32,  1095,  1439,   666, -1438,  1271,  1353, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,    35,
      35,    35, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438,  1419, -1438, -1438, -1438,   392,   392,  -132, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
     594, -1438, -1438, -1438, -1438, -1438,   707, -1438, -1438,   392,
    -132,   685,   707, -1438,  1313,  1108, -1438, -1438, -1438, -1438,
   -1438,   510,   282,  1024, -1438,  1453, -1438,   897, -1438,  1113,
     290,  1457, -1438, -1438, -1438, -1438,  1278,  1367,   290,  1369,
    1457, -1438, -1438, -1438, -1438,  1372,  1457, -1438, -1438, -1438,
   -1438, -1438,  1373,  1143, -1438, -1438,  5226, -1438, -1438, -1438,
   -1438, -1438, -1438,  1170,  1376, -1438,     3, -1438, -1438, -1438,
   -1438,  1118,  5657, -1438, -1438,  1263,  4832, -1438, -1438,  1297,
     392,  1128,  1132,  1136,  1138,  1145, -1438, -1438, -1438,  1149,
    1150,  1152,  1155,  1377, -1438, -1438, -1438,   577, -1438,   885,
   -1438, -1438, -1438,  1370, -1438,   109,   392,  1381,   392, -1438,
   -1438, -1438,  1414, -1438,  1165, -1438, -1438,   392,   392,   392,
     392,   392,   392,   392,  1387,   392,  1170, -1438,  1140,  1425,
   -1438,   130, -1438, -1438,  1167,   666, -1438, -1438,  1271, -1438,
   -1438, -1438, -1438, -1438,  1179,  1186,  1188, -1438, -1438, -1438,
   -1438,  1038, -1438, -1438,   392,   392,   392,   392,   594,  1429,
   -1438, -1438, -1438,   694, -1438, -1438, -1438, -1438, -1438,    60,
   -1438, -1438, -1438, -1438,  1443, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438,   290, -1438, -1438, -1438,  1268, -1438, -1438, -1438,
   -1438,  1297,   585,  2962,  1911,  1946,  1324, -1438, -1438, -1438,
    1246,   945,   668,   717,  1255,  1197,  1313, -1438, -1438, -1438,
   -1438, -1438, -1438,  1450,  1452,   105, -1438,  1546,    70, -1438,
     392, -1438, -1438,   392, -1438, -1438, -1438,   392,   392,   392,
     392,   837,   467,  1555,   392, -1438, -1438, -1438,   392, -1438,
   -1438, -1438,   392, -1438, -1438, -1438,   392, -1438, -1438, -1438,
   -1438,  1108, -1438, -1438, -1438, -1438, -1438,  1460,  1443,   392,
   -1438, -1438, -1438, -1438, -1438, -1438,   392,   392,   392, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     305,   305,   305,   305,   305,   305,   305,   305,   309,   312,
     305,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,   311,   310,   307,   308,     0,   305,
     305,   305,   305,    18,    17,     3,     0,    21,     0,   306,
       0,   330,     0,    16,     0,   300,     0,     0,     0,     0,
     459,    36,    38,     0,     0,   192,     0,   211,     0,   228,
      22,   305,    23,   305,   305,   305,   305,   305,   305,   305,
       0,   305,   305,   305,   305,    24,   305,    25,   305,   305,
     305,   305,   305,   305,   305,   305,     0,   305,   305,   305,
     305,    26,   305,    27,   305,   305,   336,   305,   336,   336,
     305,   305,   336,   305,   336,     0,   305,   336,   336,     0,
     305,   336,   336,   336,   336,   305,   305,   305,   336,    28,
     305,   336,   336,   305,    29,   305,   305,   305,   305,   336,
       0,   305,    30,   305,    31,     0,     0,     0,   599,   570,
     301,   302,   303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   773,
       0,   775,   774,     0,     0,     0,     0,   772,     0,     0,
      35,   566,   565,   571,   572,   166,   582,   583,   576,   743,
     577,   580,   584,   581,   578,   579,   573,   856,   857,   858,
     859,   860,   861,   862,   863,   864,   865,   866,   867,   868,
     869,   870,   871,   872,   873,   574,  1070,  1071,  1072,  1073,
    1074,  1075,  1076,  1077,   575,     0,   163,   164,     0,    32,
     147,     0,    33,   149,   152,    34,   153,   305,   305,   305,
      46,   672,   648,   650,    20,    19,   313,   315,     0,     0,
       0,   332,   331,   333,     0,   449,     0,   550,   551,   552,
     734,   735,   736,     0,     0,   739,   557,     0,     0,     0,
     379,   387,     0,   411,   432,   439,   440,   512,   518,   535,
       0,     0,   779,     7,    41,   338,   340,   351,   341,   347,
     367,   346,   343,   377,   353,   385,   344,   345,   354,   433,
     355,     0,   356,   365,   447,   359,   511,   360,   517,   361,
     362,   357,   533,   363,     0,   364,   349,     0,   556,   348,
     601,   604,   606,   608,   610,   611,   618,   620,     0,   619,
     563,   366,   743,   352,   358,   350,   573,    12,     0,     0,
      15,   324,     0,     0,     0,    40,   318,     0,    44,   204,
     203,     0,   321,     0,     0,     0,   459,    56,    58,   192,
       0,   211,   228,   305,   305,   305,    64,   672,   648,   650,
       0,     0,    94,    95,     0,    74,    75,     0,    76,    77,
      78,     0,    79,    80,     0,    81,     0,    83,    84,   652,
     653,   651,   305,    85,    86,    90,    91,    87,    88,    92,
      93,     0,   118,    97,   337,    98,    99,   100,   305,   101,
     103,   127,   126,   125,   119,   305,   336,   123,   122,   124,
     652,   653,     0,   305,   106,   305,   104,   305,   107,   305,
     110,   305,   116,   112,   109,   115,   305,   113,   134,   305,
     132,   305,   135,   137,   138,   139,   140,   141,   144,   305,
     143,     0,   875,   876,   877,     0,   590,   591,   592,   593,
     594,   596,     0,   783,   784,   782,     0,     0,  1068,  1069,
    1067,   879,   880,   881,   878,   886,   883,   884,   885,   882,
       0,     0,   888,   889,   890,   891,   892,   887,   910,   911,
     905,   900,   901,   902,   903,   904,   906,   907,   908,   909,
       0,   897,   922,   925,   924,   923,   926,   927,   928,   921,
     930,   931,   932,   933,   929,   942,   943,   935,   936,   937,
     939,   938,   940,   941,   934,   945,   950,   947,   946,   951,
     949,   948,   952,   944,   955,   958,   954,   956,   957,   953,
     961,   960,   959,   963,   964,   965,   962,   969,   970,   967,
     968,   966,   975,   972,   973,   974,   971,   988,   982,   985,
     986,   980,   981,   983,   984,   987,   989,     0,   976,  1014,
    1012,  1013,  1011,  1066,  1063,  1064,     0,  1065,    10,  1084,
     803,  1083,   809,   804,  1082,  1085,   807,   808,   810,     0,
     805,  1081,     0,  1086,  1089,  1088,  1092,  1091,  1093,     0,
    1090,  1080,  1079,  1078,  1101,  1098,  1096,  1097,  1099,  1100,
    1095,  1104,  1103,  1102,  1108,  1107,  1110,  1106,  1109,  1105,
     744,   747,   748,   749,   751,   750,   772,   742,   745,   746,
     824,   825,   817,   818,   816,   826,   827,   846,   820,   829,
     822,   823,   828,   819,   821,   814,   815,   844,   843,   845,
     830,     0,   811,   831,   788,   787,     0,   618,     0,     0,
    1113,  1112,  1114,  1115,  1116,  1111,   792,   793,   791,   564,
       0,   146,   165,   148,   154,   155,   157,   156,   159,   160,
     158,   161,   669,   669,   669,     0,     0,   411,     0,   327,
     328,   329,     0,     0,     0,     0,   741,   740,   737,   738,
       0,     0,     0,   744,   742,     0,     0,     0,     0,   811,
       0,     0,   420,     0,   409,   410,     0,     0,     0,     0,
       6,     0,     0,   622,     0,   339,   342,     0,     0,   378,
     381,     0,     0,     0,     0,     0,     0,   386,   388,     0,
     431,     0,   494,   707,     0,   699,   702,   703,   700,   706,
     701,     0,   710,   708,   709,   705,   704,   696,   697,   476,
     479,   481,   483,   485,   486,   491,   498,   495,   496,   497,
     499,   501,   438,   464,   465,   475,   698,   466,   473,   467,
     474,   470,   471,     0,   468,   469,     0,   500,   472,     0,
       0,   456,   455,   448,   451,     0,   530,   531,   532,   510,
     515,   528,     0,   516,   521,     0,   542,   543,   534,   536,
     539,   540,     0,   568,     0,   567,     0,     0,   558,     0,
       0,     0,     0,     0,     0,     0,     0,   728,   729,   730,
     731,   732,   733,   699,   702,   703,   700,   720,   721,   701,
     722,   719,   718,   723,   716,   717,   715,   724,    10,   726,
       0,   679,   711,   681,   712,   615,   616,   693,   680,   674,
     673,   685,   687,   689,   691,   692,   678,   713,   714,   682,
       0,     0,     0,     0,   644,   643,     0,     0,    54,   169,
     186,   193,   212,   229,   334,    55,     0,     0,     0,     0,
      62,     0,     0,   669,   669,   669,     0,     0,   411,     0,
      73,     0,     0,     0,     0,    82,     0,   669,    96,   102,
     121,   120,   305,   305,   305,   128,   105,   108,   111,   117,
     114,   133,   136,   142,   145,     0,     0,   589,   587,   588,
     586,   600,   597,   598,   893,   895,   894,   896,   912,   913,
     914,   915,   899,     0,   992,  1002,   993,  1000,   990,   991,
     995,   996,   997,   998,   999,   994,  1001,   978,  1018,  1015,
    1016,  1017,  1019,  1020,  1021,  1022,  1023,  1024,  1025,  1026,
    1027,  1028,  1029,  1030,  1031,  1032,  1049,    11,  1061,   806,
       0,     0,   832,   833,     0,   835,     0,   834,   836,   837,
     812,   813,   838,     0,     0,   785,     0,     0,   585,   150,
     162,     0,     0,     0,     0,    47,   420,    52,     0,    48,
     649,    53,     0,   700,   701,   441,     0,   450,     0,   544,
     546,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,   838,     0,   380,   408,   418,   419,     0,   417,     0,
     524,   526,     0,   640,     7,     7,   631,   633,   692,   639,
       7,   621,   335,   383,   384,   382,   401,   400,     0,     0,
     399,   395,   390,   391,   392,   393,   396,   394,   389,     0,
       0,     0,     0,   507,     0,   502,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   509,     0,     0,     0,
     453,   454,   452,     0,     0,     0,   519,   538,   537,     0,
     569,     0,   560,     0,   559,   602,   603,   605,   607,   609,
     612,     7,   368,   370,   617,   725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   675,   777,   855,
      13,    14,     0,     0,     0,     0,     0,     0,    72,   169,
     186,   193,   212,   229,     0,     0,     0,    65,    70,    66,
      71,   325,   314,   316,   319,   322,    89,   130,   131,   129,
       0,   595,   916,   917,   919,   918,   920,   898,     0,  1005,
    1004,  1003,  1006,  1007,  1008,  1009,  1010,   977,  1046,  1045,
    1047,  1048,  1054,  1036,  1037,  1038,  1039,  1051,  1040,  1041,
    1042,  1043,  1044,  1052,  1053,  1055,  1056,  1057,  1058,  1059,
    1060,  1033,  1035,  1034,  1050,    10,     0,     0,   839,   840,
     841,   842,   785,   785,     0,     8,   790,   794,   795,   798,
       0,   256,   260,   252,     0,     0,     0,   443,     0,     0,
     442,   547,     0,     0,   638,   545,   634,   781,   780,     0,
     630,     0,   628,   778,   776,   852,   376,   853,     0,   851,
       0,   413,   412,   414,     0,     0,   625,     0,   626,   632,
     624,   623,   398,   404,   405,   397,   403,     0,     0,   437,
       0,   508,     0,   477,   464,   473,   478,   480,   482,   484,
     492,   493,   487,   490,   489,   488,   504,   503,   847,   848,
     849,   850,   513,   529,   520,   522,   541,     0,     0,     0,
       0,   371,   727,   677,   683,   684,   686,   688,   690,   676,
     613,   614,   694,   695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    37,   171,   170,
       0,     0,     0,    39,   188,   187,     0,     0,     0,   201,
       0,     0,     0,     0,     0,     0,     0,    42,   195,   194,
       0,     0,     0,     0,     0,    43,   214,   213,     0,     0,
       0,    45,   231,   230,     0,     0,     0,     0,     0,   256,
     260,   252,     0,     0,  1062,  1087,  1094,     9,     0,     8,
     786,   802,   797,   796,   799,     0,     0,     0,     0,     0,
     414,   444,   446,     0,   304,   636,   637,   635,     0,     0,
     629,   854,     0,   423,     0,   416,   525,     0,     7,   641,
     642,     0,   434,   435,   436,   505,     0,   514,   523,     0,
       0,   548,     0,     0,     0,     7,   369,   460,     0,   326,
     243,   317,   185,   320,   192,   211,   323,   228,   168,     0,
       0,     0,   243,   243,   243,   243,   172,   298,   299,   295,
     297,   296,     0,   189,   190,   191,     0,     0,     0,   227,
     226,   224,   225,   276,   278,   279,   277,   240,   280,   241,
       0,   239,   207,   208,   210,   209,     0,   206,   202,     0,
       0,     0,     0,   223,     0,     0,    57,    59,    60,    61,
      63,     0,     0,     0,   874,     0,   789,   785,   801,     0,
       0,     0,    50,   258,   257,   259,     0,     0,     0,     0,
       0,    51,   262,   261,   263,     0,     0,    49,   254,   253,
     255,   645,     0,   423,   647,   445,     0,   561,   426,   427,
     428,   429,   430,   421,     0,   407,     0,   527,   627,   402,
     506,     0,     0,   549,   555,     0,   373,   372,   461,   462,
       0,     0,     0,     0,     0,     0,   243,   243,   243,     0,
       0,     0,     0,     0,   198,   199,   200,     0,   196,     0,
     197,   215,   222,     0,   221,     0,     0,     0,     0,    68,
      69,    67,     0,     8,     0,   655,   654,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   421,   671,     0,     0,
     406,     0,   415,   553,     0,     7,   463,   457,   460,   272,
     186,   193,   212,   229,     0,     0,     0,   244,   264,   248,
     268,   294,   242,   205,     0,     0,     0,     0,     0,     0,
     290,   284,   283,   287,   282,   285,   286,   232,   238,     0,
     235,   233,   979,   800,     0,   661,   663,   666,   667,   664,
     665,   668,     0,   657,   670,   562,     0,   425,   424,   554,
     374,   462,     0,     0,     0,     0,     0,   256,   260,   252,
       0,     0,     0,     0,     0,     0,     0,   217,   219,   218,
     220,   216,   291,     0,     0,     7,   234,     0,     0,   658,
       0,   422,   458,     0,   274,   273,   275,     0,     0,     0,
       0,     0,     0,     0,     0,   246,   245,   247,     0,   266,
     265,   267,     0,   250,   249,   251,     0,   270,   269,   271,
     292,     0,   281,   289,   288,   237,   236,     0,     0,     0,
     656,   184,   173,   174,   175,   176,     0,     0,     0,   177,
     182,   178,   183,   293,   660,   659,   662,   180,   181,   179
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1438, -1438,    -1, -1034, -1322, -1438,  -848, -1438,    11, -1438,
   -1438,  1540, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438,    -6, -1438,  1180,
   -1438,   399,  -375, -1141,  -388, -1140,  -379,   185,   -29,  -377,
   -1138, -1139, -1438,  -383, -1135,  -179, -1438,  -141,   -22, -1287,
     -33, -1438, -1438, -1343, -1300, -1280, -1438, -1438, -1438, -1438,
   -1438,  -130, -1438, -1438, -1438, -1438, -1438, -1438, -1438,   106,
    -586,  -766,  1489,   -58,  1773, -1438,  1193, -1438, -1438,    95,
   -1438,   231,   133, -1438, -1438,  1882,  1054,  -214,  1203, -1438,
   -1438,   187,  1497,  1276,  1928,    30, -1438, -1438,   272,  -311,
   -1438, -1438, -1438, -1438,   137, -1438, -1438, -1438, -1438,   843,
   -1438, -1438, -1438,   833, -1438, -1438, -1438,   163, -1438,  1300,
   -1180,   186, -1438,   578,   -11,    73,    61, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438,   800,  -909,  1241,    -5,
     -57,  -608,   523,   528,   532, -1438,   537, -1438, -1438, -1438,
   -1438, -1438,  -350, -1438,  1059, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438,  -323,   516, -1438, -1438, -1438,   798,
   -1438,   514, -1092, -1438, -1438,  1358, -1438, -1438, -1438, -1438,
     803, -1438, -1438,   -42,   -27,  -669,  -322,   162,  1628, -1438,
   -1438, -1438,   704,    17, -1438, -1438, -1438, -1438, -1438,  -189,
    -200, -1438, -1438,   507, -1438,  1461,    56, -1438,   588, -1084,
   -1438, -1261, -1438,  -988, -1125, -1438, -1438,  1301,  -916,  1286,
    -912,  1274,  -908,  1275,  1564, -1437, -1438, -1438,   -74, -1438,
   -1438,  -266,  -910,  1288, -1438,  1328,  -335,  -773,  -761,  -759,
   -1438,  -297,  -745, -1438,  -233,  -115,  -666, -1438, -1184,  1395,
      53,  1390, -1438,   -20, -1438,    76, -1438, -1157, -1438,    89,
   -1438, -1438, -1438, -1438, -1438,   103,  -256,   115,  1077,   364,
    1391,  1398, -1438, -1438,  -537,   -21, -1438, -1438, -1438,   376,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438,   725, -1438, -1438, -1438, -1438, -1438, -1438,   718,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438, -1438,
   -1438, -1438, -1438, -1438, -1438
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,  1364,   751,  1411,  1526,  1008,  1235,  1365,    45,
      46,    47,    72,    85,    87,   101,   103,   129,   134,   142,
     144,   259,   262,   265,   266,   711,  1029,   260,   210,   373,
    1360,  1163,   374,  1164,   377,  1165,   378,  1506,  1507,   381,
    1166,  1380,  1491,   383,  1167,  1608,  1669,  1670,  1499,  1500,
    1581,  1700,  1702,  1417,  1415,  1416,  1701,  1703,  1692,  1501,
    1366,  1606,  1663,  1664,  1665,  1706,  1367,  1479,  1480,  1459,
     211,  1425,    48,    49,    59,   406,    51,   409,  1462,    65,
     413,  1464,    69,   418,  1467,    60,   403,  1460,   281,   282,
     283,    52,   385,  1264,   435,  1368,   315,   316,   317,   318,
     319,   320,  1142,  1330,  1331,   321,   322,   323,   759,   760,
     324,   325,   767,   768,  1097,  1091,  1295,  1296,   326,  1038,
    1283,  1435,   327,  1067,  1630,  1565,  1563,   328,   329,   770,
     330,   331,   332,   333,   334,   823,   824,   908,   372,  1579,
    1637,   789,   790,   791,   792,   793,   794,   795,  1313,   796,
     797,   798,   799,   800,   801,   802,   335,   336,   829,   337,
     338,   833,   339,   340,   830,   831,   341,   342,   838,   839,
     840,   841,  1048,  1049,   343,   344,   345,   346,   347,   847,
     848,   348,   349,   212,   803,   844,   883,   804,   350,   216,
     960,   491,   492,   805,   497,   351,   352,   353,   354,   355,
     356,   885,   886,   887,   357,   358,   359,   752,   753,  1271,
    1272,  1075,  1076,  1265,  1266,  1077,  1438,   903,  1035,   715,
    1039,   717,  1041,   718,   422,  1617,  1550,  1718,  1719,  1535,
    1544,  1031,  1037,   716,   360,   904,   905,   891,   892,   893,
     894,  1078,   896,   806,   807,   808,   899,   900,   361,   728,
     809,   657,   658,   219,   363,   810,   495,  1245,   686,   811,
    1027,   698,  1249,  1414,   222,   812,   619,   814,   620,   815,
     681,   682,  1020,  1021,   683,   816,   817,   364,   365,   818,
     227,   485,   228,   504,   229,   509,   230,   517,   231,   531,
     972,  1197,   232,   539,   233,   544,   234,   554,   235,   563,
     236,   569,   237,   572,   238,   576,   239,   581,   240,   586,
     241,   598,   987,  1207,   242,   602,  1006,  1234,  1217,  1223,
    1212,  1007,   243,   608,   244,   500,   245,   246,   633,   247,
     621,   248,   623,   249,   625,   250,   630,   251,   640,   252,
     643,   253,   649,   254,   695
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      43,   919,    53,   213,   687,   756,  1079,  1168,   881,   922,
    1177,   920,    44,   918,   921,   834,  1179,  1178,   881,   881,
     700,  1180,   845,   890,   379,   213,   263,  1388,   723,  1395,
    1145,  1396,   362,  1080,  1397,   935,   213,  1572,  1398,  1327,
    1286,  1288,   846,   362,   842,   275,  1290,   217,   434,  1328,
     434,   434,   938,   367,   434,   749,   434,   370,  1523,   434,
     434,   895,  1455,   434,   434,   434,   434,  1715,  1454,   217,
     434,   895,   895,   434,   434,   813,  1420,  1758,  1137,  1053,
     217,   434,   314,   218,   278,  1407,  1409,  1528,  1289,   493,
      55,  1138,   842,   375,  1139,  1058,  1511,  1262,   842,  1521,
    1263,  1621,  1281,  1440,   612,   218,   220,  1329,    54,   750,
      66,    67,  1432,    56,    57,    58,   218,   825,   450,   221,
    1522,     3,   380,   962,     4,   897,     5,   957,   220,  1099,
      71,  1659,  1040,   223,    55,   897,   897,   267,   631,   220,
    1427,   221,  1100,   393,  1022,   224,     6,     7,     8,     9,
     931,  1552,   221,   932,   276,   223,   277,  1101,   659,   741,
    1477,  1478,    86,   632,  1427,   371,   223,   224,  1082,   684,
     376,   389,   390,   391,   382,   742,  1092,   213,   224,   685,
    1096,   933,   213,  1135,  1136,   934,  1143,   412,   414,   415,
       3,  1433,   214,     4,   936,     5,    55,   431,   626,    55,
      63,  1061,   730,   255,  1668,   440,   441,  1660,  1661,  1529,
     102,   447,   392,   610,   214,     6,     7,     8,     9,   313,
     143,   217,   208,   616,   617,   214,   217,    55,   417,  1687,
    1553,    55,   476,   477,   854,   722,   480,   613,   731,     3,
      55,   264,     4,   898,     5,  1720,   443,  1247,  1530,   701,
     855,   727,   727,   898,   898,   703,  1449,   218,  1388,   368,
     958,   959,   218,  1293,     6,     7,     8,     9,  1294,   627,
     628,   629,   261,   400,  1536,   610,   856,   419,   659,   963,
     220,  1537,  1282,     3,  1430,   220,     4,   854,     5,   213,
     369,  1673,  1059,   221,  1113,   494,   362,   570,   221,   613,
    -167,   451,   843,   421,  1102,  1427,   618,   223,     6,     7,
       8,     9,   223,   571,   699,  1454,  1658,  1538,   452,   224,
     268,   964,   269,  1381,   224,  1382,   394,  1373,   395,   856,
    1374,   882,  -185,   217,     3,   965,  1114,     4,  1054,     5,
     832,   882,   882,  1040,  1556,   208,   754,  1383,   379,  1469,
    1539,   479,  1133,   826,   827,   828,  1733,  1571,   213,     6,
       7,     8,     9,   279,   280,   362,   214,  1536,  1346,   218,
    1613,   214,   379,   213,  1537,   208,  1347,  1336,  1081,  1261,
     362,  1348,  1531,  1349,  1573,  1350,  1632,  1404,   434,   379,
    1337,  1635,   220,  1338,   225,  1384,     4,  1731,     5,   726,
     726,  1073,   217,   732,  1568,   221,   226,  1456,     3,  1688,
    1538,     4,  1716,     5,   888,   915,   225,   217,  1732,   223,
    1141,  1576,  1759,   208,   888,   888,   313,   225,   366,   208,
     930,   224,   610,     6,     7,     8,     9,  1248,   218,   366,
     208,  1306,  1346,  1539,   641,  1314,   380,  1032,  1033,  1615,
    1347,  1540,   612,   218,  1616,  1348,   613,  1349,  1662,  1350,
     420,   220,   421,   208,   496,  1267,  1268,   966,     3,   642,
     380,     4,  1532,     5,   221,  1231,   220,   622,   214,  1116,
    1634,   967,  1334,  1335,   256,   257,   258,   380,   223,   221,
    1351,  1232,   624,     6,     7,     8,     9,  1426,  1303,  1693,
     224,  1694,   689,   223,  1695,  1312,   881,   371,  1696,   761,
     276,     3,  1450,   277,     4,   224,     5,   376,   897,   702,
     884,  1144,   382,  1233,     4,  1050,     5,   300,   719,   748,
     884,   884,  1470,   845,  1471,  -646,     6,     7,     8,     9,
     940,  1541,  1439,   302,  1540,  1079,   540,   214,   303,  1111,
     881,  1112,  1536,   256,   257,   258,  1388,  1344,   720,  1537,
     819,   820,   214,   721,  1351,  1157,   541,  1244,   225,   610,
    1408,   616,   617,   225,   953,  1086,   826,   827,   828,   542,
     226,   445,   446,  1146,  1079,   226,     3,   954,   743,     4,
    1385,     5,   724,   613,  1352,  1538,   486,   487,     4,  1529,
       5,  1690,  1597,  1451,  1486,  1487,   744,   745,  1087,  1353,
     747,     6,     7,     8,     9,  1509,   897,   897,   897,   897,
     897,   907,  1088,   897,     3,  1354,   599,     4,  1539,     5,
    1355,  1154,  1356,  1155,  1610,   644,   898,   740,  1530,   762,
     763,   764,   765,   766,   498,   499,   634,   897,   645,     6,
       7,     8,     9,   573,   618,   646,   274,  1174,  1175,  1176,
       4,   635,     5,   574,   575,  1140,  1089,   897,  1352,     3,
     750,  1186,     4,   647,     5,   754,  1493,   600,   601,   648,
     225,  1755,   636,  1353,   769,  1357,   287,   288,   637,   846,
    1603,   289,   366,  1597,     6,     7,     8,     9,   213,  1354,
    1494,  1495,   821,   822,  1355,  1030,  1356,  1369,  1370,  1371,
    1372,     4,  1373,     5,  1599,  1374,  1713,   851,     3,  1714,
     603,     4,   582,     5,   882,   543,   845,   488,   489,  1540,
     852,   490,  1375,   853,   898,   898,   898,   898,   898,   696,
     697,   898,   217,     6,     7,     8,     9,  1090,   909,   225,
     901,   604,   605,   583,   584,   907,   585,   902,   577,  1516,
    1153,   366,   578,   910,   225,   898,  -411,   911,   638,   639,
    1619,  1250,  1531,  1154,   912,  1155,   366,   913,   218,   606,
    1376,   130,   438,  1726,  1737,   898,   131,   132,  1192,   278,
    1745,  1741,   845,   579,   580,  1749,   942,    18,    19,   943,
    1199,   220,   133,  1325,  1193,   757,   758,  1074,   944,  1194,
    1195,   955,   607,   843,   221,  1496,   150,   151,   152,  1767,
     849,   850,   882,   882,   882,   882,   882,   213,   223,   882,
     956,  1079,   961,  1200,  1010,  1497,  1498,  1011,     3,  1023,
     224,     4,     3,     5,  1025,     4,    34,     5,   744,   745,
    1333,  1065,  1066,   882,  1270,    35,  1339,  1028,  1341,  1343,
    1024,    36,  1609,     6,     7,     8,     9,     6,     7,     8,
       9,   217,     3,   882,   897,     4,  1026,     5,  1208,  1389,
     455,  1390,  1209,  1210,  1211,    37,  1034,   214,  1201,  1202,
    1203,  1204,  1205,  1206,  1036,    18,    19,     6,     7,     8,
       9,  1046,  1160,  1106,  1107,  1161,  1196,   218,  1055,  1389,
    1051,  1390,   888,   884,   897,   897,   897,   897,   897,   897,
     897,  1052,   897,   897,  1056,   505,  1529,   506,   507,   508,
     220,  1050,   135,  1270,   136,  1148,  1149,  1723,  1057,   137,
    1073,   138,  1060,   221,    34,   139,     3,  1062,  1130,     4,
    1069,     5,  1132,    35,  1238,  1239,   888,   223,  1072,    36,
    1429,  1240,  1241,   744,   745,  1530,  1502,  1503,  1504,   224,
    1505,     6,     7,     8,     9,  1377,   704,  1083,   705,  1073,
     706,   707,     3,    37,   140,     4,   141,     5,   708,   709,
    1084,  1305,   898,  1305,  1305,  1305,  1108,  1305,  1305,  1447,
    1093,  1448,  1094,  1319,  1319,  1095,   843,     6,     7,     8,
       9,   884,   884,   884,   884,   884,   214,  1453,   884,     3,
    1742,   710,     4,  1109,     5,     3,  1110,   213,     4,  -847,
       5,  1115,   898,   898,   898,   898,   898,   898,   898,  -848,
     898,   898,   884,  1117,     6,     7,     8,     9,   750,  1287,
       6,     7,     8,     9,   897,   836,   837,   897,   968,   969,
     970,   971,   884,  1489,  1490,  1369,  1370,  1371,  1372,  1746,
    1373,   217,   843,  1374,  1412,  1413,  1583,  1704,  1705,  1304,
     882,  1304,  1304,  1304,  1585,  1304,  1304,  1582,  1584,   225,
    1375,  1318,  1318,   482,   483,   484,   897,  1320,  1321,  1531,
    1118,   226,   690,  1119,   213,  1120,   213,   218,  1121,  1596,
    1123,   691,   692,  1124,  1129,   693,   694,  1040,  1750,  1131,
     882,   882,   882,   882,   882,   882,   882,  1545,   882,   882,
     220,  1602,  1147,  1545,  1012,  1013,  1150,   213,  1376,  1472,
    1473,  1474,  1475,   221,   362,  1151,  1152,  1014,   217,  1156,
     217,   424,   426,   428,   430,  1015,  1162,   223,  1169,   587,
    1170,  1345,  1358,  1171,  1378,  1386,  1392,  1181,   588,   224,
    1315,  1016,   898,  1182,  1359,   898,  1379,  1387,  1393,  1172,
    1173,   217,  1183,   589,   218,  1184,   218,   590,  1185,  1766,
     591,   592,  1190,  1391,  1226,   593,   594,   595,   596,   597,
    1218,  1219,  1220,  1221,  1222,    62,  1227,   220,  1225,   220,
    1213,  1214,  1215,  1216,   898,  1228,   214,   218,   225,  1229,
     221,  1230,   221,  1520,  1236,  1244,  1073,  1237,  1270,  1242,
     226,   501,   502,   503,   223,  1243,   223,  1246,  1036,  1258,
     220,   256,   257,   258,   213,  1628,   224,     3,   224,  1050,
       4,   362,     5,   221,  1251,  1586,  1587,  1588,  1254,  1252,
     882,  1253,  1256,   882,   384,   854,  1269,   223,   388,   884,
    1276,  1278,     6,     7,     8,     9,   835,   836,   837,   224,
    1546,  1280,  1284,   408,   384,   609,  1546,  1292,   217,  1017,
    1018,  1019,   667,   214,  1297,   214,   610,  1738,   611,  1298,
     436,   213,   882,  1299,  1300,   677,   678,   679,   362,   884,
     884,   884,   884,   884,   884,   884,   612,   884,   884,  1481,
     613,  1302,  1310,   614,   218,     3,   214,  1332,     4,   475,
       5,  1340,  1402,  1518,  1399,  1400,   481,   290,   291,   292,
     293,   294,   295,   897,  1403,   217,  1074,   220,  1401,  1410,
       6,     7,     8,     9,   150,   151,   152,   564,  1405,  1476,
     221,  1406,  1389,  1419,  1390,  1483,  1484,  1485,   213,  1423,
    1547,  1418,  1050,   565,   223,   362,  1611,  1424,  1434,  1508,
    1428,   218,   566,   826,   827,   828,   224,  1513,   567,   568,
    1437,  1441,  1442,  1358,  1443,  1378,  1386,  1392,  1444,  1446,
    1457,   213,   615,  1458,   220,  1359,  1468,  1379,  1387,  1393,
    1482,  1488,   217,  1492,  1533,  1542,  1548,   221,   225,  1514,
    1510,  1515,   213,   736,  1524,  1525,  1534,  1543,  1549,  1527,
     226,   223,  1551,   214,  1557,   616,   617,  1564,  1566,  1589,
    1590,  1591,  1592,   224,  1575,   217,   379,  1574,   218,   884,
    1578,  1580,   884,  1461,  1463,  1463,  1466,  1593,  1605,  1607,
    1612,   898,   457,  1614,  1629,  1620,   217,  1622,   379,  1493,
    1633,   220,  1624,  1618,  1631,  1636,  1651,    18,    19,  1639,
    1668,   218,  1623,  1640,   221,  1594,  1595,  1641,  1625,  1642,
     214,   884,  1685,  1494,  1495,   225,  1643,   225,   223,  1598,
    1647,  1648,   218,  1649,   220,  1600,  1650,   226,  1601,   226,
     224,  1604,  1672,    18,    19,  1682,  1674,   221,   618,  1689,
    1533,  1542,  1548,  1686,  1034,   220,    34,  1712,   225,   213,
    1697,   223,  1534,  1543,  1549,    35,   362,  1698,   221,  1699,
     366,    36,  1717,   224,   380,   213,  1721,  1751,  1753,   882,
    1754,  1757,   223,  1644,  1645,  1646,     3,   214,  1774,     4,
      70,     5,    34,  1666,   224,    37,   380,   917,  1394,  1512,
    1653,    35,  1773,   217,  1756,  1652,  1752,    36,   404,  1638,
    1465,     6,     7,     8,     9,   510,   511,   914,   410,   217,
     214,   755,  1577,   512,   513,   514,   515,   516,  1734,  1452,
    1098,    37,  1085,   746,  1569,  1667,  1554,  1671,  1496,   218,
     555,   214,   556,  1626,  1255,  1684,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,  1122,  1683,   218,  1627,   916,  1497,  1498,
     557,  1307,   220,  1691,  1722,   225,  1128,  1308,   558,   559,
    1323,   560,  1309,  1326,   725,   221,  1654,   366,   220,  1311,
    1134,   561,   562,  1707,  1708,  1709,  1710,  1711,   215,   223,
    1191,   221,  1655,  1342,  1545,   688,   213,  1656,  1291,  1657,
     906,   224,   928,   362,   929,   223,  1730,  1558,  1559,  1560,
    1561,  1562,   926,   453,  1775,   927,   889,   224,   734,   729,
     738,  1724,   225,  1378,  1386,  1392,  1009,   739,  1198,  1735,
    1739,  1743,  1747,  1725,   366,  1379,  1387,  1393,     0,  1224,
     217,  1736,  1740,  1744,  1748,     0,     0,     0,   214,  1760,
       0,     0,  1761,     0,     0,     0,  1762,  1763,  1764,  1765,
    1533,  1542,  1548,  1769,   214,     0,     0,  1770,   884,   459,
       0,  1771,  1534,  1543,  1549,  1772,   218,     0,   532,     0,
     533,     0,     0,     0,    18,    19,     0,     0,  1776,   225,
       0,     0,     0,     0,     0,  1777,  1778,  1779,   534,   220,
       0,   366,     0,     0,    50,     0,   535,   536,   537,   538,
       0,  1045,   221,  1047,    61,    50,    50,    64,    64,    64,
      68,     0,   225,    50,     0,     0,   223,     0,     0,  1063,
    1064,     0,  1068,    34,   226,     0,  1070,  1071,   224,     0,
       0,     3,    35,   225,     4,     0,     5,  1546,    36,     0,
       0,     0,     0,     0,     0,   226,     0,     0,     0,     0,
    1103,     0,     0,  1105,     0,     0,     6,     7,     8,     9,
       0,     0,    37,     0,    50,     0,     0,   387,    50,    64,
      64,    64,    68,     0,     0,   214,     0,     0,     0,    50,
       0,   401,   405,   407,    50,   411,    64,    64,   416,     0,
     401,   401,   401,   401,     0,    64,     0,     0,   433,     0,
      50,     0,     0,    64,    64,     0,    68,     0,     0,    64,
       0,  1126,     0,     0,  1127,  1381,     0,  1382,     0,  1373,
       0,     0,  1374,     0,     0,     0,     0,  1768,   474,    50,
      64,    64,     3,     0,    64,     4,    50,     5,     0,  1383,
     225,   270,   271,   272,   273,     0,   461,     0,     0,     0,
       0,     0,   366,     0,     0,     0,   225,     6,     7,     8,
       9,    18,    19,     0,     0,     0,     0,     3,   226,     0,
       4,     0,     5,     0,     0,   386,     0,     0,     0,     0,
    1158,  1159,     0,   396,   397,   398,   399,  1384,   466,     0,
     402,     0,     6,     7,     8,     9,     0,     0,     0,   423,
     425,   427,   429,    18,    19,     0,   432,     0,     0,     0,
      34,     0,     0,     0,     0,  1369,  1370,  1371,  1372,    35,
    1373,     0,   454,  1374,     0,    36,   469,   463,   464,   465,
      73,     0,   468,     0,     0,   473,    74,     0,    75,     0,
    1375,    18,    19,    76,    77,    78,     0,    79,     0,    37,
       0,  1381,    34,  1382,     0,  1373,   437,   439,  1374,     0,
     442,    35,   444,     0,     0,   448,   449,    36,     0,   456,
     458,   460,   462,     0,     0,  1383,   467,   225,     0,   470,
     472,     0,   974,     0,     0,     0,     0,   478,  1376,   366,
      34,    37,     0,     0,    10,     0,     0,     0,     0,    35,
      11,     0,    12,     0,    13,    36,     0,    14,    15,    16,
       0,    17,     0,     0,     0,    18,    19,     0,  -804,     0,
       0,  1257,     0,  1384,     0,  1260,     0,     0,     0,    37,
       0,     0,     0,     0,  1273,  1274,  1275,     0,     0,  1277,
       0,  1279,     0,     0,   975,   545,   546,     0,     0,     0,
       0,  1285,     0,     0,   973,     0,     0,   773,     0,   547,
       0,   548,   549,   550,    34,     0,     0,   974,     0,   712,
     713,   714,     0,    35,     0,     0,     0,     0,     0,    36,
       0,     0,  1519,  1301,   551,   552,   553,     0,     0,     0,
     150,   151,   152,     0,  1316,     0,  1317,   863,     0,     0,
       0,   864,  1322,    37,  1324,   865,     0,     0,     0,     0,
       0,   866,   471,   976,     0,   779,   977,   978,   979,   980,
     981,   982,   983,   984,   985,   986,    88,    18,    19,   975,
       0,   939,    89,     0,    90,   869,    91,     0,    64,    92,
      93,    94,     0,    95,     0,     0,     0,     0,   946,     0,
     947,     0,   948,     0,   949,     0,    80,     0,     0,   950,
       0,     0,   951,     0,   952,     0,     0,     0,     0,     0,
       0,    81,    64,     0,     0,     0,    34,     0,     0,     0,
       0,     0,     0,  1728,     0,    35,     0,    82,     0,     0,
       0,    36,    83,     0,    84,   923,   924,   925,   976,     0,
       0,   977,   978,   979,   980,   981,   982,   983,   984,   985,
     986,     0,   518,   519,     3,    37,   520,     4,  1729,     5,
      38,     0,     0,     0,   937,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    39,   145,  1421,  1422,     6,
       7,     8,     9,   146,   147,     0,   284,   148,   285,     0,
       0,    40,     0,     0,     0,   945,    41,  1431,    42,     0,
       0,   286,   782,  1436,     0,   783,   784,     0,     0,     0,
       0,   287,   288,     0,   530,     0,   289,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,     0,   941,     0,     0,     0,     0,     0,
       0,     0,  1361,   785,   786,     0,   296,     0,   297,     0,
       0,   149,   150,   151,   152,     0,     0,   153,     0,   154,
       0,     0,  1362,   155,     0,     0,     0,   156,     0,     0,
       0,     0,     0,   157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,     0,     0,     0,   158,
       0,     0,    96,     0,   159,     0,     0,   160,     0,     0,
       0,     0,   161,     0,     0,   162,     0,    97,   163,   164,
       0,     0,   165,     0,     0,   166,     0,   167,   545,   546,
       0,     0,     0,    98,     0,     0,     0,     0,    99,     0,
     100,     0,   547,     0,   548,   549,   550,     0,     0,   168,
     169,     0,  1555,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1567,   551,   552,   553,
       0,     0,     0,     0,     0,  1570,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   170,   171,   172,   173,     0,
       0,     0,     0,     0,   174,   175,     0,     0,   176,   177,
     298,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,     0,     0,   299,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   301,
       0,     0,     0,     0,     0,   302,     0,     0,     0,     0,
     303,     0,     0,     0,     0,     0,     0,     0,     0,   201,
     202,     0,   304,     0,     0,   305,   306,   307,   308,     0,
       0,     0,   309,     0,     0,     0,   310,   311,   203,     0,
       0,     0,   204,   205,     0,     0,     0,     0,     0,     0,
       0,   312,     0,     3,   206,   207,     4,     0,     5,     0,
       0,     0,     0,     0,   313,  1363,     0,   208,   209,     0,
       0,     0,     0,     0,     0,   145,  -803,     0,     6,     7,
       8,     9,   146,   147,     0,   284,   148,   285,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     286,     0,     0,   518,   519,     0,     0,   520,     0,     0,
     287,   288,     0,     0,   650,   289,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   290,   291,   292,   293,
     294,   295,     0,     0,     0,  1187,  1188,  1189,     0,     0,
     651,  1361,     0,   652,     0,   296,     0,   297,     0,     0,
     149,   150,   151,   152,     0,     0,   153,     0,   154,     0,
     653,  1362,   155,     0,     0,   530,   156,     0,     0,     0,
       0,     0,   157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,   159,     0,     0,   160,     0,     0,     0,
       0,   161,   988,     0,   162,     0,     0,   163,   164,     0,
       0,   165,     0,     0,   166,     0,   167,     0,   989,   990,
     991,   992,   993,   994,   995,   996,   997,   998,   999,  1000,
    1001,  1002,  1003,  1004,  1005,     0,     0,     0,   168,   169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   170,   171,   172,   173,     0,     0,
       0,     0,     0,   174,   175,     0,     0,   176,   177,   298,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,     0,     0,   299,   654,     0,     0,     0,     0,     0,
       0,   201,   202,     0,     0,     0,     0,     0,   300,     0,
       0,   655,     0,     0,     0,     0,     0,     0,   301,     0,
       0,     0,     0,     0,   302,     0,     0,     0,     0,   303,
       0,     0,     0,     0,     0,     0,     0,   656,   201,   202,
       0,   304,     0,     0,   305,   306,   307,   308,     0,     0,
       0,   309,     0,     0,     0,   310,   311,   203,     0,     0,
       0,   204,   205,     3,     0,     0,     4,     0,     5,     0,
     312,     0,     0,   206,   207,     0,     0,     0,     0,     0,
       0,     0,     0,   313,  1517,   145,   208,   209,     6,     7,
       8,     9,   146,   147,     0,   284,   148,   285,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     286,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     287,   288,     0,     0,     0,   289,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,     0,     0,     0,   296,     0,   297,     0,     0,
     149,   150,   151,   152,     0,     0,   153,     0,   154,     0,
       0,  1362,   155,     0,     0,     0,   156,     0,     0,     0,
       0,     0,   157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,   159,     0,     0,   160,     0,     0,     0,
       0,   161,     0,     0,   162,     0,     0,   163,   164,     0,
       0,   165,     0,     0,   166,     0,   167,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,   169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   104,     0,     0,     0,     0,     0,
     105,   106,   107,   108,     0,     0,   109,   110,     0,   111,
     112,   113,     0,   114,   170,   171,   172,   173,     0,     0,
       0,     0,     0,   174,   175,     0,     0,   176,   177,   298,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,     0,   115,   299,   116,   117,   118,   771,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   300,     0,
       0,     0,     0,   772,     0,   145,     0,     0,   301,     0,
       0,     0,     0,   147,   302,     0,   148,     0,     0,   303,
       0,     0,     0,     0,     0,     0,     0,     0,   201,   202,
       0,   304,     0,     0,   305,   306,   307,   308,     0,     0,
       0,   309,     0,     0,     0,   310,   311,   203,   773,     0,
       0,   204,   205,     0,     0,     0,     0,     0,     0,     0,
     312,     0,   774,   206,   207,     0,     0,     0,     0,     0,
       0,     0,     0,   313,  1727,     0,   208,   209,     0,     0,
     149,   150,   151,   152,     0,     0,   153,     0,   775,     0,
       0,     0,   776,     0,     0,     0,   777,     0,     0,     0,
       0,     0,   778,     0,     0,     0,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,   159,     0,     0,   780,     0,     0,     0,
       0,   161,     0,     0,   162,     0,     0,   163,   164,     0,
       0,   165,     0,     0,   166,     0,   167,     0,     0,     0,
     119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   120,     0,     0,   168,   169,
     121,   122,   123,   124,     0,     0,     0,     0,     0,     0,
       0,   125,     0,     0,     0,     0,   126,     0,   127,   128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   781,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,     0,     0,   200,  1042,     0,     0,     0,     0,     0,
       0,     0,     0,   782,   735,     0,   783,   784,     0,     0,
     772,     0,   145,     0,     0,     0,     0,     0,     0,     0,
     147,     0,     0,   148,     0,     0,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,   202,
       0,     0,     0,     0,   785,   786,     0,   662,     0,     0,
       0,     0,     0,     0,     0,   773,     0,   203,     0,     0,
       0,   204,   205,     0,     0,     0,     0,     0,     0,     0,
       0,   787,   788,     0,   656,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   149,   150,   151,
     152,     0,     0,   153,     0,   775,     0,     0,     0,   776,
     736,     0,     0,   777,     0,     0,     0,     0,     0,  1043,
       0,     0,     0,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,     0,     0,
     159,     0,     0,  1044,     0,     0,     0,     0,   161,     0,
       0,   162,     0,     0,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,   663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   168,   169,     0,     0,     0,
       0,   664,   665,   666,   667,   668,   669,   737,   670,   671,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   781,     0,     0,     0,     0,     0,     0,   680,     0,
       0,     0,     0,     0,     0,     0,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
     200,  1104,     0,     0,     0,     0,     0,   660,   661,     0,
     782,     0,     0,   783,   784,     0,     0,   772,     0,   145,
       0,     0,     0,     0,     0,     0,     0,   147,   662,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,   202,     0,     0,     0,
       0,   785,   786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   773,     0,   203,     0,     0,     0,   204,   205,
       0,     0,     0,     0,     0,     0,     0,     0,   787,   788,
       0,   656,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   149,   150,   151,   152,     0,     0,
     153,     0,   775,     0,     0,     0,   776,     0,     0,     0,
     777,     0,     0,     0,     0,     0,  1043,     0,     0,     0,
     779,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,   159,   663,     0,
    1044,     0,     0,     0,     0,   161,     0,     0,   162,     0,
       0,   163,   164,     0,     0,   165,     0,     0,   166,     0,
     167,     0,   664,   665,   666,   667,   668,   669,     0,   670,
     671,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,     0,   168,   169,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   680,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   781,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,     0,     0,   200,  1125,     0,
       0,     0,     0,     0,     0,     0,     0,   782,     0,     0,
     783,   784,     0,     0,   772,     0,   145,     0,     0,     0,
       0,     0,     0,     0,   147,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,   202,     0,     0,     0,     0,   785,   786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   773,
       0,   203,     0,     0,     0,   204,   205,     0,     0,     0,
       0,     0,     0,     0,     0,   787,   788,     0,   656,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   149,   150,   151,   152,     0,     0,   153,     0,   775,
       0,     0,     0,   776,     0,     0,     0,   777,     0,     0,
       0,     0,     0,  1043,     0,     0,     0,   779,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   158,
       0,     0,     0,     0,   159,     0,     0,  1044,     0,     0,
       0,     0,   161,     0,     0,   162,     0,     0,   163,   164,
       0,     0,   165,     0,     0,   166,     0,   167,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   168,
     169,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   781,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,     0,     0,   200,  1259,     0,     0,     0,     0,
       0,     0,     0,     0,   782,     0,     0,   783,   784,     0,
       0,   772,     0,   145,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
     202,     0,     0,     0,     0,   785,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   773,     0,   203,     0,
       0,     0,   204,   205,     0,     0,     0,     0,     0,     0,
       0,     0,   787,   788,     0,   656,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   149,   150,
     151,   152,     0,     0,   153,     0,   775,     0,     0,     0,
     776,     0,     0,     0,   777,     0,     0,     0,     0,     0,
    1043,     0,     0,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   158,     0,     0,     0,
       0,   159,     0,     0,  1044,     0,     0,     0,     0,   161,
       0,     0,   162,     0,     0,   163,   164,     0,     0,   165,
       0,     0,   166,     0,   167,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   168,   169,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   781,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,     0,
       0,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   782,     0,     0,   783,   784,   857,   858,   859,   860,
     861,   862,     0,     0,     0,     0,     0,     0,   772,     0,
     842,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,   202,     0,     0,
       0,     0,   785,   786,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,   204,
     205,     0,     0,   773,     0,   772,     0,   842,     0,   787,
     788,     0,   656,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,   151,   152,     0,
       0,     0,     0,   863,     0,     0,     0,   864,     0,     0,
     773,   865,   772,     0,     0,     0,     0,   866,     0,     0,
       0,   779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   867,     0,     0,     0,     0,   868,     0,
       0,   869,   149,   150,   151,   152,   870,     0,     0,   871,
     863,     0,   872,   873,   864,     0,   874,   773,   865,   875,
       0,   876,     0,     0,   866,     0,     0,     0,   779,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     867,     0,     0,   877,   878,   868,     0,     0,   869,   149,
     150,   151,   152,   870,     0,     0,   871,   863,     0,   872,
     873,   864,     0,   874,     0,   865,   875,     0,   876,     0,
       0,   866,     0,     0,     0,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   867,     0,     0,
     877,   878,   868,     0,     0,   869,     0,     0,     0,     0,
     870,     0,     0,   871,     0,     0,   872,   873,     0,     0,
     874,     0,     0,   875,     0,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   782,     0,
       0,   783,   784,     0,     0,     0,     0,   877,   878,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   785,
     786,     0,   879,     0,     0,   782,     0,     0,   783,   784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   772,     0,     0,   787,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   313,     0,
       0,   208,   880,     0,     0,     0,   785,   786,     0,   879,
       0,     0,   782,     0,     0,   783,   784,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   773,     0,
       0,     0,     0,   787,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   313,     0,     0,   208,   880,
       0,     0,     0,   785,   786,     0,   879,     0,     0,     0,
     149,   150,   151,   152,     0,     0,     0,     0,   863,     0,
       0,     0,   864,     0,     0,     0,   865,     0,     0,     0,
     787,   788,   866,     0,     0,     0,   779,     0,     0,     0,
       0,     0,   313,     0,     0,   208,   880,     0,   867,     0,
       0,     0,     0,   868,     0,     0,   869,     0,     0,     0,
       0,   870,     0,     0,   871,     0,     0,   872,   873,     0,
     772,   874,   145,     0,   875,     0,   876,     0,     0,     0,
     147,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   877,   878,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   773,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   149,   150,   151,
     152,     0,     0,   153,     0,   775,     0,     0,     0,   776,
       0,     0,     0,   777,     0,     0,     0,     0,     0,  1043,
       0,     0,     0,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   782,     0,   158,   783,   784,     0,     0,
     159,     0,     0,  1044,     0,     0,     0,     0,   161,     0,
       0,   162,     0,     0,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   785,   786,     0,   879,     0,     0,
       0,     0,     0,     0,     0,   168,   169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   787,   788,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   880,     0,     0,
       0,   781,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     782,     0,     0,   783,   784,     0,     0,     0,     0,   145,
       0,     0,     0,     0,     0,     0,   146,   147,     0,   284,
     148,   285,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   286,   201,   202,     0,     0,     0,
       0,   785,   786,     0,   287,   288,     0,     0,   733,   289,
       0,     0,     0,     0,   203,     0,     0,     0,   204,   205,
     290,   291,   292,   293,   294,   295,     0,     0,   787,   788,
       0,   656,     0,     0,   651,     0,     0,   652,     0,   296,
       0,   297,     0,   208,   149,   150,   151,   152,     0,     0,
     153,     0,   154,     0,   653,     0,   155,     0,     0,     0,
     156,     0,     0,     0,     0,     0,   157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,   159,     0,     0,
     160,     0,     0,     0,     0,   161,     0,     0,   162,     0,
       0,   163,   164,     0,     0,   165,     0,     0,   166,     0,
     167,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   168,   169,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   170,   171,
     172,   173,     0,     0,     0,     0,     0,   174,   175,     0,
       0,   176,   177,   298,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,     0,     0,   299,   654,     0,
       0,     0,     0,     0,     0,   201,   202,     0,     0,     0,
       0,     0,   300,     0,     0,   655,     0,     0,   145,     0,
       0,     0,   301,     0,     0,   146,   147,     0,   302,   148,
       0,     0,     0,   303,     0,     0,     0,     0,     0,     0,
       0,   656,   201,   202,     0,   304,     0,     0,   305,   306,
     307,   308,     0,     0,     0,   309,     0,     0,     0,   310,
     311,   203,     0,     0,     0,   204,   205,     0,     0,     0,
       0,     0,     0,     0,   312,     0,     0,   206,   207,     0,
       0,     0,     0,     0,     0,     0,     0,   313,     0,     0,
     208,   209,     0,   149,   150,   151,   152,     0,     0,   153,
       0,   154,     0,     0,     0,   155,     0,     0,     0,   156,
       0,     0,     0,     0,     0,   157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   158,     0,     0,     0,     0,   159,     0,     0,   160,
       0,     0,     0,     0,   161,     0,     0,   162,     0,     0,
     163,   164,     0,     0,   165,     0,     0,   166,     0,   167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   168,   169,     0,     0,     0,     0,     0,     0,     0,
     145,     0,     0,     0,     0,     0,     0,   146,   147,     0,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   170,   171,   172,
     173,     0,     0,     0,     0,     0,   174,   175,     0,     0,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,     0,     0,   200,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,   151,   152,     0,
       0,   153,     0,   154,     0,     0,     0,   155,     0,     0,
       0,   156,     0,     0,     0,     0,     0,   157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,   202,   158,     0,     0,     0,     0,   159,     0,
       0,   160,     0,     0,     0,     0,   161,     0,     0,   162,
     203,     0,   163,   164,   204,   205,   165,     0,     0,   166,
       0,   167,     0,     0,     0,     0,   206,   207,     0,     0,
       0,     0,     0,     0,     0,     0,   313,     0,     0,   208,
     209,     0,     0,   168,   169,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   170,
     171,   172,   173,     0,     0,     0,     0,     0,   174,   175,
       0,     0,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,     0,     0,   200,   145,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   773,   201,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,   204,   205,     0,     0,
       0,     0,     0,     0,   149,   150,   151,   152,   206,   207,
     153,     0,   775,     0,     0,     0,   776,     0,     0,     0,
     777,   208,   209,     0,     0,     0,  1043,     0,     0,     0,
     779,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,   159,     0,     0,
    1044,     0,     0,     0,     0,   161,     0,     0,   162,     0,
       0,   163,   164,     0,     0,   165,     0,     0,   166,     0,
     167,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   168,   169,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   781,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,     0,     0,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   782,     0,     0,
     783,   784,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,   202,     0,     0,     0,     0,   785,   786,
       0,     0,     0,     2,     3,     0,     0,     4,     0,     5,
       0,   203,     0,     0,     0,   204,   205,     0,     0,     0,
       0,     0,     0,     0,     0,   787,   788,     0,   656,     6,
       7,     8,     9,     0,     0,     0,     0,     0,    10,     0,
     208,     0,     0,     0,    11,     0,    12,     0,    13,     0,
       0,    14,    15,    16,     0,    17,     0,     0,     0,    18,
      19,    20,     0,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,     0,     0,   773,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -305,     0,     0,     0,     0,     0,    34,     0,
     149,   150,   151,   152,     0,     0,     0,    35,   863,     0,
       0,     0,   864,    36,     0,   773,   865,     0,     0,     0,
       0,     0,   866,     0,     0,     0,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    37,   867,     0,
       0,     0,     0,   868,     0,     0,   869,   149,   150,   151,
     152,   870,     0,     0,   871,   863,     0,   872,   873,   864,
       0,   874,     0,   865,   875,     0,   876,     0,     0,   866,
       0,     0,     0,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   867,     0,     0,   877,   878,
     868,     0,     0,   869,     0,     0,     0,     0,   870,     0,
       0,   871,     0,     0,   872,   873,     0,     0,   874,     0,
       0,   875,     0,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   877,   878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    38,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    39,
       0,     0,     0,   782,     0,     0,   783,   784,     0,     0,
       0,     0,     0,     0,     0,    40,     0,     0,     0,     0,
      41,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   785,   786,     0,   879,     0,     0,
     782,     0,     0,   783,   784,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   787,   788,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   880,     0,     0,
       0,   785,   786,     0,   879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   787,   788,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   880
};

static const yytype_int16 yycheck[] =
{
       1,   389,     3,    30,   204,   316,   751,   916,   358,   392,
     926,   390,     1,   388,   391,   338,   928,   927,   368,   369,
     209,   929,   344,   358,    66,    52,    32,  1166,   284,  1170,
     878,  1171,    52,     7,  1172,   414,    63,     5,  1173,  1131,
    1074,  1075,    41,    63,    23,    46,  1080,    30,   106,  1133,
     108,   109,   431,    54,   112,   311,   114,    58,  1401,   117,
     118,   358,     7,   121,   122,   123,   124,     7,  1329,    52,
     128,   368,   369,   131,   132,   331,  1256,     7,   851,    92,
      63,   139,    52,    30,    53,  1242,  1243,  1409,  1076,    32,
      99,   852,    23,    63,   853,    98,  1383,    85,    23,  1399,
      88,  1538,    99,  1287,   140,    52,    30,  1141,   100,     4,
      15,    16,    20,     7,     8,     9,    63,    80,    85,    30,
    1400,     1,    66,   121,     4,   358,     6,   109,    52,   136,
      45,    22,   718,    30,    99,   368,   369,    85,   122,    63,
    1265,    52,   149,    85,   681,    30,    26,    27,    28,    29,
      53,    20,    63,    53,    48,    52,    50,   164,   178,   277,
      74,    75,    45,   147,  1289,    59,    63,    52,   754,   316,
      64,    76,    77,    78,    68,   293,   762,   204,    63,   326,
     766,    53,   209,   849,   850,    53,   855,    92,    93,    94,
       1,    99,    30,     4,    53,     6,    99,   102,   157,    99,
      13,   738,    58,    54,    99,   110,   111,    98,    99,    89,
      49,   116,    79,   120,    52,    26,    27,    28,    29,   351,
      43,   204,   354,   259,   260,    63,   209,    99,    95,    99,
      99,    99,   137,   138,     8,    80,   141,   144,    94,     1,
      99,    99,     4,   358,     6,  1682,   113,   154,   128,   255,
      24,   293,   294,   368,   369,   261,     5,   204,  1397,   350,
     242,   243,   209,   138,    26,    27,    28,    29,   143,   228,
     229,   230,    54,    86,    85,   120,    50,    85,   298,   277,
     204,    92,   279,     1,  1272,   209,     4,     8,     6,   316,
     350,  1613,   295,   204,     8,   238,   316,   138,   209,   144,
     351,   268,   344,   270,   311,  1430,   342,   204,    26,    27,
      28,    29,   209,   154,   208,  1576,  1603,   128,   285,   204,
     268,   106,   270,    85,   209,    87,   268,    89,   270,    50,
      92,   358,   351,   316,     1,   120,    50,     4,   351,     6,
      80,   368,   369,   929,  1428,   354,   334,   109,   390,    85,
     161,    41,   351,   316,   317,   318,  1699,  1449,   385,    26,
      27,    28,    29,   332,   333,   385,   204,    85,    35,   316,
    1527,   209,   414,   400,    92,   354,    43,  1150,   352,  1048,
     400,    48,   262,    50,   352,    52,  1566,  1235,   446,   431,
    1151,  1575,   316,  1152,    30,   157,     4,  1697,     6,   293,
     294,   751,   385,   297,  1438,   316,    30,   352,     1,   279,
     128,     4,   352,     6,   358,   385,    52,   400,  1698,   316,
     351,  1455,   352,   354,   368,   369,   351,    63,    52,   354,
     400,   316,   120,    26,    27,    28,    29,   344,   385,    63,
     354,  1107,    35,   161,   122,  1114,   390,   713,   714,   159,
      43,   262,   140,   400,   164,    48,   144,    50,   349,    52,
     268,   385,   270,   354,   127,  1051,  1052,   106,     1,   147,
     414,     4,   352,     6,   385,   109,   400,   227,   316,   802,
    1572,   120,  1148,  1149,   335,   336,   337,   431,   385,   400,
     157,   125,   227,    26,    27,    28,    29,  1263,  1106,  1640,
     385,  1641,   327,   400,  1642,  1113,   856,   401,  1643,   157,
     404,     1,   261,   407,     4,   400,     6,   411,   751,   336,
     358,   856,   416,   157,     4,   725,     6,   276,    98,    80,
     368,   369,   268,   855,   270,   278,    26,    27,    28,    29,
     445,   352,  1287,   292,   262,  1290,   109,   385,   297,    20,
     900,    22,    85,   335,   336,   337,  1695,    37,    98,    92,
      36,    37,   400,    98,   157,   900,   129,   328,   204,   120,
     331,   259,   260,   209,   479,    73,   316,   317,   318,   142,
     204,    41,    42,   880,  1329,   209,     1,   481,   277,     4,
     352,     6,   277,   144,   261,   128,   107,   108,     4,    89,
       6,  1635,     8,   352,  1370,  1371,   295,   296,   106,   276,
      80,    26,    27,    28,    29,  1381,   849,   850,   851,   852,
     853,    36,   120,   856,     1,   292,   109,     4,   161,     6,
     297,    20,   299,    22,   352,   109,   751,   277,   128,   287,
     288,   289,   290,   291,   160,   161,   111,   880,   122,    26,
      27,    28,    29,   147,   342,   129,     0,   923,   924,   925,
       4,   126,     6,   157,   158,   854,   164,   900,   261,     1,
       4,   937,     4,   147,     6,   334,    99,   160,   161,   153,
     316,  1715,   147,   276,   310,   352,    58,    59,   153,    41,
       5,    63,   316,     8,    26,    27,    28,    29,   725,   292,
     123,   124,   178,   179,   297,   711,   299,    84,    85,    86,
      87,     4,    89,     6,     7,    92,    22,    17,     1,    25,
     129,     4,   129,     6,   751,   288,  1048,   238,   239,   262,
      18,   242,   109,   353,   849,   850,   851,   852,   853,   348,
     349,   856,   725,    26,    27,    28,    29,   245,   351,   385,
      48,   160,   161,   160,   161,    36,   163,    48,   125,   352,
       7,   385,   129,   351,   400,   880,    98,   351,   233,   234,
    1536,  1027,   262,    20,   351,    22,   400,   351,   725,   188,
     157,   276,    41,  1692,  1700,   900,   281,   282,   109,    53,
    1702,  1701,  1114,   160,   161,  1703,    41,    56,    57,    41,
      92,   725,   297,  1126,   125,   278,   279,   751,    41,   130,
     131,     7,   221,   855,   725,   238,    99,   100,   101,   352,
      15,    16,   849,   850,   851,   852,   853,   854,   725,   856,
       8,  1576,    99,   125,   357,   258,   259,   357,     1,   327,
     725,     4,     1,     6,    98,     4,   105,     6,   295,   296,
    1147,   295,   296,   880,  1054,   114,  1153,   356,  1155,  1156,
     327,   120,   352,    26,    27,    28,    29,    26,    27,    28,
      29,   854,     1,   900,  1107,     4,   345,     6,   211,    38,
      41,    40,   215,   216,   217,   144,   278,   725,   180,   181,
     182,   183,   184,   185,   293,    56,    57,    26,    27,    28,
      29,    80,   903,    15,    16,   906,   227,   854,    48,    38,
      23,    40,   856,   751,  1147,  1148,  1149,  1150,  1151,  1152,
    1153,    23,  1155,  1156,    48,   109,    89,   111,   112,   113,
     854,  1131,    41,  1133,    43,    15,    16,   352,    48,    48,
    1290,    50,    48,   854,   105,    54,     1,    48,   842,     4,
      98,     6,   846,   114,   107,   108,   900,   854,    80,   120,
    1271,   107,   108,   295,   296,   128,    81,    82,    83,   854,
      85,    26,    27,    28,    29,   352,    42,    98,    44,  1329,
      46,    47,     1,   144,    93,     4,    95,     6,    54,    55,
      98,  1106,  1107,  1108,  1109,  1110,    17,  1112,  1113,  1322,
      98,  1324,    98,  1118,  1119,    98,  1048,    26,    27,    28,
      29,   849,   850,   851,   852,   853,   854,  1328,   856,     1,
     352,    87,     4,    18,     6,     1,   353,  1054,     4,     7,
       6,     5,  1147,  1148,  1149,  1150,  1151,  1152,  1153,     7,
    1155,  1156,   880,    80,    26,    27,    28,    29,     4,     5,
      26,    27,    28,    29,  1287,   321,   322,  1290,   132,   133,
     134,   135,   900,    90,    91,    84,    85,    86,    87,   352,
      89,  1054,  1114,    92,   107,   108,  1464,    39,    40,  1106,
    1107,  1108,  1109,  1110,  1467,  1112,  1113,  1462,  1465,   725,
     109,  1118,  1119,   102,   103,   104,  1329,  1118,  1119,   262,
       7,   725,   222,     7,  1131,    98,  1133,  1054,    98,  1488,
       5,   231,   232,     7,     7,   235,   236,  1703,  1704,   351,
    1147,  1148,  1149,  1150,  1151,  1152,  1153,   109,  1155,  1156,
    1054,  1510,     7,   109,   107,   108,    17,  1164,   157,  1353,
    1354,  1355,  1356,  1054,  1164,    18,   353,   120,  1131,     8,
    1133,    97,    98,    99,   100,   128,    98,  1054,   351,   129,
     351,  1162,  1163,   351,  1165,  1166,  1167,    98,   138,  1054,
    1114,   144,  1287,    98,  1163,  1290,  1165,  1166,  1167,   351,
     351,  1164,    98,   153,  1131,    98,  1133,   157,    98,   352,
     160,   161,    98,   352,   218,   165,   166,   167,   168,   169,
     210,   211,   212,   213,   214,    12,   218,  1131,   215,  1133,
     206,   207,   208,   209,  1329,   219,  1054,  1164,   854,   220,
    1131,   219,  1133,   352,    98,   328,  1576,    98,  1428,    98,
     854,   107,   108,   109,  1131,    98,  1133,    98,   293,     5,
    1164,   335,   336,   337,  1271,  1556,  1131,     1,  1133,  1449,
       4,  1271,     6,  1164,   351,  1469,  1470,  1471,    98,   351,
    1287,   351,    98,  1290,    71,     8,    98,  1164,    75,  1107,
      98,    48,    26,    27,    28,    29,   320,   321,   322,  1164,
     262,    98,    39,    90,    91,   109,   262,   143,  1271,   262,
     263,   264,   265,  1131,   109,  1133,   120,   352,   122,   109,
     107,  1328,  1329,    66,   109,   278,   279,   280,  1328,  1147,
    1148,  1149,  1150,  1151,  1152,  1153,   140,  1155,  1156,  1361,
     144,     5,    98,   147,  1271,     1,  1164,   356,     4,   136,
       6,    98,     7,   352,   351,   351,   143,    74,    75,    76,
      77,    78,    79,  1576,     7,  1328,  1290,  1271,   351,    98,
      26,    27,    28,    29,    99,   100,   101,   122,   358,  1360,
    1271,   358,    38,    98,    40,  1366,  1367,  1368,  1395,     5,
     352,   279,  1572,   138,  1271,  1395,   352,    99,   298,  1380,
     351,  1328,   147,   316,   317,   318,  1271,  1388,   153,   154,
      39,     7,    99,  1394,    99,  1396,  1397,  1398,    99,     5,
      98,  1428,   226,    37,  1328,  1394,    99,  1396,  1397,  1398,
      99,   350,  1395,    98,  1415,  1416,  1417,  1328,  1054,    99,
     350,   350,  1449,   181,    98,    98,  1415,  1416,  1417,    98,
    1054,  1328,    98,  1271,   352,   259,   260,   294,    98,  1472,
    1473,  1474,  1475,  1328,     5,  1428,  1488,   352,  1395,  1287,
     179,    98,  1290,  1347,  1348,  1349,  1350,    38,   145,   351,
       7,  1576,    41,   350,   294,    98,  1449,    98,  1510,    99,
     352,  1395,   100,  1531,    98,   178,    99,    56,    57,   351,
      99,  1428,  1540,   351,  1395,  1486,  1487,   351,  1546,   351,
    1328,  1329,   352,   123,   124,  1131,   351,  1133,  1395,  1500,
     351,   351,  1449,   351,  1428,  1506,   351,  1131,  1509,  1133,
    1395,  1512,    98,    56,    57,   128,   351,  1428,   342,   352,
    1521,  1522,  1523,    98,   278,  1449,   105,    98,  1164,  1556,
     351,  1428,  1521,  1522,  1523,   114,  1556,   351,  1449,   351,
    1164,   120,    99,  1428,  1488,  1572,   278,   350,    98,  1576,
      98,     5,  1449,  1586,  1587,  1588,     1,  1395,    98,     4,
      20,     6,   105,  1605,  1449,   144,  1510,   387,  1169,  1384,
    1599,   114,  1751,  1556,  1715,  1597,  1706,   120,    89,  1580,
    1349,    26,    27,    28,    29,   107,   108,   384,    91,  1572,
    1428,   315,  1455,   115,   116,   117,   118,   119,   352,  1327,
     767,   144,   759,   303,  1441,  1606,  1420,  1608,   238,  1556,
     109,  1449,   111,  1552,  1036,  1626,  1617,  1618,  1619,  1620,
    1621,  1622,  1623,   823,  1625,  1572,  1553,   386,   258,   259,
     129,  1108,  1556,  1638,  1691,  1271,   838,  1109,   137,   138,
    1124,   140,  1110,  1129,   286,  1556,   276,  1271,  1572,  1112,
     847,   150,   151,  1654,  1655,  1656,  1657,  1658,    30,  1556,
     956,  1572,   292,  1156,   109,   204,  1693,   297,  1080,   299,
     369,  1556,   398,  1693,   399,  1572,   352,   304,   305,   306,
     307,   308,   396,   119,  1758,   397,   358,  1572,   298,   294,
     299,  1692,  1328,  1694,  1695,  1696,   619,   299,   973,  1700,
    1701,  1702,  1703,  1692,  1328,  1694,  1695,  1696,    -1,   991,
    1693,  1700,  1701,  1702,  1703,    -1,    -1,    -1,  1556,  1720,
      -1,    -1,  1723,    -1,    -1,    -1,  1727,  1728,  1729,  1730,
    1731,  1732,  1733,  1734,  1572,    -1,    -1,  1738,  1576,    41,
      -1,  1742,  1731,  1732,  1733,  1746,  1693,    -1,   109,    -1,
     111,    -1,    -1,    -1,    56,    57,    -1,    -1,  1759,  1395,
      -1,    -1,    -1,    -1,    -1,  1766,  1767,  1768,   129,  1693,
      -1,  1395,    -1,    -1,     1,    -1,   137,   138,   139,   140,
      -1,   722,  1693,   724,    11,    12,    13,    14,    15,    16,
      17,    -1,  1428,    20,    -1,    -1,  1693,    -1,    -1,   740,
     741,    -1,   743,   105,  1428,    -1,   747,   748,  1693,    -1,
      -1,     1,   114,  1449,     4,    -1,     6,   262,   120,    -1,
      -1,    -1,    -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,
     771,    -1,    -1,   774,    -1,    -1,    26,    27,    28,    29,
      -1,    -1,   144,    -1,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    -1,  1693,    -1,    -1,    -1,    86,
      -1,    88,    89,    90,    91,    92,    93,    94,    95,    -1,
      97,    98,    99,   100,    -1,   102,    -1,    -1,   105,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,    -1,    -1,   116,
      -1,   832,    -1,    -1,   835,    85,    -1,    87,    -1,    89,
      -1,    -1,    92,    -1,    -1,    -1,    -1,   352,   135,   136,
     137,   138,     1,    -1,   141,     4,   143,     6,    -1,   109,
    1556,    39,    40,    41,    42,    -1,    41,    -1,    -1,    -1,
      -1,    -1,  1556,    -1,    -1,    -1,  1572,    26,    27,    28,
      29,    56,    57,    -1,    -1,    -1,    -1,     1,  1572,    -1,
       4,    -1,     6,    -1,    -1,    73,    -1,    -1,    -1,    -1,
     901,   902,    -1,    81,    82,    83,    84,   157,    41,    -1,
      88,    -1,    26,    27,    28,    29,    -1,    -1,    -1,    97,
      98,    99,   100,    56,    57,    -1,   104,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    84,    85,    86,    87,   114,
      89,    -1,   120,    92,    -1,   120,    41,   125,   126,   127,
      35,    -1,   130,    -1,    -1,   133,    41,    -1,    43,    -1,
     109,    56,    57,    48,    49,    50,    -1,    52,    -1,   144,
      -1,    85,   105,    87,    -1,    89,   108,   109,    92,    -1,
     112,   114,   114,    -1,    -1,   117,   118,   120,    -1,   121,
     122,   123,   124,    -1,    -1,   109,   128,  1693,    -1,   131,
     132,    -1,    36,    -1,    -1,    -1,    -1,   139,   157,  1693,
     105,   144,    -1,    -1,    35,    -1,    -1,    -1,    -1,   114,
      41,    -1,    43,    -1,    45,   120,    -1,    48,    49,    50,
      -1,    52,    -1,    -1,    -1,    56,    57,    -1,    80,    -1,
      -1,  1042,    -1,   157,    -1,  1046,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,  1055,  1056,  1057,    -1,    -1,  1060,
      -1,  1062,    -1,    -1,    98,   107,   108,    -1,    -1,    -1,
      -1,  1072,    -1,    -1,    23,    -1,    -1,    66,    -1,   121,
      -1,   123,   124,   125,   105,    -1,    -1,    36,    -1,   267,
     268,   269,    -1,   114,    -1,    -1,    -1,    -1,    -1,   120,
      -1,    -1,   352,  1104,   146,   147,   148,    -1,    -1,    -1,
      99,   100,   101,    -1,  1115,    -1,  1117,   106,    -1,    -1,
      -1,   110,  1123,   144,  1125,   114,    -1,    -1,    -1,    -1,
      -1,   120,    41,   167,    -1,   124,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    35,    56,    57,    98,
      -1,   438,    41,    -1,    43,   144,    45,    -1,   445,    48,
      49,    50,    -1,    52,    -1,    -1,    -1,    -1,   455,    -1,
     457,    -1,   459,    -1,   461,    -1,   261,    -1,    -1,   466,
      -1,    -1,   469,    -1,   471,    -1,    -1,    -1,    -1,    -1,
      -1,   276,   479,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,   352,    -1,   114,    -1,   292,    -1,    -1,
      -1,   120,   297,    -1,   299,   393,   394,   395,   167,    -1,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   107,   108,     1,   144,   111,     4,   352,     6,
     261,    -1,    -1,    -1,   422,    -1,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   276,    23,  1258,  1259,    26,
      27,    28,    29,    30,    31,    -1,    33,    34,    35,    -1,
      -1,   292,    -1,    -1,    -1,   453,   297,  1278,   299,    -1,
      -1,    48,   271,  1284,    -1,   274,   275,    -1,    -1,    -1,
      -1,    58,    59,    -1,   169,    -1,    63,    -1,    -1,    -1,
      -1,  1302,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,   446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    89,   312,   313,    -1,    93,    -1,    95,    -1,
      -1,    98,    99,   100,   101,    -1,    -1,   104,    -1,   106,
      -1,    -1,   109,   110,    -1,    -1,    -1,   114,    -1,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,   136,
      -1,    -1,   261,    -1,   141,    -1,    -1,   144,    -1,    -1,
      -1,    -1,   149,    -1,    -1,   152,    -1,   276,   155,   156,
      -1,    -1,   159,    -1,    -1,   162,    -1,   164,   107,   108,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,   297,    -1,
     299,    -1,   121,    -1,   123,   124,   125,    -1,    -1,   186,
     187,    -1,  1423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1437,   146,   147,   148,
      -1,    -1,    -1,    -1,    -1,  1446,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,   231,   232,    -1,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,    -1,   309,    -1,    -1,   312,   313,   314,   315,    -1,
      -1,    -1,   319,    -1,    -1,    -1,   323,   324,   325,    -1,
      -1,    -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   338,    -1,     1,   341,   342,     4,    -1,     6,    -1,
      -1,    -1,    -1,    -1,   351,   352,    -1,   354,   355,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    80,    -1,    26,    27,
      28,    29,    30,    31,    -1,    33,    34,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      48,    -1,    -1,   107,   108,    -1,    -1,   111,    -1,    -1,
      58,    59,    -1,    -1,    99,    63,    -1,   121,   122,   123,
     124,   125,   126,   127,   128,   129,    74,    75,    76,    77,
      78,    79,    -1,    -1,    -1,   942,   943,   944,    -1,    -1,
     125,    89,    -1,   128,    -1,    93,    -1,    95,    -1,    -1,
      98,    99,   100,   101,    -1,    -1,   104,    -1,   106,    -1,
     145,   109,   110,    -1,    -1,   169,   114,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,   149,   173,    -1,   152,    -1,    -1,   155,   156,    -1,
      -1,   159,    -1,    -1,   162,    -1,   164,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,    -1,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,   231,   232,    -1,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,    -1,   261,   299,    -1,    -1,    -1,    -1,    -1,
      -1,   306,   307,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   306,   307,
      -1,   309,    -1,    -1,   312,   313,   314,   315,    -1,    -1,
      -1,   319,    -1,    -1,    -1,   323,   324,   325,    -1,    -1,
      -1,   329,   330,     1,    -1,    -1,     4,    -1,     6,    -1,
     338,    -1,    -1,   341,   342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,   352,    23,   354,   355,    26,    27,
      28,    29,    30,    31,    -1,    33,    34,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      48,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      58,    59,    -1,    -1,    -1,    63,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    89,    -1,    -1,    -1,    93,    -1,    95,    -1,    -1,
      98,    99,   100,   101,    -1,    -1,   104,    -1,   106,    -1,
      -1,   109,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,
      -1,   159,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      41,    42,    43,    44,    -1,    -1,    47,    48,    -1,    50,
      51,    52,    -1,    54,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,   231,   232,    -1,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,    93,   261,    95,    96,    97,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,    -1,    -1,    21,    -1,    23,    -1,    -1,   286,    -1,
      -1,    -1,    -1,    31,   292,    -1,    34,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,   307,
      -1,   309,    -1,    -1,   312,   313,   314,   315,    -1,    -1,
      -1,   319,    -1,    -1,    -1,   323,   324,   325,    66,    -1,
      -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    80,   341,   342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,   352,    -1,   354,   355,    -1,    -1,
      98,    99,   100,   101,    -1,    -1,   104,    -1,   106,    -1,
      -1,    -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,
      -1,   159,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,   186,   187,
     281,   282,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,   297,    -1,   299,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,    -1,   261,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    85,    -1,   274,   275,    -1,    -1,
      21,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    -1,    34,    -1,    -1,   107,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,    -1,    -1,   312,   313,    -1,   128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,   325,    -1,    -1,
      -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   339,   340,    -1,   342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    98,    99,   100,
     101,    -1,    -1,   104,    -1,   106,    -1,    -1,    -1,   110,
     181,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,
     141,    -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,
      -1,   152,    -1,    -1,   155,   156,    -1,    -1,   159,    -1,
      -1,   162,    -1,   164,    -1,    -1,    -1,   238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,    -1,    -1,   278,   279,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,    -1,
     261,     5,    -1,    -1,    -1,    -1,    -1,   107,   108,    -1,
     271,    -1,    -1,   274,   275,    -1,    -1,    21,    -1,    23,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,   128,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,    -1,
      -1,   312,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,   325,    -1,    -1,    -1,   329,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   354,    98,    99,   100,   101,    -1,    -1,
     104,    -1,   106,    -1,    -1,    -1,   110,    -1,    -1,    -1,
     114,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,
     124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,   141,   238,    -1,
     144,    -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,
      -1,   155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,
     164,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,    -1,   278,   279,
     280,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,    -1,   261,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,   275,    -1,    -1,    21,    -1,    23,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,    -1,    -1,    -1,    -1,   312,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,   325,    -1,    -1,    -1,   329,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   339,   340,    -1,   342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    98,    99,   100,   101,    -1,    -1,   104,    -1,   106,
      -1,    -1,    -1,   110,    -1,    -1,    -1,   114,    -1,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,
      -1,    -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,
      -1,    -1,   149,    -1,    -1,   152,    -1,    -1,   155,   156,
      -1,    -1,   159,    -1,    -1,   162,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,    -1,   261,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,   274,   275,    -1,
      -1,    21,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,    -1,    -1,    -1,    -1,   312,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,   325,    -1,
      -1,    -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   339,   340,    -1,   342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,    98,    99,
     100,   101,    -1,    -1,   104,    -1,   106,    -1,    -1,    -1,
     110,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,
     120,    -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,
      -1,   141,    -1,    -1,   144,    -1,    -1,    -1,    -1,   149,
      -1,    -1,   152,    -1,    -1,   155,   156,    -1,    -1,   159,
      -1,    -1,   162,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   271,    -1,    -1,   274,   275,     9,    10,    11,    12,
      13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,
      23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,
      -1,    -1,   312,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,   329,
     330,    -1,    -1,    66,    -1,    21,    -1,    23,    -1,   339,
     340,    -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    98,    99,   100,   101,    -1,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,    -1,    -1,
      66,   114,    21,    -1,    -1,    -1,    -1,   120,    -1,    -1,
      -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,   141,    -1,
      -1,   144,    98,    99,   100,   101,   149,    -1,    -1,   152,
     106,    -1,   155,   156,   110,    -1,   159,    66,   114,   162,
      -1,   164,    -1,    -1,   120,    -1,    -1,    -1,   124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     136,    -1,    -1,   186,   187,   141,    -1,    -1,   144,    98,
      99,   100,   101,   149,    -1,    -1,   152,   106,    -1,   155,
     156,   110,    -1,   159,    -1,   114,   162,    -1,   164,    -1,
      -1,   120,    -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,
     186,   187,   141,    -1,    -1,   144,    -1,    -1,    -1,    -1,
     149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,    -1,
     159,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,   274,   275,    -1,    -1,    -1,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
     313,    -1,   315,    -1,    -1,   271,    -1,    -1,   274,   275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,    -1,    -1,   339,   340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,
      -1,   354,   355,    -1,    -1,    -1,   312,   313,    -1,   315,
      -1,    -1,   271,    -1,    -1,   274,   275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,   339,   340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,   354,   355,
      -1,    -1,    -1,   312,   313,    -1,   315,    -1,    -1,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,
     339,   340,   120,    -1,    -1,    -1,   124,    -1,    -1,    -1,
      -1,    -1,   351,    -1,    -1,   354,   355,    -1,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,
      21,   159,    23,    -1,   162,    -1,   164,    -1,    -1,    -1,
      31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    99,   100,
     101,    -1,    -1,   104,    -1,   106,    -1,    -1,    -1,   110,
      -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,   136,   274,   275,    -1,    -1,
     141,    -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,
      -1,   152,    -1,    -1,   155,   156,    -1,    -1,   159,    -1,
      -1,   162,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,   313,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   339,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,   355,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,   274,   275,    -1,    -1,    -1,    -1,    23,
      -1,    -1,    -1,    -1,    -1,    -1,    30,    31,    -1,    33,
      34,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    48,   306,   307,    -1,    -1,    -1,
      -1,   312,   313,    -1,    58,    59,    -1,    -1,    99,    63,
      -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,   329,   330,
      74,    75,    76,    77,    78,    79,    -1,    -1,   339,   340,
      -1,   342,    -1,    -1,   125,    -1,    -1,   128,    -1,    93,
      -1,    95,    -1,   354,    98,    99,   100,   101,    -1,    -1,
     104,    -1,   106,    -1,   145,    -1,   110,    -1,    -1,    -1,
     114,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,   141,    -1,    -1,
     144,    -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,
      -1,   155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   222,   223,
     224,   225,    -1,    -1,    -1,    -1,    -1,   231,   232,    -1,
      -1,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,    -1,   261,   299,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,    -1,
      -1,    -1,   276,    -1,    -1,   316,    -1,    -1,    23,    -1,
      -1,    -1,   286,    -1,    -1,    30,    31,    -1,   292,    34,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   306,   307,    -1,   309,    -1,    -1,   312,   313,
     314,   315,    -1,    -1,    -1,   319,    -1,    -1,    -1,   323,
     324,   325,    -1,    -1,    -1,   329,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,   341,   342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,
     354,   355,    -1,    98,    99,   100,   101,    -1,    -1,   104,
      -1,   106,    -1,    -1,    -1,   110,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   136,    -1,    -1,    -1,    -1,   141,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,    -1,
     155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,    -1,    30,    31,    -1,
      -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,   231,   232,    -1,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    98,    99,   100,   101,    -1,
      -1,   104,    -1,   106,    -1,    -1,    -1,   110,    -1,    -1,
      -1,   114,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,   307,   136,    -1,    -1,    -1,    -1,   141,    -1,
      -1,   144,    -1,    -1,    -1,    -1,   149,    -1,    -1,   152,
     325,    -1,   155,   156,   329,   330,   159,    -1,    -1,   162,
      -1,   164,    -1,    -1,    -1,    -1,   341,   342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,   354,
     355,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,   231,   232,
      -1,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,    -1,   261,    23,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,   306,   307,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,    -1,   329,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    98,    99,   100,   101,   341,   342,
     104,    -1,   106,    -1,    -1,    -1,   110,    -1,    -1,    -1,
     114,   354,   355,    -1,    -1,    -1,   120,    -1,    -1,    -1,
     124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,   141,    -1,    -1,
     144,    -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,
      -1,   155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,    -1,    -1,    -1,    -1,   312,   313,
      -1,    -1,    -1,     0,     1,    -1,    -1,     4,    -1,     6,
      -1,   325,    -1,    -1,    -1,   329,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   339,   340,    -1,   342,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
     354,    -1,    -1,    -1,    41,    -1,    43,    -1,    45,    -1,
      -1,    48,    49,    50,    -1,    52,    -1,    -1,    -1,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    99,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   114,   106,    -1,
      -1,    -1,   110,   120,    -1,    66,   114,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    98,    99,   100,
     101,   149,    -1,    -1,   152,   106,    -1,   155,   156,   110,
      -1,   159,    -1,   114,   162,    -1,   164,    -1,    -1,   120,
      -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,   186,   187,
     141,    -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,
      -1,   152,    -1,    -1,   155,   156,    -1,    -1,   159,    -1,
      -1,   162,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,
      -1,    -1,    -1,   271,    -1,    -1,   274,   275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
     297,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,   313,    -1,   315,    -1,    -1,
     271,    -1,    -1,   274,   275,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   339,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,   355,    -1,    -1,
      -1,   312,   313,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   354,   355
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   360,     0,     1,     4,     6,    26,    27,    28,    29,
      35,    41,    43,    45,    48,    49,    50,    52,    56,    57,
      58,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,   105,   114,   120,   144,   261,   276,
     292,   297,   299,   361,   367,   368,   369,   370,   431,   432,
     433,   435,   450,   361,   100,    99,   428,   428,   428,   433,
     444,   433,   435,   450,   433,   438,   438,   438,   433,   441,
     370,    45,   371,    35,    41,    43,    48,    49,    50,    52,
     261,   276,   292,   297,   299,   372,    45,   373,    35,    41,
      43,    45,    48,    49,    50,    52,   261,   276,   292,   297,
     299,   374,    49,   375,    35,    41,    42,    43,    44,    47,
      48,    50,    51,    52,    54,    93,    95,    96,    97,   261,
     276,   281,   282,   283,   284,   292,   297,   299,   300,   376,
     276,   281,   282,   297,   377,    41,    43,    48,    50,    54,
      93,    95,   378,    43,   379,    23,    30,    31,    34,    98,
      99,   100,   101,   104,   106,   110,   114,   120,   136,   141,
     144,   149,   152,   155,   156,   159,   162,   164,   186,   187,
     222,   223,   224,   225,   231,   232,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     261,   306,   307,   325,   329,   330,   341,   342,   354,   355,
     387,   429,   542,   543,   546,   547,   548,   552,   609,   612,
     614,   618,   623,   624,   626,   628,   638,   639,   641,   643,
     645,   647,   651,   653,   655,   657,   659,   661,   663,   665,
     667,   669,   673,   681,   683,   685,   686,   688,   690,   692,
     694,   696,   698,   700,   702,    54,   335,   336,   337,   380,
     386,    54,   381,   386,    99,   382,   383,    85,   268,   270,
     444,   444,   444,   444,     0,   361,   428,   428,    53,   332,
     333,   447,   448,   449,    33,    35,    48,    58,    59,    63,
      74,    75,    76,    77,    78,    79,    93,    95,   237,   261,
     276,   286,   292,   297,   309,   312,   313,   314,   315,   319,
     323,   324,   338,   351,   454,   455,   456,   457,   458,   459,
     460,   464,   465,   466,   469,   470,   477,   481,   486,   487,
     489,   490,   491,   492,   493,   515,   516,   518,   519,   521,
     522,   525,   526,   533,   534,   535,   536,   537,   540,   541,
     547,   554,   555,   556,   557,   558,   559,   563,   564,   565,
     593,   607,   612,   613,   636,   637,   638,   361,   350,   350,
     361,   428,   497,   388,   391,   454,   428,   393,   395,   542,
     565,   398,   428,   402,   435,   451,   444,   433,   435,   438,
     438,   438,   441,    85,   268,   270,   444,   444,   444,   444,
     450,   433,   444,   445,   431,   433,   434,   433,   435,   436,
     451,   433,   438,   439,   438,   438,   433,   441,   442,    85,
     268,   270,   583,   444,   445,   444,   445,   444,   445,   444,
     445,   438,   444,   433,   432,   453,   435,   453,    41,   453,
     438,   438,   453,   441,   453,    41,    42,   438,   453,   453,
      85,   268,   285,   583,   444,    41,   453,    41,   453,    41,
     453,    41,   453,   444,   444,   444,    41,   453,   444,    41,
     453,    41,   453,   444,   433,   435,   438,   438,   453,    41,
     438,   435,   102,   103,   104,   640,   107,   108,   238,   239,
     242,   550,   551,    32,   238,   615,   127,   553,   160,   161,
     684,   107,   108,   109,   642,   109,   111,   112,   113,   644,
     107,   108,   115,   116,   117,   118,   119,   646,   107,   108,
     111,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     169,   648,   109,   111,   129,   137,   138,   139,   140,   652,
     109,   129,   142,   288,   654,   107,   108,   121,   123,   124,
     125,   146,   147,   148,   656,   109,   111,   129,   137,   138,
     140,   150,   151,   658,   122,   138,   147,   153,   154,   660,
     138,   154,   662,   147,   157,   158,   664,   125,   129,   160,
     161,   666,   129,   160,   161,   163,   668,   129,   138,   153,
     157,   160,   161,   165,   166,   167,   168,   169,   670,   109,
     160,   161,   674,   129,   160,   161,   188,   221,   682,   109,
     120,   122,   140,   144,   147,   226,   259,   260,   342,   625,
     627,   689,   227,   691,   227,   693,   157,   228,   229,   230,
     695,   122,   147,   687,   111,   126,   147,   153,   233,   234,
     697,   122,   147,   699,   109,   122,   129,   147,   153,   701,
      99,   125,   128,   145,   299,   316,   342,   610,   611,   612,
     107,   108,   128,   238,   262,   263,   264,   265,   266,   267,
     269,   270,   271,   272,   273,   274,   275,   278,   279,   280,
     299,   629,   630,   633,   316,   326,   617,   559,   564,   327,
     222,   231,   232,   235,   236,   703,   348,   349,   620,   428,
     558,   386,   336,   386,    42,    44,    46,    47,    54,    55,
      87,   384,   444,   444,   444,   578,   592,   580,   582,    98,
      98,    98,    80,   625,   277,   534,   428,   542,   608,   608,
      58,    94,   428,    99,   610,    85,   181,   268,   629,   630,
     277,   277,   293,   277,   295,   296,   478,    80,    80,   625,
       4,   362,   566,   567,   334,   452,   458,   278,   279,   467,
     468,   157,   287,   288,   289,   290,   291,   471,   472,   310,
     488,     5,    21,    66,    80,   106,   110,   114,   120,   124,
     144,   222,   271,   274,   275,   312,   313,   339,   340,   500,
     501,   502,   503,   504,   505,   506,   508,   509,   510,   511,
     512,   513,   514,   543,   546,   552,   602,   603,   604,   609,
     614,   618,   624,   625,   626,   628,   634,   635,   638,    36,
      37,   178,   179,   494,   495,    80,   316,   317,   318,   517,
     523,   524,    80,   520,   523,   320,   321,   322,   527,   528,
     529,   530,    23,   542,   544,   545,    41,   538,   539,    15,
      16,    17,    18,   353,     8,    24,    50,     9,    10,    11,
      12,    13,    14,   106,   110,   114,   120,   136,   141,   144,
     149,   152,   155,   156,   159,   162,   164,   186,   187,   315,
     355,   511,   543,   545,   546,   560,   561,   562,   565,   594,
     595,   596,   597,   598,   599,   600,   601,   603,   604,   605,
     606,    48,    48,   576,   594,   595,   576,    36,   496,   351,
     351,   351,   351,   351,   447,   454,   497,   388,   391,   393,
     395,   398,   402,   444,   444,   444,   578,   592,   580,   582,
     454,    53,    53,    53,    53,   395,    53,   444,   395,   433,
     438,   453,    41,    41,    41,   444,   433,   433,   433,   433,
     433,   433,   433,   438,   428,     7,     8,   109,   242,   243,
     549,    99,   121,   277,   106,   120,   106,   120,   132,   133,
     134,   135,   649,    23,    36,    98,   167,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   671,   173,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   675,   680,   365,   627,
     357,   357,   107,   108,   120,   128,   144,   262,   263,   264,
     631,   632,   633,   327,   327,    98,   345,   619,   356,   385,
     386,   590,   590,   590,   278,   577,   293,   591,   478,   579,
     429,   581,     5,   120,   144,   513,    80,   513,   531,   532,
     559,    23,    23,    92,   351,    48,    48,    48,    98,   295,
      48,   633,    48,   513,   513,   295,   296,   482,   513,    98,
     513,   513,    80,   511,   565,   570,   571,   574,   600,   601,
       7,   352,   429,    98,    98,   468,    73,   106,   120,   164,
     245,   474,   429,    98,    98,    98,   429,   473,   472,   136,
     149,   164,   311,   513,     5,   513,    15,    16,    17,    18,
     353,    20,    22,     8,    50,     5,   523,    80,     7,     7,
      98,    98,   495,     5,     7,     5,   513,   513,   528,     7,
     428,   351,   428,   351,   539,   605,   605,   596,   597,   598,
     558,   351,   461,   544,   595,   365,   600,     7,    15,    16,
      17,    18,   353,     7,    20,    22,     8,   595,   513,   513,
     361,   361,    98,   390,   392,   394,   399,   403,   496,   351,
     351,   351,   351,   351,   590,   590,   590,   577,   591,   579,
     581,    98,    98,    98,    98,    98,   590,   433,   433,   433,
      98,   551,   109,   125,   130,   131,   227,   650,   671,    92,
     125,   180,   181,   182,   183,   184,   185,   672,   211,   215,
     216,   217,   679,   206,   207,   208,   209,   677,   210,   211,
     212,   213,   214,   678,   678,   215,   218,   218,   219,   220,
     219,   109,   125,   157,   676,   366,    98,    98,   107,   108,
     107,   108,    98,    98,   328,   616,    98,   154,   344,   621,
     625,   351,   351,   351,    98,   482,    98,   513,     5,     5,
     513,   544,    85,    88,   452,   572,   573,   429,   429,    98,
     559,   568,   569,   513,   513,   513,    98,   513,    48,   513,
      98,    99,   279,   479,    39,   513,   362,     5,   362,   572,
     362,   567,   143,   138,   143,   475,   476,   109,   109,    66,
     109,   513,     5,   500,   543,   604,   605,   501,   502,   503,
      98,   505,   500,   507,   544,   565,   513,   513,   543,   604,
     634,   634,   513,   524,   513,   523,   530,   531,   568,   362,
     462,   463,   356,   600,   605,   605,   596,   597,   598,   600,
      98,   600,   562,   600,    37,   361,    35,    43,    48,    50,
      52,   157,   261,   276,   292,   297,   299,   352,   361,   367,
     389,    89,   109,   352,   361,   367,   419,   425,   454,    84,
      85,    86,    87,    89,    92,   109,   157,   352,   361,   367,
     400,    85,    87,   109,   157,   352,   361,   367,   400,    38,
      40,   352,   361,   367,   390,   392,   394,   399,   403,   351,
     351,   351,     7,     7,   365,   358,   358,   616,   331,   616,
      98,   363,   107,   108,   622,   413,   414,   412,   279,    98,
     479,   513,   513,     5,    99,   430,   430,   573,   351,   458,
     572,   513,    20,    99,   298,   480,   513,    39,   575,   601,
     607,     7,    99,    99,    99,   513,     5,   523,   523,     5,
     261,   352,   457,   458,   570,     7,   352,    98,    37,   428,
     446,   428,   437,   428,   440,   440,   428,   443,    99,    85,
     268,   270,   446,   446,   446,   446,   361,    74,    75,   426,
     427,   542,    99,   361,   361,   361,   430,   430,   350,    90,
      91,   401,    98,    99,   123,   124,   238,   258,   259,   407,
     408,   418,    81,    82,    83,    85,   396,   397,   361,   430,
     350,   408,   396,   361,    99,   350,   352,   352,   352,   352,
     352,   413,   414,   412,    98,    98,   364,    98,   363,    89,
     128,   262,   352,   361,   367,   588,    85,    92,   128,   161,
     262,   352,   361,   367,   589,   109,   262,   352,   361,   367,
     585,    98,    20,    99,   480,   513,   568,   352,   304,   305,
     306,   307,   308,   485,   294,   484,    98,   513,   362,   476,
     513,   531,     5,   352,   352,     5,   362,   463,   179,   498,
      98,   409,   391,   393,   398,   402,   446,   446,   446,   409,
     409,   409,   409,    38,   361,   361,   395,     8,   361,     7,
     361,   361,   395,     5,   361,   145,   420,   351,   404,   352,
     352,   352,     7,   616,   350,   159,   164,   584,   432,   430,
      98,   584,    98,   432,   100,   432,   485,   484,   458,   294,
     483,    98,   479,   352,   531,   607,   178,   499,   361,   351,
     351,   351,   351,   351,   409,   409,   409,   351,   351,   351,
     351,    99,   407,   397,   276,   292,   297,   299,   408,    22,
      98,    99,   349,   421,   422,   423,   542,   361,    99,   405,
     406,   361,    98,   363,   351,   361,   361,   361,   361,   361,
     361,   361,   128,   361,   483,   352,    98,    99,   279,   352,
     362,   498,   417,   392,   394,   399,   403,   351,   351,   351,
     410,   415,   411,   416,    39,    40,   424,   361,   361,   361,
     361,   361,    98,    22,    25,     7,   352,    99,   586,   587,
     584,   278,   499,   352,   361,   367,   496,   352,   352,   352,
     352,   413,   414,   412,   352,   361,   367,   577,   352,   361,
     367,   591,   352,   361,   367,   579,   352,   361,   367,   581,
     429,   350,   420,    98,    98,   362,   406,     5,     7,   352,
     361,   361,   361,   361,   361,   361,   352,   352,   352,   361,
     361,   361,   361,   404,    98,   587,   361,   361,   361,   361
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   359,   360,   360,   361,   361,   362,   362,   363,   364,
     365,   366,   367,   367,   367,   367,   367,   368,   368,   368,
     368,   369,   369,   369,   369,   369,   369,   369,   369,   369,
     369,   369,   369,   369,   369,   369,   370,   370,   370,   370,
     370,   370,   370,   370,   370,   370,   370,   370,   370,   370,
     370,   370,   370,   370,   370,   371,   372,   372,   372,   372,
     372,   372,   372,   372,   372,   372,   372,   372,   372,   372,
     372,   372,   372,   373,   374,   374,   374,   374,   374,   374,
     374,   374,   374,   374,   374,   374,   374,   374,   374,   374,
     374,   374,   374,   374,   374,   374,   375,   376,   376,   376,
     376,   376,   376,   376,   376,   376,   376,   376,   376,   376,
     376,   376,   376,   376,   376,   376,   376,   376,   376,   376,
     376,   376,   376,   376,   376,   376,   376,   376,   376,   376,
     376,   376,   377,   377,   377,   377,   377,   377,   378,   378,
     378,   378,   378,   378,   378,   379,   380,   380,   381,   381,
     382,   383,   383,   384,   384,   384,   384,   384,   384,   384,
     384,   385,   385,   386,   386,   386,   387,   388,   389,   390,
     390,   390,   390,   390,   390,   390,   390,   390,   390,   390,
     390,   390,   390,   390,   390,   391,   392,   392,   392,   392,
     392,   392,   393,   394,   394,   394,   394,   394,   394,   394,
     394,   394,   394,   395,   395,   396,   396,   397,   397,   397,
     397,   398,   399,   399,   399,   399,   399,   399,   399,   399,
     399,   399,   399,   399,   400,   400,   401,   401,   402,   403,
     403,   403,   403,   403,   404,   405,   405,   405,   406,   407,
     407,   408,   408,   409,   410,   410,   410,   410,   411,   411,
     411,   411,   412,   412,   412,   412,   413,   413,   413,   413,
     414,   414,   414,   414,   415,   415,   415,   415,   416,   416,
     416,   416,   417,   417,   417,   417,   418,   418,   418,   418,
     418,   419,   420,   421,   421,   422,   422,   422,   422,   422,
     423,   423,   424,   424,   424,   425,   426,   426,   427,   427,
     428,   429,   429,   429,   430,   431,   431,   432,   432,   432,
     432,   432,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   450,   450,   450,   451,   452,   453,   453,   454,   454,
     455,   456,   456,   457,   457,   457,   457,   458,   458,   458,
     458,   458,   458,   458,   458,   458,   458,   458,   458,   458,
     458,   458,   458,   458,   458,   458,   459,   459,   460,   461,
     461,   462,   462,   462,   463,   464,   464,   465,   465,   466,
     466,   467,   467,   468,   468,   469,   469,   470,   471,   471,
     472,   472,   472,   472,   472,   472,   473,   474,   474,   474,
     474,   474,   475,   475,   476,   476,   477,   477,   477,   478,
     478,   478,   479,   479,   480,   480,   481,   481,   482,   482,
     482,   483,   483,   484,   484,   484,   485,   485,   485,   485,
     485,   486,   487,   488,   488,   488,   488,   488,   489,   490,
     490,   491,   491,   491,   491,   491,   491,   492,   492,   493,
     493,   494,   494,   495,   495,   495,   495,   496,   496,   497,
     498,   498,   499,   499,   500,   500,   500,   500,   500,   500,
     500,   500,   500,   500,   500,   500,   501,   501,   501,   502,
     502,   503,   503,   504,   504,   505,   506,   506,   507,   507,
     508,   508,   509,   510,   511,   512,   512,   512,   513,   513,
     513,   514,   514,   514,   514,   514,   514,   514,   514,   514,
     515,   515,   516,   517,   517,   517,   518,   518,   519,   520,
     520,   520,   520,   520,   521,   521,   522,   522,   523,   523,
     524,   524,   524,   525,   525,   526,   527,   527,   528,   528,
     529,   529,   530,   530,   531,   531,   532,   533,   533,   533,
     534,   534,   534,   535,   535,   536,   536,   537,   538,   538,
     539,   540,   540,   541,   542,   543,   543,   544,   544,   545,
     546,   547,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   547,   547,   548,   549,   549,   549,
     550,   550,   550,   550,   550,   551,   551,   552,   552,   553,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     558,   559,   559,   560,   561,   562,   562,   563,   564,   564,
     564,   565,   566,   566,   566,   567,   567,   567,   568,   568,
     569,   570,   570,   571,   572,   572,   573,   573,   573,   574,
     574,   575,   575,   576,   576,   577,   578,   579,   580,   581,
     582,   583,   583,   583,   584,   584,   585,   585,   586,   586,
     587,   588,   588,   588,   589,   589,   589,   589,   589,   590,
     591,   591,   592,   593,   593,   593,   594,   594,   595,   595,
     595,   595,   596,   596,   596,   597,   597,   598,   598,   599,
     599,   600,   601,   601,   601,   601,   602,   602,   603,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   605,   605,   605,   605,   605,   605,   605,   605,   605,
     605,   605,   605,   605,   605,   605,   605,   605,   606,   606,
     606,   606,   606,   606,   607,   607,   607,   607,   607,   607,
     608,   608,   609,   609,   609,   610,   610,   611,   611,   611,
     611,   611,   612,   612,   612,   612,   612,   612,   612,   612,
     612,   612,   612,   612,   612,   612,   612,   612,   612,   612,
     612,   612,   612,   612,   612,   612,   613,   613,   613,   613,
     613,   613,   614,   615,   615,   616,   616,   617,   617,   618,
     619,   619,   620,   620,   621,   621,   622,   622,   623,   623,
     624,   624,   624,   625,   625,   626,   626,   627,   627,   627,
     627,   628,   628,   628,   629,   629,   630,   630,   630,   630,
     630,   630,   630,   630,   630,   630,   630,   630,   630,   630,
     630,   630,   631,   631,   631,   631,   631,   631,   631,   632,
     632,   632,   632,   633,   633,   633,   633,   634,   634,   635,
     635,   636,   636,   636,   636,   637,   638,   638,   638,   638,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   638,   638,   638,   639,   640,   640,   640,   641,   642,
     642,   642,   643,   644,   644,   644,   644,   645,   646,   646,
     646,   646,   646,   646,   646,   646,   646,   647,   647,   647,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   649,   649,   649,   649,   650,   650,   650,   650,
     650,   651,   652,   652,   652,   652,   652,   652,   652,   653,
     654,   654,   654,   654,   655,   656,   656,   656,   656,   656,
     656,   656,   656,   656,   657,   658,   658,   658,   658,   658,
     658,   658,   658,   659,   660,   660,   660,   660,   660,   661,
     662,   662,   663,   664,   664,   664,   665,   666,   666,   666,
     666,   667,   668,   668,   668,   668,   669,   669,   669,   669,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     671,   671,   671,   671,   671,   671,   671,   671,   671,   671,
     671,   671,   671,   672,   672,   672,   672,   672,   672,   672,
     672,   673,   674,   674,   674,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   676,   676,   676,   677,   677,   677,   677,
     678,   678,   678,   678,   678,   679,   679,   679,   679,   680,
     680,   680,   680,   680,   680,   680,   680,   680,   680,   680,
     680,   681,   681,   682,   682,   682,   682,   683,   684,   684,
     685,   685,   685,   685,   685,   685,   685,   685,   686,   687,
     687,   688,   689,   689,   689,   689,   690,   691,   692,   693,
     694,   695,   695,   695,   695,   696,   697,   697,   697,   697,
     697,   697,   698,   699,   699,   700,   701,   701,   701,   701,
     701,   702,   703,   703,   703,   703,   703
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     3,     5,     5,     3,     2,     1,     1,     2,
       2,     1,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     6,     2,     6,
       3,     2,     6,     6,     3,     6,     2,     4,     4,     7,
       7,     7,     4,     4,     4,     3,     2,     6,     2,     6,
       6,     6,     3,     6,     2,     4,     4,     7,     7,     7,
       4,     4,     4,     3,     2,     2,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     2,     4,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       2,     2,     3,     2,     2,     3,     2,     2,     3,     2,
       2,     3,     2,     2,     3,     2,     2,     3,     2,     2,
       3,     3,     2,     2,     2,     2,     2,     2,     3,     4,
       4,     4,     2,     3,     2,     2,     3,     2,     2,     2,
       2,     2,     3,     2,     2,     3,     2,     1,     2,     1,
       3,     0,     1,     0,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     2,     1,     0,     2,     0,
       2,     2,     3,     8,     8,     8,     8,     8,     8,     9,
       9,     9,     8,     8,     8,     0,     0,     2,     2,     3,
       3,     3,     0,     0,     2,     2,     4,     4,     4,     4,
       4,     2,     3,     1,     1,     3,     1,     1,     1,     1,
       1,     0,     0,     2,     2,     4,     6,     6,     6,     6,
       6,     4,     4,     3,     2,     2,     1,     1,     0,     0,
       2,     2,     5,     5,     3,     1,     3,     3,     1,     1,
       1,     1,     3,     0,     0,     2,     2,     2,     0,     2,
       2,     2,     0,     2,     2,     2,     0,     2,     2,     2,
       0,     2,     2,     2,     0,     2,     2,     2,     0,     2,
       2,     2,     0,     2,     2,     2,     1,     1,     1,     1,
       1,     6,     2,     1,     1,     1,     1,     1,     3,     3,
       1,     2,     2,     3,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     2,     3,     1,     2,     3,
       1,     2,     3,     1,     2,     3,     1,     2,     2,     2,
       1,     2,     2,     2,     2,     2,     0,     1,     1,     2,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     5,     3,     4,     1,     2,     1,
       3,     1,     2,     2,     2,     1,     2,     1,     1,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     2,     1,
       1,     1,     3,     1,     1,     1,     7,     6,     3,     1,
       1,     0,     1,     1,     0,     3,     5,     3,     1,     1,
       0,     0,     3,     0,     3,     3,     1,     1,     1,     1,
       1,     2,     1,     0,     4,     4,     4,     3,     2,     1,
       1,     3,     4,     4,     5,     6,     5,     1,     2,     1,
       3,     1,     2,     2,     2,     1,     1,     6,     8,     0,
       0,     1,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     1,
       3,     1,     3,     1,     3,     1,     1,     3,     1,     1,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     4,     5,     2,     3,     2,
       2,     1,     1,     3,     4,     1,     2,     1,     1,     2,
       3,     1,     3,     4,     3,     5,     3,     6,     1,     3,
       1,     1,     1,     1,     2,     1,     1,     2,     2,     1,
       1,     3,     1,     1,     1,     2,     1,     4,     5,     6,
       1,     1,     1,     7,     8,     6,     1,     1,     1,     2,
       2,     6,     8,     1,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     0,
       2,     1,     3,     3,     1,     3,     1,     3,     1,     3,
       1,     1,     3,     3,     3,     1,     1,     3,     1,     1,
       1,     3,     1,     3,     3,     3,     3,     5,     1,     2,
       1,     1,     2,     1,     1,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     4,     0,     4,     0,     1,
       0,     1,     1,     1,     1,     1,     5,     3,     1,     3,
       3,     3,     6,     3,     3,     3,     3,     3,     3,     0,
       6,     5,     0,     2,     2,     3,     3,     3,     1,     1,
       1,     1,     1,     3,     3,     1,     3,     1,     3,     1,
       3,     1,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     2,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     4,     1,
       4,     4,     2,     1,     1,     0,     2,     1,     1,     6,
       2,     0,     1,     1,     1,     1,     1,     1,     4,     5,
       8,     6,     5,     1,     1,     2,     3,     1,     1,     1,
       1,     2,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     3,
       3,     4,     4,     4,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     6,     1,     1,     1,     2,     1,
       1,     1,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     1,     1,     1,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     2,     4,     3,     8,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     3,     5,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     2,     1,     1,     1,     1,     2,     4,     2,     1,
       2,     1,     1,     1,     4,     2,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yytype)
    {
          case 99: /* "string"  */
#line 300 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4365 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 100: /* "quoted string"  */
#line 300 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4371 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 101: /* "string with a trailing asterisk"  */
#line 300 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4377 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 368: /* line  */
#line 608 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4383 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 369: /* base_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4389 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 370: /* add_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4395 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 371: /* replace_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4401 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 372: /* create_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4407 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 373: /* insert_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4413 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 374: /* delete_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4419 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 375: /* get_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4425 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 376: /* list_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4431 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 377: /* reset_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4437 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 378: /* flush_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4443 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 379: /* rename_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4449 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 380: /* import_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4455 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 381: /* export_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4461 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 382: /* monitor_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4467 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 383: /* monitor_event  */
#line 835 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4473 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 387: /* describe_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4479 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 388: /* table_block_alloc  */
#line 627 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); table_free(((*yyvaluep).table)); }
#line 4485 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 391: /* chain_block_alloc  */
#line 629 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 4491 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 393: /* set_block_alloc  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 4497 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 395: /* set_block_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4503 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 398: /* map_block_alloc  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 4509 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 402: /* flowtable_block_alloc  */
#line 644 "parser_bison.y" /* yacc.c:1257  */
      { flowtable_free(((*yyvaluep).flowtable)); }
#line 4515 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 404: /* flowtable_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4521 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 405: /* flowtable_list_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4527 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 406: /* flowtable_expr_member  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4533 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 407: /* data_type_atom_expr  */
#line 605 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4539 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 408: /* data_type_expr  */
#line 605 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4545 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 409: /* obj_block_alloc  */
#line 647 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 4551 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 418: /* type_identifier  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4557 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 421: /* extended_prio_name  */
#line 621 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4563 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 424: /* dev_spec  */
#line 624 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).expr)); }
#line 4569 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 426: /* policy_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4575 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 428: /* identifier  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4581 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 429: /* string  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4587 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 433: /* table_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4593 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 434: /* tableid_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4599 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 435: /* chain_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4605 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 436: /* chainid_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4611 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 437: /* chain_identifier  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4617 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 438: /* set_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4623 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 439: /* setid_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4629 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 440: /* set_identifier  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4635 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 441: /* flowtable_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4641 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 442: /* flowtableid_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4647 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 444: /* obj_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4653 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 445: /* objid_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4659 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 446: /* obj_identifier  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4665 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 447: /* handle_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4671 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 448: /* position_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4677 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 449: /* index_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4683 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 450: /* rule_position  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4689 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 451: /* ruleid_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4695 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 452: /* comment_spec  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4701 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 453: /* ruleset_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4707 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 454: /* rule  */
#line 631 "parser_bison.y" /* yacc.c:1257  */
      { rule_free(((*yyvaluep).rule)); }
#line 4713 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 456: /* stmt_list  */
#line 650 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 4719 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 457: /* stateful_stmt  */
#line 654 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4725 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 458: /* stmt  */
#line 652 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4731 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 459: /* verdict_stmt  */
#line 652 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4737 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 460: /* verdict_map_stmt  */
#line 731 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4743 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 461: /* verdict_map_expr  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4749 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 462: /* verdict_map_list_expr  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4755 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 463: /* verdict_map_list_member_expr  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4761 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 464: /* connlimit_stmt  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4767 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 465: /* counter_stmt  */
#line 654 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4773 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 466: /* counter_stmt_alloc  */
#line 654 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4779 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 469: /* log_stmt  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4785 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 470: /* log_stmt_alloc  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4791 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 477: /* limit_stmt  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4797 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 479: /* quota_unit  */
#line 621 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4803 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 481: /* quota_stmt  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4809 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 486: /* reject_stmt  */
#line 668 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4815 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 487: /* reject_stmt_alloc  */
#line 668 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4821 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 489: /* nat_stmt  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4827 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 490: /* nat_stmt_alloc  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4833 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 491: /* tproxy_stmt  */
#line 673 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4839 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 492: /* synproxy_stmt  */
#line 675 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4845 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 493: /* synproxy_stmt_alloc  */
#line 675 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4851 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 497: /* synproxy_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 4857 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 500: /* primary_stmt_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4863 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 501: /* shift_stmt_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4869 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 502: /* and_stmt_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4875 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 503: /* exclusive_or_stmt_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4881 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 504: /* inclusive_or_stmt_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4887 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 505: /* basic_stmt_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4893 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 506: /* concat_stmt_expr  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4899 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 507: /* map_stmt_expr_set  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4905 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 508: /* map_stmt_expr  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4911 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 509: /* prefix_stmt_expr  */
#line 715 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4917 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 510: /* range_stmt_expr  */
#line 715 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4923 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 511: /* wildcard_expr  */
#line 715 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4929 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 512: /* multiton_stmt_expr  */
#line 713 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4935 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 513: /* stmt_expr  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4941 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 515: /* masq_stmt  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4947 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 516: /* masq_stmt_alloc  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4953 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 518: /* redir_stmt  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4959 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 519: /* redir_stmt_alloc  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4965 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 521: /* dup_stmt  */
#line 682 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4971 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 522: /* fwd_stmt  */
#line 684 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4977 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 525: /* queue_stmt  */
#line 679 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4983 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 526: /* queue_stmt_alloc  */
#line 679 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4989 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 531: /* set_elem_expr_stmt  */
#line 741 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4995 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 532: /* set_elem_expr_stmt_alloc  */
#line 741 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5001 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 533: /* set_stmt  */
#line 686 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5007 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 535: /* map_stmt  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5013 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 536: /* meter_stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5019 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 537: /* flow_stmt_legacy_alloc  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5025 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 540: /* meter_stmt_alloc  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5031 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 541: /* match_stmt  */
#line 652 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5037 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 542: /* variable_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5043 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 543: /* symbol_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5049 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 544: /* set_ref_expr  */
#line 702 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5055 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 545: /* set_ref_symbol_expr  */
#line 702 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5061 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 546: /* integer_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5067 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 547: /* primary_expr  */
#line 696 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5073 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 548: /* fib_expr  */
#line 826 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5079 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 552: /* osf_expr  */
#line 831 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5085 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 554: /* shift_expr  */
#line 696 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5091 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 555: /* and_expr  */
#line 696 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5097 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 556: /* exclusive_or_expr  */
#line 698 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5103 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 557: /* inclusive_or_expr  */
#line 698 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5109 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 558: /* basic_expr  */
#line 700 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5115 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 559: /* concat_expr  */
#line 725 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5121 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 560: /* prefix_rhs_expr  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5127 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 561: /* range_rhs_expr  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5133 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 562: /* multiton_rhs_expr  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5139 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 563: /* map_expr  */
#line 728 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5145 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 564: /* expr  */
#line 747 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5151 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 565: /* set_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5157 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 566: /* set_list_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5163 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 567: /* set_list_member_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5169 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 568: /* meter_key_expr  */
#line 744 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5175 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 569: /* meter_key_expr_alloc  */
#line 744 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5181 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 570: /* set_elem_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5187 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 571: /* set_elem_expr_alloc  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5193 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 574: /* set_lhs_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5199 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 575: /* set_rhs_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5205 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 576: /* initializer_expr  */
#line 747 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5211 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 578: /* counter_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5217 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 580: /* quota_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5223 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 582: /* secmark_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5229 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 586: /* timeout_states  */
#line 856 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5235 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 587: /* timeout_state  */
#line 856 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5241 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 590: /* ct_obj_alloc  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5247 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 592: /* limit_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5253 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 593: /* relational_expr  */
#line 760 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5259 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 594: /* list_rhs_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5265 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 595: /* rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5271 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 596: /* shift_rhs_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5277 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 597: /* and_rhs_expr  */
#line 754 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5283 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 598: /* exclusive_or_rhs_expr  */
#line 754 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5289 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 599: /* inclusive_or_rhs_expr  */
#line 754 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5295 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 600: /* basic_rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5301 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 601: /* concat_rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5307 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 603: /* boolean_expr  */
#line 846 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5313 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 604: /* keyword_expr  */
#line 747 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5319 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 605: /* primary_rhs_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5325 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 607: /* verdict_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5331 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 608: /* chain_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5337 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 609: /* meta_expr  */
#line 808 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5343 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 613: /* meta_stmt  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5349 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 614: /* socket_expr  */
#line 812 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5355 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 618: /* numgen_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5361 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 623: /* xfrm_expr  */
#line 860 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5367 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 624: /* hash_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5373 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 626: /* rt_expr  */
#line 818 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5379 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 628: /* ct_expr  */
#line 822 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5385 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 634: /* symbol_stmt_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5391 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 635: /* list_stmt_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5397 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 636: /* ct_stmt  */
#line 658 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5403 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 637: /* payload_stmt  */
#line 656 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5409 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 638: /* payload_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5415 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 639: /* payload_raw_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5421 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 641: /* eth_hdr_expr  */
#line 767 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5427 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 643: /* vlan_hdr_expr  */
#line 767 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5433 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 645: /* arp_hdr_expr  */
#line 770 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5439 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 647: /* ip_hdr_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5445 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 651: /* icmp_hdr_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5451 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 653: /* igmp_hdr_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5457 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 655: /* ip6_hdr_expr  */
#line 777 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5463 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 657: /* icmp6_hdr_expr  */
#line 777 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5469 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 659: /* auth_hdr_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5475 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 661: /* esp_hdr_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5481 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 663: /* comp_hdr_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5487 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 665: /* udp_hdr_expr  */
#line 783 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5493 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 667: /* udplite_hdr_expr  */
#line 783 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5499 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 669: /* tcp_hdr_expr  */
#line 841 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5505 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 673: /* dccp_hdr_expr  */
#line 786 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5511 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 680: /* sctp_chunk_alloc  */
#line 786 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5517 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 681: /* sctp_hdr_expr  */
#line 786 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5523 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 683: /* th_hdr_expr  */
#line 792 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5529 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 685: /* exthdr_expr  */
#line 796 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5535 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 686: /* hbh_hdr_expr  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5541 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 688: /* rt_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5547 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 690: /* rt0_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5553 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 692: /* rt2_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5559 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 694: /* rt4_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5565 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 696: /* frag_hdr_expr  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5571 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 698: /* dst_hdr_expr  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5577 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 700: /* mh_hdr_expr  */
#line 804 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5583 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 702: /* exthdr_exists_expr  */
#line 850 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5589 "parser_bison.c" /* yacc.c:1257  */
        break;


      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

/* User initialization code.  */
#line 148 "parser_bison.y" /* yacc.c:1429  */
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 5706 "parser_bison.c" /* yacc.c:1429  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 866 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 5900 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 8:
#line 882 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 5906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 9:
#line 883 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 5912 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 10:
#line 884 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 5918 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 11:
#line 885 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 5924 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 12:
#line 888 "parser_bison.y" /* yacc.c:1646  */
    {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 5936 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 13:
#line 896 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					xfree((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 5954 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 14:
#line 910 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 5965 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 15:
#line 917 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 5980 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 16:
#line 928 "parser_bison.y" /* yacc.c:1646  */
    {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 5990 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 17:
#line 935 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 5996 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 18:
#line 936 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 6002 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 19:
#line 937 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 6008 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 20:
#line 939 "parser_bison.y" /* yacc.c:1646  */
    {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 6030 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 21:
#line 958 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6036 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 22:
#line 959 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 23:
#line 960 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 24:
#line 961 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 25:
#line 962 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6060 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 26:
#line 963 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6066 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 27:
#line 964 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 28:
#line 965 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 29:
#line 966 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6084 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 30:
#line 967 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6090 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 31:
#line 968 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6096 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 32:
#line 969 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6102 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 33:
#line 970 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6108 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 34:
#line 971 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6114 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 35:
#line 972 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6120 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 36:
#line 976 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6128 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 37:
#line 981 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 6138 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 38:
#line 987 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6146 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 39:
#line 992 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 6157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 40:
#line 999 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6165 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1003 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1008 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6183 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1015 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1021 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6201 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1026 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 6211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1032 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[0].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), obj);
			}
#line 6224 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1041 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6232 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1045 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6240 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1049 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6248 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1053 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6256 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1057 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6264 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1061 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6272 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1065 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1069 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6288 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1075 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6296 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1081 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6304 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1086 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 6314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1092 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6322 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1097 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 6333 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1105 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6343 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1112 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6353 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1118 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6361 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1123 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 6371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1129 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[0].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), obj);
			}
#line 6384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1138 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1142 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6400 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1146 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6408 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1150 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6416 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1154 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1158 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6432 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1162 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6440 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1166 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6448 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1172 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6456 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1178 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6464 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1182 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6472 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1186 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6480 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1190 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6488 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1194 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1198 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1202 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6512 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1206 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1210 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6528 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1214 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6536 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1218 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1222 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6552 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1226 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1230 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1234 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6576 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1238 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].obj));
			}
#line 6584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1242 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1246 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1250 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1254 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1258 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1262 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1268 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1274 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6648 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1278 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1282 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1286 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1290 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6680 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1294 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1298 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1302 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1306 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1310 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1314 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1318 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1322 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1326 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1330 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1334 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1338 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1342 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1346 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1350 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1354 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1358 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1362 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1366 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1370 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6840 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1374 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6848 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1378 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1382 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6864 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1386 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6872 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1390 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6880 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1394 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6888 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1398 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-1].val), &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6896 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1402 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_HELPERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6904 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1406 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_TIMEOUT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6912 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1410 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_EXPECT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6920 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1416 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1420 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6936 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1424 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[0].handle),&(yyloc), NULL);
			}
#line 6944 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1428 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6952 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1432 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6960 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1436 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6968 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1442 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6976 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1446 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6984 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1450 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6992 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1454 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7000 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1458 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7008 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1462 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7016 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1466 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7024 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1472 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 7033 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1479 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7043 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1485 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7053 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1493 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7063 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1499 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7073 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1507 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 7084 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1515 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = NULL; }
#line 7090 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1516 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 7096 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1519 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 7102 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1520 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 7108 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1521 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 7114 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1522 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 7120 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1523 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 7126 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1524 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 7132 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1525 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 7138 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1526 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 7144 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1529 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 7150 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1533 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 7156 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1534 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 7162 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1535 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 7168 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1539 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 7178 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.table) = table_alloc();
				open_scope(state, &(yyval.table)->scope);
			}
#line 7187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1554 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strcmp((yyvsp[0].string), "dormant") == 0) {
					(yyvsp[-2].table)->flags = TABLE_F_DORMANT;
					xfree((yyvsp[0].string));
				} else {
					erec_queue(error(&(yylsp[0]), "unknown table option %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
			}
#line 7203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1567 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 7209 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1574 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7222 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1585 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7234 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1595 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7246 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1606 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7258 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1616 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7271 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1627 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7284 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1636 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7297 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1645 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7310 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1654 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7323 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1665 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7336 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1676 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7349 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1687 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7362 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1698 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.chain) = chain_alloc(NULL);
				open_scope(state, &(yyval.chain)->scope);
			}
#line 7371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1704 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 7377 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1710 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 7386 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1717 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 7394 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1722 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 7400 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1726 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->key = (yyvsp[-1].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7409 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1731 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->flags = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7418 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1736 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7427 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1741 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7436 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1746 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7445 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1751 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 7454 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1763 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 7462 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1769 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_CONSTANT; }
#line 7468 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1770 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_INTERVAL; }
#line 7474 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1771 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_TIMEOUT; }
#line 7480 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1772 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_EVAL; }
#line 7486 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1776 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 7494 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1781 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 7500 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1785 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7509 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1792 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->data = (yyvsp[-1].expr);

				(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1802 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_COUNTER;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7532 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1811 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_QUOTA;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7543 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1820 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_LIMIT;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7554 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1829 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_SECMARK;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1836 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->flags |= (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7574 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1841 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7583 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1849 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->policy = (yyvsp[0].val);
			}
#line 7591 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1853 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 7599 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1858 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 7605 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1859 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 7611 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1863 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable) = flowtable_alloc(NULL);
			}
#line 7619 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1868 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 7625 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1872 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->hookstr	= chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hookstr == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook %s", (yyvsp[-2].string)),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 7642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1885 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 7650 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1891 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 7659 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1898 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 7668 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1903 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 7677 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1911 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 7688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1920 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				xfree((yyvsp[0].string));
			}
#line 7704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1932 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 7713 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1940 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 7726 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1951 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(NULL);
			}
#line 7734 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1956 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7740 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1960 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7748 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1965 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7754 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1969 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7762 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1974 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1978 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1983 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7782 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1987 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7790 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1992 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7796 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1996 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2001 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7810 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2005 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7818 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2010 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2014 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2019 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2023 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7846 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2028 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 7852 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2029 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("mark"); }
#line 7858 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2030 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("dscp"); }
#line 7864 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2031 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("ecn"); }
#line 7870 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2032 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("classid"); }
#line 7876 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2036 "parser_bison.y" /* yacc.c:1646  */
    {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type %s", (yyvsp[-4].string)),
						   state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				(yyvsp[-6].chain)->type		= xstrdup(chain_type);
				xfree((yyvsp[-4].string));

				(yyvsp[-6].chain)->hookstr	= chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-6].chain)->hookstr == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook %s", (yyvsp[-2].string)),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyvsp[-6].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-6].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-6].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 7906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2064 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 7915 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2071 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.string) = strdup("out");
			}
#line 7923 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2078 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 7937 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2088 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				datatype_set((yyvsp[0].expr)->sym->expr, &priority_type);
				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 7949 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2096 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 7964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2107 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 7981 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2120 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				(yyval.prio_spec) = spec;
			}
#line 7997 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2133 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = (yyvsp[0].val); }
#line 8003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2134 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = -(yyvsp[0].val); }
#line 8009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2138 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &string_type,
							   BYTEORDER_HOST_ENDIAN,
							   strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 8024 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2149 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8032 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2152 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = NULL; }
#line 8038 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2156 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}
				(yyvsp[-2].chain)->policy	= (yyvsp[0].expr);
			}
#line 8052 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2168 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8061 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2173 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 8072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2181 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_ACCEPT; }
#line 8078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2182 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_DROP;   }
#line 8084 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2194 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 8101 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2208 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 8107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2212 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 8113 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2213 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 8119 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2214 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_INET; }
#line 8125 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2215 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_ARP; }
#line 8131 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2216 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_BRIDGE; }
#line 8137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2217 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_NETDEV; }
#line 8143 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2221 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 8154 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2230 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yyloc);
			}
#line 8165 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2239 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 8175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2247 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yyloc);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 8185 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2255 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 8195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2263 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 8205 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2271 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yyloc);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 8215 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2279 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 8225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2287 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 8235 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2295 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8245 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2303 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 8255 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2311 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 8265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2319 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8275 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2327 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 8285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2335 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8295 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2343 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 8305 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2351 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 8315 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2359 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 8323 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2363 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8332 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2368 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8344 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2376 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8353 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2383 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8362 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2390 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 8376 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2402 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 8385 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2407 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 8394 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2414 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = NULL;
			}
#line 8402 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2418 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 8410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2424 "parser_bison.y" /* yacc.c:1646  */
    {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				xfree((yyvsp[0].list));
			}
#line 8424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2436 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 8434 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2442 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 8443 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2476 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 8451 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2480 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 8459 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2486 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 8467 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2492 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 8476 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2500 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 8485 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2505 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 8494 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2513 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 8502 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2519 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[0].val);
			}
#line 8511 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2524 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[0].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 8521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2535 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 8529 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2539 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8539 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 8547 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2554 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 8555 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2558 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 8563 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2568 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 8571 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2574 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 8579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2581 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.prefix	 = (yyvsp[0].string);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 8588 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2586 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 8597 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2591 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 8606 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2596 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 8615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2601 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 8624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2606 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.logflags	|= (yyvsp[0].val);
			}
#line 8632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2612 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 8664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2642 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[0].val);
			}
#line 8672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2646 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 8680 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2650 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_UID;
			}
#line 8688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2654 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 8696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2658 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MASK;
			}
#line 8704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2664 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 8712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2671 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 8720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2675 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 8728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2681 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-3].val);
				(yyval.stmt)->limit.unit	= (yyvsp[-1].val);
				(yyval.stmt)->limit.burst	= (yyvsp[0].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-4].val);
			}
#line 8741 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2690 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[-1].string), &rate, &unit);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= rate * (yyvsp[-2].val);
				(yyval.stmt)->limit.unit	= unit;
				(yyval.stmt)->limit.burst	= (yyvsp[0].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 8764 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2709 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8774 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2716 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUOTA_F_INV; }
#line 8780 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2717 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2718 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2721 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("bytes"); }
#line 8798 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2722 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 8804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2725 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8810 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2727 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 8827 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2742 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-2].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[0].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-3].val);
			}
#line 8847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2758 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8857 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2765 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_LIMIT_F_INV; }
#line 8863 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2766 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8869 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2767 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8875 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2770 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8881 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2771 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 8887 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2774 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8893 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2775 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 8899 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2777 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 8916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2791 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL; }
#line 8922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2792 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60; }
#line 8928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2793 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60; }
#line 8934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2794 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 8940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2795 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 8946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2802 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 8954 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2808 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 8963 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2813 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmp_code_type);
				xfree((yyvsp[0].string));
			}
#line 8978 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2824 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmpv6_code_type);
				xfree((yyvsp[0].string));
			}
#line 8993 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 436:
#line 2835 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmpx_code_type);
				xfree((yyvsp[0].string));
			}
#line 9007 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 437:
#line 2845 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 9015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 439:
#line 2853 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_SNAT); }
#line 9021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 440:
#line 2854 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_DNAT); }
#line 9027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 441:
#line 2858 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 9037 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 442:
#line 2864 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 9047 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 443:
#line 2870 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 444:
#line 2876 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9068 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 445:
#line 2883 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9079 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 446:
#line 2890 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9089 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 449:
#line 2902 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 9097 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 450:
#line 2906 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 9107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 451:
#line 2914 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9115 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 453:
#line 2921 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 9124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 454:
#line 2926 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 9133 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 455:
#line 2931 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 9141 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 456:
#line 2935 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 9149 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 457:
#line 2941 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 9169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 458:
#line 2957 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 9189 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 459:
#line 2975 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 9198 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 460:
#line 2981 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 9204 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 461:
#line 2983 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 9212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 462:
#line 2988 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 9218 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 463:
#line 2990 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 9226 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 464:
#line 2995 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9232 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 465:
#line 2996 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9238 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 466:
#line 2997 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9244 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 467:
#line 2998 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9250 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 468:
#line 2999 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9256 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3000 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9262 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3001 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9268 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3002 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9274 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3003 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3004 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3005 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9292 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3006 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9298 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3011 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9306 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3015 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3022 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9322 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3029 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9330 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3036 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9338 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3046 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 9351 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3061 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9359 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3064 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9365 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3068 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 9373 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3074 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3080 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &integer_type,
							   BYTEORDER_HOST_ENDIAN,
							   0, NULL);
				(yyval.expr) = prefix_expr_alloc(&(yyloc), expr, 0);
			}
#line 9394 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3101 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9402 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3105 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3109 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9419 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3114 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9428 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3119 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9437 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3124 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9447 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3130 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9455 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3134 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9463 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3138 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9471 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3147 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 9477 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3151 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9485 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3155 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9494 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3160 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9502 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3169 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 9508 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3173 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9516 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3177 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9524 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3181 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9532 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3185 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9541 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3190 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9550 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3197 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 9559 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3202 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 9569 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3210 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 9578 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3215 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 9589 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3225 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9597 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3230 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 9603 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3231 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 9609 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3232 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 9615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3240 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc));
			}
#line 9623 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3246 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9631 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3253 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 9640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3258 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 9648 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3265 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3270 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 9662 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3271 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 9668 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3279 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 9676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3285 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 9687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3292 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 9698 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3299 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				(yyval.stmt)->set.stmt = (yyvsp[-1].stmt);
			}
#line 9710 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3308 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 9716 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3309 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 9722 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3310 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 9728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3314 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 9740 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3322 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.stmt = (yyvsp[-3].stmt);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
			}
#line 9753 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3333 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 9764 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3339 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = (yyvsp[0].stmt); }
#line 9770 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3343 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 9778 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3349 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3356 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 9794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3362 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 9807 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3371 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 9820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3382 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 9828 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3388 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					xfree((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				xfree((yyvsp[0].string));
			}
#line 9856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3415 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 9867 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3428 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 9878 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3437 "parser_bison.y" /* yacc.c:1646  */
    {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 9891 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3447 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9897 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3448 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9903 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3449 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9909 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3450 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9915 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3451 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3452 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9927 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3453 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9933 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3454 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9939 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3455 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9945 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3456 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9951 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3457 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9957 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3458 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9963 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3459 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9969 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3460 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9975 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3461 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 9981 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3465 "parser_bison.y" /* yacc.c:1646  */
    {
				if (((yyvsp[-1].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-1]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-1].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-1]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-1].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-1]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 10006 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3487 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 10012 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3488 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 10018 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3489 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 10024 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3492 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 10030 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3493 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 10036 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3494 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_MARK; }
#line 10042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 593:
#line 3495 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_IIF; }
#line 10048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 594:
#line 3496 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_OIF; }
#line 10054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 595:
#line 3500 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10062 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 597:
#line 3507 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-1].val), NFT_OSF_F_VERSION);
			}
#line 10070 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 598:
#line 3511 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 10078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 599:
#line 3517 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 10086 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 600:
#line 3521 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					YYERROR;
				}
			}
#line 10102 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 602:
#line 3536 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10110 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 603:
#line 3540 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10118 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 605:
#line 3547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10126 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 607:
#line 3554 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10134 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 609:
#line 3561 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10142 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 612:
#line 3571 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10155 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 613:
#line 3582 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 10163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 614:
#line 3588 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10171 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 617:
#line 3598 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 621:
#line 3609 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10188 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 622:
#line 3616 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10197 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 623:
#line 3621 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10206 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 625:
#line 3629 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10214 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 626:
#line 3633 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10222 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 627:
#line 3637 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 10230 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 629:
#line 3644 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10239 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 630:
#line 3651 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 10247 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3661 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 10255 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3667 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 10263 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 636:
#line 3674 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 10271 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 637:
#line 3678 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 10279 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 638:
#line 3682 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 10287 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 645:
#line 3700 "parser_bison.y" /* yacc.c:1646  */
    {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 10299 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 646:
#line 3710 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 10308 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 647:
#line 3717 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 10330 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 648:
#line 3737 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 10339 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 649:
#line 3744 "parser_bison.y" /* yacc.c:1646  */
    {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 10357 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 650:
#line 3760 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 10366 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 651:
#line 3766 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 10372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3767 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 10378 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 653:
#line 3768 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 10384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 654:
#line 3771 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_TCP; }
#line 10390 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 655:
#line 3772 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_UDP; }
#line 10396 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 656:
#line 3776 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-5].obj)->ct_helper;

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-3].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-3]), "invalid name '%s', max length is %u\n", (yyvsp[-3].string), (int)sizeof(ct->name)), state->msgs);
					YYERROR;
				}

				ct->l4proto = (yyvsp[-1].val);
			}
#line 10415 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 657:
#line 3791 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 10423 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 658:
#line 3797 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail((yyvsp[0].list), (yyval.list));
			}
#line 10433 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 659:
#line 3803 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail((yyvsp[0].list), (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 10442 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 660:
#line 3811 "parser_bison.y" /* yacc.c:1646  */
    {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.list) = &ts->head;
			}
#line 10457 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 661:
#line 3824 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 10469 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 662:
#line 3832 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;

				ct = &(yyvsp[-6].obj)->ct_timeout;
				init_list_head(&ct->timeout_list);
				list_splice_tail((yyvsp[-2].list), &ct->timeout_list);
			}
#line 10481 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 663:
#line 3840 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 10489 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 664:
#line 3846 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 10497 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 665:
#line 3850 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 10505 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 666:
#line 3854 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 10513 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 667:
#line 3858 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 10521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 668:
#line 3862 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 10529 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3868 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 10537 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 670:
#line 3874 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;

				limit = &(yyvsp[-6].obj)->limit;
				limit->rate	= (yyvsp[-3].val);
				limit->unit	= (yyvsp[-1].val);
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-4].val);
			}
#line 10552 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 671:
#line 3885 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[-1].string), &rate, &unit);
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				limit = &(yyvsp[-5].obj)->limit;
				limit->rate	= rate * (yyvsp[-2].val);
				limit->unit	= unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-3].val);
			}
#line 10575 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 672:
#line 3906 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 10584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 673:
#line 3913 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 10592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 674:
#line 3917 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 10600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 675:
#line 3921 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3927 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10618 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 677:
#line 3933 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10628 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 678:
#line 3940 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10634 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3941 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3942 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10646 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 681:
#line 3943 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 683:
#line 3948 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10660 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 684:
#line 3952 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10668 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 686:
#line 3959 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 688:
#line 3966 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10684 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 690:
#line 3973 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10692 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 694:
#line 3984 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10705 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 695:
#line 3993 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10718 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4003 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = true; }
#line 10724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4004 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = false; }
#line 10730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4008 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 10740 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4015 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 10746 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4016 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 10752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4017 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 10758 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4018 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 10764 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4019 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 10770 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4020 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 10776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4021 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 10782 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4022 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 10788 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4023 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 10794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4024 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 10800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4025 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 10806 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4026 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 10812 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4029 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10818 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4030 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4031 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10830 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4032 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10836 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4034 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4041 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10858 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4048 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10869 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4055 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10880 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4062 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10891 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4069 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10902 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4076 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10913 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4083 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10924 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4090 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10935 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4097 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4104 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10957 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4111 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10968 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4117 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 10974 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4120 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_EQ; }
#line 10980 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4121 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_NEQ; }
#line 10986 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4122 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LT; }
#line 10992 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4123 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GT; }
#line 10998 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4124 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GTE; }
#line 11004 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4125 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LTE; }
#line 11010 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4129 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 11018 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4133 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 11026 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 736:
#line 4137 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 11034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4141 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 11042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 738:
#line 4145 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 11050 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 739:
#line 4149 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 11058 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 741:
#line 4156 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 11070 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 742:
#line 4166 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 11078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 743:
#line 4170 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 11086 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 744:
#line 4174 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[0].string), &key);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 11104 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 747:
#line 4193 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_LEN; }
#line 11110 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 748:
#line 4194 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PROTOCOL; }
#line 11116 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 749:
#line 4195 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRIORITY; }
#line 11122 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 750:
#line 4196 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRANDOM; }
#line 11128 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 751:
#line 4197 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECMARK; }
#line 11134 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 752:
#line 4200 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_MARK; }
#line 11140 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 753:
#line 4201 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIF; }
#line 11146 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 754:
#line 4202 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFNAME; }
#line 11152 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 755:
#line 4203 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFTYPE; }
#line 11158 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 756:
#line 4204 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIF; }
#line 11164 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 757:
#line 4205 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFNAME; }
#line 11170 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 758:
#line 4206 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFTYPE; }
#line 11176 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 759:
#line 4207 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKUID; }
#line 11182 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 760:
#line 4208 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKGID; }
#line 11188 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 761:
#line 4209 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_NFTRACE; }
#line 11194 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 762:
#line 4210 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_RTCLASSID; }
#line 11200 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 763:
#line 4211 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 11206 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 764:
#line 4212 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 11212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 765:
#line 4213 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 11218 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 766:
#line 4214 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 11224 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 767:
#line 4215 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PKTTYPE; }
#line 11230 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 768:
#line 4216 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CPU; }
#line 11236 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 769:
#line 4217 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFGROUP; }
#line 11242 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 770:
#line 4218 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFGROUP; }
#line 11248 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 771:
#line 4219 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CGROUP; }
#line 11254 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 772:
#line 4220 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECPATH; }
#line 11260 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 773:
#line 4221 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_NS; }
#line 11266 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 774:
#line 4222 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_DAY; }
#line 11272 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 775:
#line 4223 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_HOUR; }
#line 11278 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 776:
#line 4227 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-2].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[0].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[0].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
					break;
				}
			}
#line 11302 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 777:
#line 4247 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 11310 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 778:
#line 4251 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-2].string), &key);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[0].expr));
			}
#line 11328 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 779:
#line 4265 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 11336 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 780:
#line 4269 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[0].string));
			}
#line 11344 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 781:
#line 4273 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[0].string));
			}
#line 11352 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 782:
#line 4279 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 11360 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 783:
#line 4284 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 11366 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 784:
#line 4285 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_MARK; }
#line 11372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 785:
#line 4288 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 11378 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 786:
#line 4289 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 11384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 787:
#line 4292 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 11390 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 788:
#line 4293 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_RANDOM; }
#line 11396 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 789:
#line 4297 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 11404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 790:
#line 4302 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 11410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 791:
#line 4303 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 11416 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 792:
#line 4306 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_IN; }
#line 11422 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 793:
#line 4307 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_OUT; }
#line 11428 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 794:
#line 4310 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 11434 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 795:
#line 4311 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 11440 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 796:
#line 4314 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 11446 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 797:
#line 4315 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 11452 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 798:
#line 4319 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) > 255) {
					erec_queue(error(&(yylsp[-1]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 11464 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 799:
#line 4327 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_xfrm_keys xfrmk = (yyvsp[0].val);

				switch ((yyvsp[-1].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[0].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[0].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), xfrmk);
			}
#line 11493 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 800:
#line 4354 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 11502 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 801:
#line 4359 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 11511 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 802:
#line 4364 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 11519 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 803:
#line 4369 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 11525 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 804:
#line 4370 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 11531 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 805:
#line 4374 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[0].val), true);
			}
#line 11539 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 806:
#line 4378 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_rt_keys rtk = (yyvsp[0].val);

				switch ((yyvsp[-1].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[0].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 11561 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 807:
#line 4397 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_CLASSID; }
#line 11567 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 808:
#line 4398 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 11573 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 809:
#line 4399 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_TCPMSS; }
#line 11579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 810:
#line 4400 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_XFRM; }
#line 11585 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 811:
#line 4404 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), -1);
			}
#line 11593 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 812:
#line 4408 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), (yyvsp[-1].val));
			}
#line 11601 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 813:
#line 4412 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), (yyvsp[-1].val));
			}
#line 11609 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 814:
#line 4417 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 11615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 815:
#line 4418 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_REPLY; }
#line 11621 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 816:
#line 4421 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 11627 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 817:
#line 4422 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 11633 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 818:
#line 4423 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_MARK; }
#line 11639 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 819:
#line 4424 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATE; }
#line 11645 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 820:
#line 4425 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DIRECTION; }
#line 11651 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 821:
#line 4426 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATUS; }
#line 11657 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 822:
#line 4427 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EXPIRATION; }
#line 11663 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 823:
#line 4428 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_HELPER; }
#line 11669 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 824:
#line 4429 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 11675 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 825:
#line 4430 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 11681 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 826:
#line 4431 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 11687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 827:
#line 4432 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 11693 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 828:
#line 4433 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_LABELS; }
#line 11699 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 829:
#line 4434 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EVENTMASK; }
#line 11705 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 830:
#line 4435 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SECMARK; }
#line 11711 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 832:
#line 4439 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 11717 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 833:
#line 4440 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 11723 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 834:
#line 4441 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 11729 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 835:
#line 4442 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 11735 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 836:
#line 4443 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 11741 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 837:
#line 4444 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 11747 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 839:
#line 4448 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP; }
#line 11753 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 840:
#line 4449 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP; }
#line 11759 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 841:
#line 4450 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP6; }
#line 11765 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 842:
#line 4451 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP6; }
#line 11771 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 843:
#line 4454 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_BYTES; }
#line 11777 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 844:
#line 4455 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PKTS; }
#line 11783 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 845:
#line 4456 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_AVGPKT; }
#line 11789 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 846:
#line 4457 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_ZONE; }
#line 11795 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 849:
#line 4465 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11805 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 850:
#line 4471 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11815 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 851:
#line 4479 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-2].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[0].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-2].val), -1, (yyvsp[0].expr));
					break;
				}
			}
#line 11832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 852:
#line 4492 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);

			}
#line 11843 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 853:
#line 4499 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 11853 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 854:
#line 4505 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-3].val), (yyvsp[0].expr));
			}
#line 11861 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 855:
#line 4511 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11872 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 874:
#line 4540 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 11883 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 875:
#line 4548 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 11889 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 876:
#line 4549 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 11895 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 877:
#line 4550 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 11901 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 878:
#line 4554 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[0].val));
			}
#line 11909 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 879:
#line 4559 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_SADDR; }
#line 11915 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 880:
#line 4560 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_DADDR; }
#line 11921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 881:
#line 4561 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_TYPE; }
#line 11927 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 882:
#line 4565 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[0].val));
			}
#line 11935 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 883:
#line 4570 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_VID; }
#line 11941 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 884:
#line 4571 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_CFI; }
#line 11947 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 885:
#line 4572 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_PCP; }
#line 11953 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 886:
#line 4573 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_TYPE; }
#line 11959 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 887:
#line 4577 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[0].val));
			}
#line 11967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 888:
#line 4582 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HRD; }
#line 11973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 889:
#line 4583 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PRO; }
#line 11979 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 890:
#line 4584 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HLN; }
#line 11985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 891:
#line 4585 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PLN; }
#line 11991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 892:
#line 4586 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_OP; }
#line 11997 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 893:
#line 4587 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 12003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 894:
#line 4588 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 12009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 895:
#line 4589 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_IP; }
#line 12015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 896:
#line 4590 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_IP; }
#line 12021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 897:
#line 4594 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[0].val));
			}
#line 12029 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 898:
#line 4598 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val), 0);
			}
#line 12037 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 899:
#line 4602 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[0].val), IPOPT_FIELD_TYPE, 0);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 12046 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 900:
#line 4608 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_VERSION; }
#line 12052 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 901:
#line 4609 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_HDRLENGTH; }
#line 12058 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 902:
#line 4610 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DSCP; }
#line 12064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 903:
#line 4611 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ECN; }
#line 12070 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 904:
#line 4612 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_LENGTH; }
#line 12076 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 905:
#line 4613 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ID; }
#line 12082 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 906:
#line 4614 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_FRAG_OFF; }
#line 12088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 907:
#line 4615 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_TTL; }
#line 12094 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 908:
#line 4616 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_PROTOCOL; }
#line 12100 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 909:
#line 4617 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_CHECKSUM; }
#line 12106 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 910:
#line 4618 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_SADDR; }
#line 12112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 911:
#line 4619 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DADDR; }
#line 12118 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 912:
#line 4622 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_LSRR; }
#line 12124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 913:
#line 4623 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RR; }
#line 12130 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 914:
#line 4624 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_SSRR; }
#line 12136 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 915:
#line 4625 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RA; }
#line 12142 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 916:
#line 4628 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 12148 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 917:
#line 4629 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 12154 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 918:
#line 4630 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 12160 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 919:
#line 4631 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_PTR; }
#line 12166 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 920:
#line 4632 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 12172 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 921:
#line 4636 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[0].val));
			}
#line 12180 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 922:
#line 4641 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_TYPE; }
#line 12186 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 923:
#line 4642 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CODE; }
#line 12192 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 924:
#line 4643 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 12198 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 925:
#line 4644 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_ID; }
#line 12204 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 926:
#line 4645 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_SEQ; }
#line 12210 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 927:
#line 4646 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_GATEWAY; }
#line 12216 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 928:
#line 4647 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_MTU; }
#line 12222 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 929:
#line 4651 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[0].val));
			}
#line 12230 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 930:
#line 4656 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_TYPE; }
#line 12236 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 931:
#line 4657 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 12242 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 932:
#line 4658 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_MRT; }
#line 12248 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 933:
#line 4659 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_GROUP; }
#line 12254 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 934:
#line 4663 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[0].val));
			}
#line 12262 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 935:
#line 4668 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_VERSION; }
#line 12268 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 936:
#line 4669 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DSCP; }
#line 12274 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 937:
#line 4670 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_ECN; }
#line 12280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 938:
#line 4671 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 12286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 939:
#line 4672 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_LENGTH; }
#line 12292 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 940:
#line 4673 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_NEXTHDR; }
#line 12298 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 941:
#line 4674 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 12304 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 942:
#line 4675 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_SADDR; }
#line 12310 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 943:
#line 4676 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DADDR; }
#line 12316 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 944:
#line 4679 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[0].val));
			}
#line 12324 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 945:
#line 4684 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_TYPE; }
#line 12330 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 946:
#line 4685 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CODE; }
#line 12336 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 947:
#line 4686 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 12342 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 948:
#line 4687 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_PPTR; }
#line 12348 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 949:
#line 4688 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MTU; }
#line 12354 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 950:
#line 4689 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_ID; }
#line 12360 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 951:
#line 4690 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_SEQ; }
#line 12366 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 952:
#line 4691 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 12372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 953:
#line 4695 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[0].val));
			}
#line 12380 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 954:
#line 4700 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_NEXTHDR; }
#line 12386 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 955:
#line 4701 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_HDRLENGTH; }
#line 12392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 956:
#line 4702 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_RESERVED; }
#line 12398 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 957:
#line 4703 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SPI; }
#line 12404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 958:
#line 4704 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SEQUENCE; }
#line 12410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 959:
#line 4708 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[0].val));
			}
#line 12418 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 960:
#line 4713 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SPI; }
#line 12424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 961:
#line 4714 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SEQUENCE; }
#line 12430 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 962:
#line 4718 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[0].val));
			}
#line 12438 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 963:
#line 4723 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_NEXTHDR; }
#line 12444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 964:
#line 4724 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_FLAGS; }
#line 12450 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 965:
#line 4725 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_CPI; }
#line 12456 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 966:
#line 4729 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[0].val));
			}
#line 12464 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 967:
#line 4734 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 12470 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 968:
#line 4735 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 12476 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 969:
#line 4736 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 12482 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 970:
#line 4737 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 12488 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 971:
#line 4741 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[0].val));
			}
#line 12496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 972:
#line 4746 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 12502 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 973:
#line 4747 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 12508 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 974:
#line 4748 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 12514 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 975:
#line 4749 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 12520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 976:
#line 4753 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 12528 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 977:
#line 4757 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 12536 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 978:
#line 4761 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 12545 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 979:
#line 4766 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 12554 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 980:
#line 4772 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SPORT; }
#line 12560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 981:
#line 4773 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DPORT; }
#line 12566 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 982:
#line 4774 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SEQ; }
#line 12572 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 983:
#line 4775 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_ACKSEQ; }
#line 12578 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 984:
#line 4776 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DOFF; }
#line 12584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 985:
#line 4777 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_RESERVED; }
#line 12590 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 986:
#line 4778 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_FLAGS; }
#line 12596 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 987:
#line 4779 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_WINDOW; }
#line 12602 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 988:
#line 4780 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_CHECKSUM; }
#line 12608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 989:
#line 4781 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_URGPTR; }
#line 12614 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 990:
#line 4784 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_EOL; }
#line 12620 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 991:
#line 4785 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_NOP; }
#line 12626 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 992:
#line 4786 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 12632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 993:
#line 4787 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 12638 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 994:
#line 4788 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 12644 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 995:
#line 4789 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 12650 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 996:
#line 4790 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 12656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 997:
#line 4791 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 12662 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 998:
#line 4792 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 12668 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 999:
#line 4793 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 12674 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 4794 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 12680 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 4795 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 12686 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 4796 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 12698 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 4805 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_COMMON_KIND; }
#line 12704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 4806 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_COMMON_LENGTH; }
#line 12710 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 4807 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 12716 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 4808 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 12722 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 4809 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 12728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 4810 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 12734 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 4811 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 12740 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 4812 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSECR; }
#line 12746 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 4816 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[0].val));
			}
#line 12754 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 4821 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_SPORT; }
#line 12760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 4822 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_DPORT; }
#line 12766 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 4823 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_TYPE; }
#line 12772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 4826 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 12778 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 4827 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 12784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 4828 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 12790 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 4829 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 12796 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 4830 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 12802 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 4831 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 12808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 4832 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 12814 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 4833 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 12820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 4834 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 12826 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 4835 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 12832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 4836 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 12838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 4837 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 12844 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 4838 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 12850 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 4839 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 12856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 4840 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 12862 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 4841 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 12868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 4842 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 12874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 4843 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 12880 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 4846 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 12886 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 4847 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 12892 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 4848 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 12898 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 4851 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 12904 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 4852 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 12910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 4853 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 12916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 4854 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 12922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 4857 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 12928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 4858 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 12934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 4859 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 12940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 4860 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 12946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 4861 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 12952 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 4864 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 12958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 4865 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 12964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 4866 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 12970 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 4867 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 12976 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 4871 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 12985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 4876 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 12993 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 4880 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 13001 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 4884 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 13009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 4888 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 13017 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 4892 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 13025 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 4896 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 13034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 4901 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 13043 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 4906 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 13052 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 4911 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 13061 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 4916 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 13070 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 4921 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 13079 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 4928 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 13087 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 4932 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13095 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 4937 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_SPORT; }
#line 13101 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 4938 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_DPORT; }
#line 13107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 4939 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_VTAG; }
#line 13113 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 4940 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 13119 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 4944 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[0].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 13129 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 4951 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_SPORT; }
#line 13135 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 4952 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_DPORT; }
#line 13141 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 4966 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[0].val));
			}
#line 13149 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 4971 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_NEXTHDR; }
#line 13155 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 4972 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 13161 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 4976 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[0].val));
			}
#line 13169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 4981 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_NEXTHDR; }
#line 13175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 4982 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_HDRLENGTH; }
#line 13181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 4983 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_TYPE; }
#line 13187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 4984 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_SEG_LEFT; }
#line 13193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 4988 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[0].val));
			}
#line 13201 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 4994 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 13209 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 5000 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[0].val));
			}
#line 13217 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 5005 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT2HDR_ADDR; }
#line 13223 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 5009 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[0].val));
			}
#line 13231 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 5014 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_LASTENT; }
#line 13237 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 5015 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_FLAGS; }
#line 13243 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 5016 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_TAG; }
#line 13249 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 5018 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 13257 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 5024 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[0].val));
			}
#line 13265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 5029 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 13271 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 5030 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED; }
#line 13277 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 5031 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 13283 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 5032 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED2; }
#line 13289 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 5033 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_MFRAGS; }
#line 13295 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 5034 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_ID; }
#line 13301 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 5038 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[0].val));
			}
#line 13309 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 5043 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_NEXTHDR; }
#line 13315 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 5044 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 13321 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 5048 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[0].val));
			}
#line 13329 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 5053 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_NEXTHDR; }
#line 13335 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 5054 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_HDRLENGTH; }
#line 13341 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 5055 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_TYPE; }
#line 13347 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 5056 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_RESERVED; }
#line 13353 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 5057 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_CHECKSUM; }
#line 13359 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 5061 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the fist one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 13375 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 5074 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_HOPOPTS; }
#line 13381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 5075 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_ROUTING; }
#line 13387 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 5076 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_FRAGMENT; }
#line 13393 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 5077 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_DSTOPTS; }
#line 13399 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 5078 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_MH; }
#line 13405 "parser_bison.c" /* yacc.c:1646  */
    break;


#line 13409 "parser_bison.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 5081 "parser_bison.y" /* yacc.c:1906  */

